commit 000product for openSUSE:Leap:15.2:PowerPC

2020-03-24 Thread root
Hello community,

here is the log from the commit of package 000product for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-03-25 06:23:07

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000product (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.3160 (New)


Package is "000product"

Wed Mar 25 06:23:07 2020 rev:186 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-dvd5-dvd-ppc64le.kiwi: same change
openSUSE-ftp-ftp-ppc64le.kiwi: same change
stub.kiwi: same change
++ unsorted.yml ++
--- /var/tmp/diff_new_pack.5Nh3fn/_old  2020-03-25 06:23:09.445926868 +0100
+++ /var/tmp/diff_new_pack.5Nh3fn/_new  2020-03-25 06:23:09.449926870 +0100
@@ -18214,6 +18214,7 @@
   - python2-pycrypto 
   - python2-pycryptodome 
   - python2-pycryptodomex 
+  - python2-pyct 
   - python2-pycups 
   - python2-pycurl 
   - python2-pycurl-test 
@@ -20524,6 +20525,7 @@
   - python3-pycrypto 
   - python3-pycryptodome 
   - python3-pycryptodomex 
+  - python3-pyct 
   - python3-pycurl-test 
   - python3-pycxx 
   - python3-pycxx-devel 




commit 000product for openSUSE:Leap:15.2:PowerPC

2020-03-24 Thread root
Hello community,

here is the log from the commit of package 000product for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-03-25 03:25:03

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000product (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.3160 (New)


Package is "000product"

Wed Mar 25 03:25:03 2020 rev:185 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-dvd5-dvd-ppc64le.kiwi ++
--- /var/tmp/diff_new_pack.AozbPk/_old  2020-03-25 03:25:05.068562775 +0100
+++ /var/tmp/diff_new_pack.AozbPk/_new  2020-03-25 03:25:05.072562776 +0100
@@ -792,6 +792,7 @@
   
   
   
+  
   
   
   
@@ -2481,6 +2482,7 @@
   
   
   
+  
   
   
   
@@ -2789,6 +2791,7 @@
   
   
   
+  
   
   
   
@@ -2832,6 +2835,7 @@
   
   
   
+  
   
   
   
@@ -3379,6 +3383,7 @@
   
   
   
+  
   
   
   

stub.kiwi: same change
++ dvd.group ++
--- /var/tmp/diff_new_pack.AozbPk/_old  2020-03-25 03:25:05.204562826 +0100
+++ /var/tmp/diff_new_pack.AozbPk/_new  2020-03-25 03:25:05.204562826 +0100
@@ -3,11 +3,12 @@
   
  
  
- 
- 
+ 
+ 
  
  

  
+ 
  
  
  
@@ -153,7 +154,7 @@
  
  
  
- 
+ 
  
  
  
@@ -242,7 +243,7 @@
  
  
  
- 
+ 
  
  
  
@@ -788,6 +789,7 @@
  

  
  
+ 
  
  
  
@@ -1094,7 +1096,7 @@
  
  
  
- 
+ 
  
  
  
@@ -1372,7 +1374,7 @@
  
  
  
- 
+ 
  
  
  
@@ -1489,7 +1491,7 @@
  
  
  
- 
+ 
  
  
  
@@ -1749,10 +1751,10 @@
  
  
  
- 
- 
- 
- 
+ 
+ 
+ 
+ 
  
  
  
@@ -1840,7 +1842,7 @@
  
  
  
- 
+ 
  
  
  
@@ -1856,7 +1858,7 @@
  
  
  
- 
+ 
  
  
  

@@ -1960,7 +1962,7 @@
  
  
  
- 
+ 
  
  
  
@@ -2003,7 +2005,7 @@
  
  
  
- 
+ 
  
  
  
@@ -2145,7 +2147,7 @@
  
  
  
- 
+ 
  
  
  
@@ -2719,8 +2721,8 @@
  

  
  
- 
- 
+ 
+ 
  
  
  
@@ -2737,34 +2739,35 @@
  
  
  
+ 
  
  
  
  
  
- 
+ 
  
- 
+ 
  
- 
- 
- 
- 
- 
- 
- 
- 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
  
- 
+ 
  
  
- 
- 
+ 
+ 
  
  
- 
+ 
  
- 
+ 
  
  
  
@@ -2772,15 +2775,16 @@
  
  
  
- 
- 
- 
- 
+ 
+ 
+ 
+ 
  
  
+ 
  
  

- 
+ 
  
  
  
@@ -2789,7 +2793,7 @@
  
  
  
- 
+ 
  
  

  

@@ -2891,7 +2895,7 @@
  
  
  
- 
+ 
  
  
  
@@ -2953,7 +2957,7 @@
  
  
  
- 
+ 
  
  
  
@@ -3002,7 +3006,7 @@
  
  
  
- 
+ 
  
  
  
@@ -3143,7 +3147,7 @@
  
  
  
- 
+ 
  
  
  
@@ -3328,6 +3332,7 @@
  
  
  
+ 
  
  
  
@@ -3453,7 +3458,7 @@
  
  
  
- 
+ 
  
  
  

++ openSUSE-dvd5-dvd-ppc64le.kwd ++
--- /var/tmp/diff_new_pack.AozbPk/_old  2020-03-25 03:25:05.236562838 +0100
+++ /var/tmp/diff_new_pack.AozbPk/_new  2020-03-25 03:25:05.236562838 +0100
@@ -5,6 +5,7 @@
 ImageMagick: +Kwd:\nsupport_unsupported\n-Kwd:
 ImageMagick-config-7-SUSE: +Kwd:\nsupport_unsupported\n-Kwd:
 Mesa: +Kwd:\nsupport_unsupported\n-Kwd:
+Mesa-demo-x: +Kwd:\nsupport_unsupported\n-Kwd:
 Mesa-dri: +Kwd:\nsupport_unsupported\n-Kwd:
 Mesa-dri-nouveau: +Kwd:\nsupport_unsupported\n-Kwd:
 Mesa-gallium: +Kwd:\nsupport_unsupported\n-Kwd:
@@ -785,6 +786,7 @@
 intlfonts-euro-bitmap-fonts: +Kwd:\nsupport_unsupported\n-Kwd:
 intlfonts-japanese-big-bitmap-fonts: +Kwd:\nsupport_unsupported\n-Kwd:
 intlfonts-japanese-bitmap-fonts: +Kwd:\nsupport_unsupported\n-Kwd:
+inxi: +Kwd:\nsupport_unsupported\n-Kwd:
 ipa-ex-gothic-fonts: +Kwd:\nsupport_unsupported\n-Kwd:
 ipa-ex-mincho-fonts: +Kwd:\nsupport_unsupported\n-Kwd:
 ipa-gothic-fonts: +Kwd:\nsupport_unsupported\n-Kwd:
@@ -2736,6 +2738,7 @@
 perl-Archive-Zip: +Kwd:\nsupport_unsupported\n-Kwd:
 perl-Bootloader: +Kwd:\nsupport_unsupported\n-Kwd:
 perl-CPAN-Changes: +Kwd:\nsupport_unsupported\n-Kwd:
+perl-Cpanel-JSON-XS: +Kwd:\nsupport_unsupported\n-Kwd:
 perl-Crypt-SmbHash: 

commit rpm for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package rpm for openSUSE:Factory checked in 
at 2020-03-24 23:07:22

Comparing /work/SRC/openSUSE:Factory/rpm (Old)
 and  /work/SRC/openSUSE:Factory/.rpm.new.3160 (New)


Package is "rpm"

Tue Mar 24 23:07:22 2020 rev:278 rq:787932 version:4.15.1

Changes:

--- /work/SRC/openSUSE:Factory/rpm/rpm.changes  2020-03-19 19:40:08.619842344 
+0100
+++ /work/SRC/openSUSE:Factory/.rpm.new.3160/rpm.changes2020-03-24 
23:07:25.737849696 +0100
@@ -1,0 +2,12 @@
+Tue Mar 24 22:16:22 CET 2020 - m...@suse.de
+
+- Follow one level of symlink indirection when converting the rpm
+  database [bnc#1167537]
+  * modified patch: db_conversion.diff
+
+---
+Mon Mar 23 16:11:34 UTC 2020 - Sergio Lindo Mansilla 
+
+- Add macro for supported ARM 64bit processors
+
+---



Other differences:
--
rpm.spec: same change
++ db_conversion.diff ++
--- /var/tmp/diff_new_pack.A91yBq/_old  2020-03-24 23:07:27.757850444 +0100
+++ /var/tmp/diff_new_pack.A91yBq/_new  2020-03-24 23:07:27.761850446 +0100
@@ -1,5 +1,5 @@
 ./lib/backend/bdb_ro.c.orig2020-01-17 15:48:50.622349363 +
-+++ ./lib/backend/bdb_ro.c 2020-01-17 15:49:20.514287856 +
+--- ./lib/backend/bdb_ro.c.orig2020-03-24 20:45:19.121907476 +
 ./lib/backend/bdb_ro.c 2020-03-24 20:46:17.141727988 +
 @@ -795,6 +795,7 @@ static unsigned int bdbro_pkgdbKey(dbiIn
  struct rpmdbOps_s bdbro_dbops = {
  .name   = "bdb_ro",
@@ -8,8 +8,8 @@
  
  .open   = bdbro_Open,
  .close  = bdbro_Close,
 ./lib/backend/dbi.c.orig   2020-01-17 15:48:50.622349363 +
-+++ ./lib/backend/dbi.c2020-01-17 15:49:20.514287856 +
+--- ./lib/backend/dbi.c.orig   2020-03-24 20:45:19.121907476 +
 ./lib/backend/dbi.c2020-03-24 20:46:17.141727988 +
 @@ -105,11 +105,20 @@ dbDetectBackend(rpmdb rdb)
  }
  
@@ -31,8 +31,8 @@
  const char * dbiName(dbiIndex dbi)
  {
  return dbi->dbi_file;
 ./lib/backend/dbi.h.orig   2020-01-17 15:48:50.622349363 +
-+++ ./lib/backend/dbi.h2020-01-17 15:49:49.886227415 +
+--- ./lib/backend/dbi.h.orig   2020-03-24 20:45:19.121907476 +
 ./lib/backend/dbi.h2020-03-24 20:46:17.141727988 +
 @@ -10,6 +10,7 @@ enum rpmdbFlags {
  RPMDB_FLAG_JUSTCHECK  = (1 << 0),
  RPMDB_FLAG_REBUILD= (1 << 1),
@@ -72,8 +72,8 @@
  
  int (*open)(rpmdb rdb, rpmDbiTagVal rpmtag, dbiIndex * dbip, int flags);
  int (*close)(dbiIndex dbi, unsigned int flags);
 ./lib/rpmdb.c.orig 2020-01-17 15:48:50.622349363 +
-+++ ./lib/rpmdb.c  2020-01-17 15:53:52.241669094 +
+--- ./lib/rpmdb.c.orig 2020-03-24 20:45:19.117907488 +
 ./lib/rpmdb.c  2020-03-24 21:01:54.870821518 +
 @@ -513,8 +513,16 @@ static int openDatabase(const char * pre
rpmsqActivate(1);
}
@@ -128,7 +128,31 @@
  {
  rpmdb olddb;
  char * dbpath = NULL;
-@@ -2536,7 +2555,7 @@ int rpmdbRebuild(const char * prefix, rp
+@@ -2512,7 +2531,22 @@ int rpmdbRebuild(const char * prefix, rp
+ }
+ rootdbpath = rpmGetPath(prefix, dbpath, NULL);
+ 
+-newdbpath = rpmGetPath("%{?_dbpath_rebuild}", NULL);
++if ((newdbflags & RPMDB_FLAG_CONVERT) != 0) {
++  char lbuf[PATH_MAX];
++  ssize_t s = readlink(rootdbpath, lbuf, PATH_MAX);
++  if (s > 0 && s < PATH_MAX) {
++  lbuf[s] = 0;
++  free(dbpath);
++  if (lbuf[0] == '/')
++  dbpath = strdup(lbuf);
++  else
++  dbpath = rpmGetPath("%{?_dbpath}", "/../", lbuf, NULL);
++  free(rootdbpath);
++  rootdbpath = rpmGetPath(prefix, dbpath, NULL);
++  }
++  newdbpath = strdup("");
++} else
++  newdbpath = rpmGetPath("%{?_dbpath_rebuild}", NULL);
+ if (rstreq(newdbpath, "") || rstreq(newdbpath, dbpath)) {
+   newdbpath = _free(newdbpath);
+   rasprintf(, "%srebuilddb.%d", dbpath, (int) getpid());
+@@ -2536,7 +2570,7 @@ int rpmdbRebuild(const char * prefix, rp
goto exit;
  }
  if (openDatabase(prefix, newdbpath, ,
@@ -137,8 +161,8 @@
rc = 1;
goto exit;
  }
 ./lib/rpmdb_internal.h.orig2020-01-17 15:51:16.134030103 +
-+++ ./lib/rpmdb_internal.h 2020-01-17 15:50:27.050144956 +
+--- ./lib/rpmdb_internal.h.orig2019-06-26 14:17:31.412985694 +
 ./lib/rpmdb_internal.h 2020-03-24 20:46:17.141727988 +
 @@ -63,11 +63,13 @@ int rpmdbClose (rpmdb db);
   * @param prefix  path to top of install tree
   * @param ts  transaction set (or NULL)
@@ -154,8 +178,8 @@
  
  

commit yast2-s390 for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package yast2-s390 for openSUSE:Factory 
checked in at 2020-03-24 22:36:27

Comparing /work/SRC/openSUSE:Factory/yast2-s390 (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-s390.new.3160 (New)


Package is "yast2-s390"

Tue Mar 24 22:36:27 2020 rev:14 rq:787499 version:4.2.4

Changes:

--- /work/SRC/openSUSE:Factory/yast2-s390/yast2-s390.changes2019-12-12 
23:18:28.330211818 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-s390.new.3160/yast2-s390.changes  
2020-03-24 22:38:27.845267917 +0100
@@ -1,0 +2,6 @@
+Mon Mar 23 13:56:13 UTC 2020 - Imobach Gonzalez Sosa 
+
+- Properly identify zFCP devices (bsc#1158443).
+- 4.2.4
+
+---

Old:

  yast2-s390-4.2.3.tar.bz2

New:

  yast2-s390-4.2.4.tar.bz2



Other differences:
--
++ yast2-s390.spec ++
--- /var/tmp/diff_new_pack.YldfSm/_old  2020-03-24 22:38:28.753268358 +0100
+++ /var/tmp/diff_new_pack.YldfSm/_new  2020-03-24 22:38:28.753268358 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package yast2-s390
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-s390
-Version:4.2.3
+Version:4.2.4
 Release:0
 Summary:YaST2 - S/390 Specific Features Configuration
 License:GPL-2.0-only

++ yast2-s390-4.2.3.tar.bz2 -> yast2-s390-4.2.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-s390-4.2.3/package/yast2-s390.changes 
new/yast2-s390-4.2.4/package/yast2-s390.changes
--- old/yast2-s390-4.2.3/package/yast2-s390.changes 2019-12-11 
15:45:25.0 +0100
+++ new/yast2-s390-4.2.4/package/yast2-s390.changes 2020-03-23 
15:07:39.0 +0100
@@ -1,4 +1,10 @@
 ---
+Mon Mar 23 13:56:13 UTC 2020 - Imobach Gonzalez Sosa 
+
+- Properly identify zFCP devices (bsc#1158443).
+- 4.2.4
+
+---
 Wed Dec 11 14:29:18 CET 2019 - sch...@suse.de
 
 - Activating dumpconf: Ask the user to deactivate active kdump
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-s390-4.2.3/package/yast2-s390.spec 
new/yast2-s390-4.2.4/package/yast2-s390.spec
--- old/yast2-s390-4.2.3/package/yast2-s390.spec2019-12-11 
15:45:25.0 +0100
+++ new/yast2-s390-4.2.4/package/yast2-s390.spec2020-03-23 
15:07:39.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-s390
-Version:4.2.3
+Version:4.2.4
 Release:0
 Group:  System/YaST
 License:GPL-2.0-only
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-s390-4.2.3/src/modules/ZFCPController.rb 
new/yast2-s390-4.2.4/src/modules/ZFCPController.rb
--- old/yast2-s390-4.2.3/src/modules/ZFCPController.rb  2019-12-11 
15:45:25.0 +0100
+++ new/yast2-s390-4.2.4/src/modules/ZFCPController.rb  2020-03-23 
15:07:39.0 +0100
@@ -371,7 +371,7 @@
 to:   "list >"
   )
   disks = Builtins.filter(disks) do |d|
-Ops.get_string(d, "bus", "") == "SCSI"
+d["driver"] == "zfcp"
   end
 
   tapes = Convert.convert(
@@ -415,11 +415,11 @@
   case ret
   when 0
 
-  when 1
+  when 1 # FIXME: check error codes in 
https://github.com/SUSE/s390-tools/blob/master/zfcp_host_configure#L60
 Report.Error(
   Builtins.sformat(
 # error report, %1 is device identification
-_("%1: sysfs not mounted."),
+_("%1: no CCW was specified or sysfs is not mounted."),
 channel
   )
 )
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-s390-4.2.3/test/data/probe_disk.yml 
new/yast2-s390-4.2.4/test/data/probe_disk.yml
--- old/yast2-s390-4.2.3/test/data/probe_disk.yml   2019-12-11 
15:45:25.0 +0100
+++ new/yast2-s390-4.2.4/test/data/probe_disk.yml   2020-03-23 
15:07:39.0 +0100
@@ -89,3 +89,43 @@
   sysfs_id: "/class/block/sdb"
   unique_key: XGop.pffu6ea6mm8
   vendor: IBM
+- bus: SCSI
+  bus_hwcfg: scsi
+  class_id: 262
+  detail:
+channel: 0
+fcp_lun: '0x'
+host: 0
+id: 0
+lun: 0
+wwpn: '0x'
+  dev_name: "/dev/sdc"
+  dev_name2: "/dev/sg3"
+  dev_names:
+  - "/dev/sdc"
+  - 

commit solarus-quest-editor for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package solarus-quest-editor for 
openSUSE:Factory checked in at 2020-03-24 22:37:48

Comparing /work/SRC/openSUSE:Factory/solarus-quest-editor (Old)
 and  /work/SRC/openSUSE:Factory/.solarus-quest-editor.new.3160 (New)


Package is "solarus-quest-editor"

Tue Mar 24 22:37:48 2020 rev:8 rq:787922 version:1.6.2

Changes:

--- 
/work/SRC/openSUSE:Factory/solarus-quest-editor/solarus-quest-editor.changes
2019-08-19 21:39:59.724306867 +0200
+++ 
/work/SRC/openSUSE:Factory/.solarus-quest-editor.new.3160/solarus-quest-editor.changes
  2020-03-24 22:39:13.853290277 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 19:42:56 UTC 2020 - Christophe Giboudeaux 
+
+- Add patch to find moonjit:
+  * 0001-Use-pkg-config-to-get-more-search-paths.patch
+
+---

New:

  0001-Use-pkg-config-to-get-more-search-paths.patch



Other differences:
--
++ solarus-quest-editor.spec ++
--- /var/tmp/diff_new_pack.CB4aTF/_old  2020-03-24 22:39:15.345291001 +0100
+++ /var/tmp/diff_new_pack.CB4aTF/_new  2020-03-24 22:39:15.349291003 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package solarus-quest-editor
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,6 +24,8 @@
 Group:  Productivity/Graphics/Other
 URL:https://www.solarus-games.org/
 Source: 
https://gitlab.com/solarus-games/solarus-quest-editor/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM
+Patch0: 0001-Use-pkg-config-to-get-more-search-paths.patch
 BuildRequires:  cmake >= 2.8.11
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -61,6 +63,7 @@
 
 %prep
 %setup -q -n %{name}-v%{version}
+%patch0 -p1
 
 %build
 %cmake

++ 0001-Use-pkg-config-to-get-more-search-paths.patch ++
>From c50c1938588b6f11e081744a8658135141c41948 Mon Sep 17 00:00:00 2001
From: Christophe Giboudeaux 
Date: Tue, 24 Mar 2020 19:37:32 +0100
Subject: [PATCH] Use pkg-config to get more search paths.

Solarus can be built using moonjit. If a pkgconfig file is available,
we'll use the known include and library dirs.
---
 cmake/modules/FindLuaJit.cmake | 6 ++
 1 file changed, 6 insertions(+)

diff --git a/cmake/modules/FindLuaJit.cmake b/cmake/modules/FindLuaJit.cmake
index 206bfec..91f5f2d 100644
--- a/cmake/modules/FindLuaJit.cmake
+++ b/cmake/modules/FindLuaJit.cmake
@@ -7,9 +7,14 @@
 #
 # This module is similar to FindLua51.cmake except that it finds LuaJit 
instead.
 
+FIND_PACKAGE(PkgConfig QUIET)
+
+PKG_CHECK_MODULES(PKG_LUAJIT QUIET luajit)
+
 FIND_PATH(LUA_INCLUDE_DIR luajit.h
   HINTS
   $ENV{LUA_DIR}
+  ${PKG_LUAJIT_INCLUDE_DIRS}
   PATH_SUFFIXES include/luajit-2.1 include/luajit-2.0 include/luajit-5_1-2.0 
include/luajit-5_1-2.1 include
   PATHS
   ~/Library/Frameworks
@@ -24,6 +29,7 @@ FIND_LIBRARY(LUA_LIBRARY
   NAMES luajit-5.1
   HINTS
   $ENV{LUA_DIR}
+  ${PKG_LUAJIT_LIBRARY_DIRS}
   PATH_SUFFIXES lib64 lib
   PATHS
   ~/Library/Frameworks
-- 
2.25.1




commit python-xdis for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-xdis for openSUSE:Factory 
checked in at 2020-03-24 22:37:35

Comparing /work/SRC/openSUSE:Factory/python-xdis (Old)
 and  /work/SRC/openSUSE:Factory/.python-xdis.new.3160 (New)


Package is "python-xdis"

Tue Mar 24 22:37:35 2020 rev:8 rq:787860 version:4.2.3

Changes:

--- /work/SRC/openSUSE:Factory/python-xdis/python-xdis.changes  2020-03-09 
18:34:37.574034533 +0100
+++ /work/SRC/openSUSE:Factory/.python-xdis.new.3160/python-xdis.changes
2020-03-24 22:39:08.485287667 +0100
@@ -1,0 +2,11 @@
+Tue Mar 24 15:22:55 UTC 2020 - pgaj...@suse.com
+
+- version update to 4.2.3
+  * Add Python versions: 3.7.7, 3.8.2, and 3.9.0alpha1,
+  * Create a class for "STORE" instructions
+  * facilitate code type freezing (PR #57)
+  * Warn about cross-decompilation problems for byte types
+- deleted patches
+  - py382.patch (upstreamed)
+
+---

Old:

  4.2.2.tar.gz
  py382.patch

New:

  4.2.3.tar.gz



Other differences:
--
++ python-xdis.spec ++
--- /var/tmp/diff_new_pack.8YKdIA/_old  2020-03-24 22:39:09.445288134 +0100
+++ /var/tmp/diff_new_pack.8YKdIA/_new  2020-03-24 22:39:09.449288136 +0100
@@ -18,16 +18,16 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-xdis
-Version:4.2.2
+Version:4.2.3
 Release:0
 Summary:Python cross-version byte-code disassembler and marshal 
routines
 License:GPL-2.0-only
-Patch0: py382.patch
 URL:https://github.com/rocky/python-xdis/
 Source: https://github.com/rocky/python-xdis/archive/%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+Requires:   python-setuptools
 BuildArch:  noarch
 # SECTION test requirements
 BuildRequires:  %{python_module pytest}
@@ -40,7 +40,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
 # test fails for weird order reasons
 rm pytest/test_disasm.py
 

++ 4.2.2.tar.gz -> 4.2.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-xdis-4.2.2/NEWS.md 
new/python-xdis-4.2.3/NEWS.md
--- old/python-xdis-4.2.2/NEWS.md   2019-12-24 15:39:30.0 +0100
+++ new/python-xdis-4.2.3/NEWS.md   2020-03-16 19:28:04.0 +0100
@@ -1,3 +1,11 @@
+4.2.3 2020-03-16 post ides-of-march
+===
+
+* Add Python versions: 3.7.7, 3.8.2, and 3.9.0alpha1,
+* Create a class for "STORE" instructions
+* facilitate code type freezing (PR #57)
+* Warn about cross-decompilation problems for byte types
+
 4.2.2 2019-12-24 christmas + hannukah
 =
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-xdis-4.2.2/__pkginfo__.py 
new/python-xdis-4.2.3/__pkginfo__.py
--- old/python-xdis-4.2.2/__pkginfo__.py2019-12-24 15:39:30.0 
+0100
+++ new/python-xdis-4.2.3/__pkginfo__.py2020-03-16 19:28:04.0 
+0100
@@ -9,7 +9,7 @@
 
 # Things that change more often go here.
 copyright = """
-Copyright (C) 2015-2019 Rocky Bernstein .
+Copyright (C) 2015-2020 Rocky Bernstein .
 """
 
 classifiers = [
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-xdis-4.2.2/admin-tools/README.md 
new/python-xdis-4.2.3/admin-tools/README.md
--- old/python-xdis-4.2.2/admin-tools/README.md 1970-01-01 01:00:00.0 
+0100
+++ new/python-xdis-4.2.3/admin-tools/README.md 2020-03-16 19:28:04.0 
+0100
@@ -0,0 +1,12 @@
+This directory contains administrative tools for testing and making packages.
+
+Since this project uses python over a wide variety of release, some versions
+of projects that should be used for specific Python versions
+
+for 3.2.6:
+   pytest==2.9.2
+
+for 3.1.5
+   pytset==2.1.0
+   py=1.8.0 and comment out line 10 of _builtin.py # callable = callable
+   six==1.10.0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/python-xdis-4.2.2/admin-tools/how-to-make-a-release.md 
new/python-xdis-4.2.3/admin-tools/how-to-make-a-release.md
--- old/python-xdis-4.2.2/admin-tools/how-to-make-a-release.md  2019-12-24 
15:39:30.0 +0100
+++ new/python-xdis-4.2.3/admin-tools/how-to-make-a-release.md  2020-03-16 
19:28:04.0 +0100
@@ -63,7 +63,7 @@
 # Make packages and tag
 
 $ . ./admin-tools/make-dist-older.sh
-   $ pyenv local 3.8.0
+   $ pyenv local 3.8.2
$ twine check dist/xdis-$VERSION*
 $ git tag release-python-2.4-$VERSION
 $ . ./admin-tools/make-dist-newer.sh
diff -urN 

commit solarus for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package solarus for openSUSE:Factory checked 
in at 2020-03-24 22:37:45

Comparing /work/SRC/openSUSE:Factory/solarus (Old)
 and  /work/SRC/openSUSE:Factory/.solarus.new.3160 (New)


Package is "solarus"

Tue Mar 24 22:37:45 2020 rev:7 rq:787919 version:1.6.2

Changes:

--- /work/SRC/openSUSE:Factory/solarus/solarus.changes  2019-09-02 
13:26:45.465296527 +0200
+++ /work/SRC/openSUSE:Factory/.solarus.new.3160/solarus.changes
2020-03-24 22:39:12.613289674 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 18:38:22 UTC 2020 - Christophe Giboudeaux 
+
+- Add patch to find moonjit:
+  * 0001-Use-pkg-config-to-get-more-search-paths.patch
+
+---

New:

  0001-Use-pkg-config-to-get-more-search-paths.patch



Other differences:
--
++ solarus.spec ++
--- /var/tmp/diff_new_pack.3NTtNL/_old  2020-03-24 22:39:13.533290121 +0100
+++ /var/tmp/diff_new_pack.3NTtNL/_new  2020-03-24 22:39:13.537290122 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package solarus
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,6 +26,8 @@
 Source0:%{name}-%{version}.tar.bz2
 # PATCH-FEATURE-UPSTREAM -- 
https://gitlab.com/solarus-games/solarus/merge_requests/1311
 Patch0: solarus-1.6.2-install-gui-translations.patch
+# PATCH-FIX-UPSTREAM
+Patch1: 0001-Use-pkg-config-to-get-more-search-paths.patch
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
 BuildRequires:  hicolor-icon-theme
@@ -92,8 +94,7 @@
 %lang_package -n solarus-gui
 
 %prep
-%setup -q
-%patch0 -p1
+%autosetup -p1
 
 %build
 %cmake

++ 0001-Use-pkg-config-to-get-more-search-paths.patch ++
>From c50c1938588b6f11e081744a8658135141c41948 Mon Sep 17 00:00:00 2001
From: Christophe Giboudeaux 
Date: Tue, 24 Mar 2020 19:37:32 +0100
Subject: [PATCH] Use pkg-config to get more search paths.

Solarus can be built using moonjit. If a pkgconfig file is available,
we'll use the known include and library dirs.
---
 cmake/modules/FindLuaJit.cmake | 6 ++
 1 file changed, 6 insertions(+)

diff --git a/cmake/modules/FindLuaJit.cmake b/cmake/modules/FindLuaJit.cmake
index 4edb6e3..25712d0 100644
--- a/cmake/modules/FindLuaJit.cmake
+++ b/cmake/modules/FindLuaJit.cmake
@@ -7,9 +7,14 @@
 #
 # This module is similar to FindLua51.cmake except that it finds LuaJit 
instead.
 
+FIND_PACKAGE(PkgConfig QUIET)
+
+PKG_CHECK_MODULES(PKG_LUAJIT QUIET luajit)
+
 FIND_PATH(LUA_INCLUDE_DIR luajit.h
   HINTS
   $ENV{LUA_DIR}
+  ${PKG_LUAJIT_INCLUDE_DIRS}
   PATH_SUFFIXES include/luajit-2.1 include/luajit-2.0 include/luajit-5_1-2.0 
include/luajit-5_1-2.1 include
   PATHS
   ~/Library/Frameworks
@@ -24,6 +29,7 @@ FIND_LIBRARY(LUA_LIBRARY
   NAMES luajit-5.1 luajit-2.0 luajit-2.1
   HINTS
   $ENV{LUA_DIR}
+  ${PKG_LUAJIT_LIBRARY_DIRS}
   PATH_SUFFIXES lib64 lib
   PATHS
   ~/Library/Frameworks
-- 
2.25.1




commit python-pikepdf for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pikepdf for openSUSE:Factory 
checked in at 2020-03-24 22:36:31

Comparing /work/SRC/openSUSE:Factory/python-pikepdf (Old)
 and  /work/SRC/openSUSE:Factory/.python-pikepdf.new.3160 (New)


Package is "python-pikepdf"

Tue Mar 24 22:36:31 2020 rev:3 rq:787784 version:1.10.3

Changes:

--- /work/SRC/openSUSE:Factory/python-pikepdf/python-pikepdf.changes
2020-03-17 13:09:08.157752463 +0100
+++ /work/SRC/openSUSE:Factory/.python-pikepdf.new.3160/python-pikepdf.changes  
2020-03-24 22:38:30.037268982 +0100
@@ -1,0 +2,7 @@
+Tue Mar 24 11:58:35 UTC 2020 - pgaj...@suse.com
+
+- version update to 1.10.3
+  * Fixed ``isinstance(obj, pikepdf.Operator)`` not working. (#86)
+  * Documentation updates.  
+
+---

Old:

  pikepdf-1.10.2.tar.gz

New:

  pikepdf-1.10.3.tar.gz



Other differences:
--
++ python-pikepdf.spec ++
--- /var/tmp/diff_new_pack.0cNQ4N/_old  2020-03-24 22:38:30.569269241 +0100
+++ /var/tmp/diff_new_pack.0cNQ4N/_new  2020-03-24 22:38:30.573269243 +0100
@@ -20,31 +20,35 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-pikepdf
-Version:1.10.2
+Version:1.10.3
 Release:0
 Summary:Read and write PDFs with Python, powered by qpdf
 License:MPL-2.0
 URL:https://github.com/pikepdf/pikepdf
 Source: 
https://files.pythonhosted.org/packages/source/p/pikepdf/pikepdf-%{version}.tar.gz
+## SECTION test requirements
+BuildRequires:  %{python_module Pillow >= 5.0.0}
+BuildRequires:  %{python_module attrs >= 19.1.0}
 BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module hypothesis >= 4.24}
+BuildRequires:  %{python_module lxml >= 4.0}
 BuildRequires:  %{python_module pybind11 >= 2.4.3}
+BuildRequires:  %{python_module pytest >= 4.4.0}
+BuildRequires:  %{python_module pytest-helpers-namespace >= 2019.1.8}
+BuildRequires:  %{python_module pytest-timeout >= 1.3.3}
+BuildRequires:  %{python_module pytest-xdist}
 BuildRequires:  %{python_module setuptools_scm_git_archive}
 BuildRequires:  %{python_module setuptools_scm}
 BuildRequires:  %{python_module setuptools}
+## /SECTION
+BuildRequires:  fdupes
 BuildRequires:  gcc-c++
+BuildRequires:  pkgconfig
 BuildRequires:  python-pybind11-devel
 BuildRequires:  python-rpm-macros
 BuildRequires:  pkgconfig(libqpdf)
-## SECTION test requirements
-BuildRequires:  %{python_module Pillow >= 5.0.0}
-BuildRequires:  %{python_module hypothesis >= 4.24}
-BuildRequires:  %{python_module lxml >= 4.0}
-BuildRequires:  %{python_module pytest}
-## /SECTION
-BuildRequires:  fdupes
 Requires:   python-Pillow >= 5.0.0
 Requires:   python-lxml >= 4.0
-
 %python_subpackages
 
 %description
@@ -62,6 +66,10 @@
 %python_expand %fdupes %{buildroot}%{$python_sitearch}
 
 %check
+# /usr/lib/python3.8/site-packages/_pytest/python.py:1170: in _idval
+# elif hasattr(val, "__name__") and isinstance(val.__name__, str):
+# ValueError: object is not a dictionary or a stream
+rm tests/test_object.py
 %pytest_arch
 
 %files %{python_files}

++ pikepdf-1.10.2.tar.gz -> pikepdf-1.10.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pikepdf-1.10.2/PKG-INFO new/pikepdf-1.10.3/PKG-INFO
--- old/pikepdf-1.10.2/PKG-INFO 2020-02-25 02:05:57.822245600 +0100
+++ new/pikepdf-1.10.3/PKG-INFO 2020-03-17 07:56:20.23084 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: pikepdf
-Version: 1.10.2
+Version: 1.10.3
 Summary: Read and write PDFs with Python, powered by qpdf
 Home-page: https://github.com/pikepdf/pikepdf
 Author: James R. Barlow
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pikepdf-1.10.2/debian/copyright 
new/pikepdf-1.10.3/debian/copyright
--- old/pikepdf-1.10.2/debian/copyright 2020-02-25 02:03:58.0 +0100
+++ new/pikepdf-1.10.3/debian/copyright 2020-03-17 07:53:39.0 +0100
@@ -43,6 +43,11 @@
 License: CC-BY-SA 2.0
  See: https://commons.wikimedia.org/wiki/File:Pike_square_img_3653.jpg
 
+Files: docs/images/28fish.jpg
+Copyright: (C) 2009 Fae
+License: CC-BY-4.0
+ See: 
https://upload.wikimedia.org/wikipedia/commons/0/0c/Twenty_eight_types_of_fish._Engraving_by_R._Scott_after_T._B_Wellcome_V0022737EL.jpg
+
 Files: tests/*.py
 Copyright: (C) 2017 James R. Barlow
 License: CC0-1.0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pikepdf-1.10.2/docs/conf.py 
new/pikepdf-1.10.3/docs/conf.py
--- old/pikepdf-1.10.2/docs/conf.py 2020-02-25 02:03:58.0 +0100
+++ 

commit armnn for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package armnn for openSUSE:Factory checked 
in at 2020-03-24 22:37:15

Comparing /work/SRC/openSUSE:Factory/armnn (Old)
 and  /work/SRC/openSUSE:Factory/.armnn.new.3160 (New)


Package is "armnn"

Tue Mar 24 22:37:15 2020 rev:6 rq:787844 version:20.02

Changes:

--- /work/SRC/openSUSE:Factory/armnn/armnn.changes  2020-03-11 
18:52:00.367585270 +0100
+++ /work/SRC/openSUSE:Factory/.armnn.new.3160/armnn.changes2020-03-24 
22:38:54.097280675 +0100
@@ -1,0 +2,9 @@
+Tue Mar 24 14:01:29 UTC 2020 - Guillaume GARDET 
+
+- Add '-Wno-error=deprecated-declarations' to fix build with latest
+  protobuf 3.11.x (Tumbleweed)
+  https://github.com/ARM-software/armnn/issues/366
+- Use python-onnx package instead of python-onnx-devel, since it
+  is now a single package.
+
+---



Other differences:
--
++ armnn.spec ++
--- /var/tmp/diff_new_pack.Hd2MKU/_old  2020-03-24 22:38:55.237281229 +0100
+++ /var/tmp/diff_new_pack.Hd2MKU/_new  2020-03-24 22:38:55.241281231 +0100
@@ -138,7 +138,7 @@
 %endif
 %endif
 %if %{with armnn_onnx}
-BuildRequires:  python3-onnx-devel
+BuildRequires:  python3-onnx
 %endif
 %if %{with armnn_tests}
 BuildRequires:  stb-devel
@@ -366,7 +366,6 @@
 # Boost fixes for dynamic linking
 sed -i 's/find_package(Boost 1.59 REQUIRED COMPONENTS unit_test_framework 
system filesystem program_options)/find_package(Boost 1.59 REQUIRED COMPONENTS 
unit_test_framework system filesystem log thread program_options)/' 
./cmake/GlobalConfig.cmake
 
-
 %build
 %if %{with armnn_onnx}
 mkdir onnx_deps
@@ -374,7 +373,7 @@
 protoc $PROTO --proto_path=. --proto_path=%{_includedir} 
--proto_path=$(dirname $(find %{_libdir} -name onnx)) --cpp_out=./onnx_deps
 %endif
 %if 0%{?suse_version} > 1500
-export CXX_ADDITIONAL_FLAGS="$CXX_ADDITIONAL_FLAGS -Wno-error=deprecated-copy"
+export CXX_ADDITIONAL_FLAGS="$CXX_ADDITIONAL_FLAGS -Wno-error=deprecated-copy 
-Wno-error=deprecated-declarations"
 %endif
 %if 0%{?sle_version} == 150200
 %if %{with armnn_tf}




commit pgloader for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package pgloader for openSUSE:Factory 
checked in at 2020-03-24 22:37:22

Comparing /work/SRC/openSUSE:Factory/pgloader (Old)
 and  /work/SRC/openSUSE:Factory/.pgloader.new.3160 (New)


Package is "pgloader"

Tue Mar 24 22:37:22 2020 rev:4 rq:787845 version:3.6.2

Changes:

--- /work/SRC/openSUSE:Factory/pgloader/pgloader.changes2020-03-04 
09:48:28.718218118 +0100
+++ /work/SRC/openSUSE:Factory/.pgloader.new.3160/pgloader.changes  
2020-03-24 22:38:58.741282932 +0100
@@ -1,0 +2,9 @@
+Mon Mar 23 20:23:26 UTC 2020 - Bruno Friedmann 
+
+- Update to version 3.6.2
+  + Permit compilation with sbcl 2+ (module cffi updated to 0.21.0
+  + Big improvement in DBF module 
+- Packaging
+  + Remove merged related fixes (cffi)
+
+---

Old:

  pgloader-bundle-3.6.1.tgz
  v0.21.0.tar.gz

New:

  pgloader-bundle-3.6.2.tgz



Other differences:
--
++ pgloader.spec ++
--- /var/tmp/diff_new_pack.O82RyB/_old  2020-03-24 22:39:00.877283970 +0100
+++ /var/tmp/diff_new_pack.O82RyB/_new  2020-03-24 22:39:00.881283972 +0100
@@ -17,15 +17,13 @@
 
 
 Name:   pgloader
-Version:3.6.1
+Version:3.6.2
 Release:0
 Summary:Fast data loader for PostgreSQL
 License:PostgreSQL
 Group:  Productivity/Databases/Tools
 URL:https://pgloader.io
-Source0:
https://github.com/dimitri/%{name}/releases/download/v%{version}/%{name}-bundle-%{version}.tgz
-# Fix compilation errors with sbcl 2.0.1
-Source1:https://github.com/cffi/cffi/archive/v0.21.0.tar.gz
+Source: 
https://github.com/dimitri/%{name}/releases/download/v%{version}/%{name}-bundle-%{version}.tgz
 BuildRequires:  fdupes
 BuildRequires:  freetds-devel
 BuildRequires:  pkgconfig
@@ -57,14 +55,10 @@
 
 %prep
 %setup -q -n %{name}-bundle-%{version}
-# clean up old cffi
-rm -rf software/cffi_0.20.0
-# expand new cffi in place
-tar -C software -xf %{SOURCE1}
 
 %build
-export CCFLAGS="%{_optflags}"
-export CCXFLAGS="%{_optflags}"
+export CCFLAGS="%{optflags}"
+export CCXFLAGS="%{optflags}"
 export DYNSIZE=""
 echo "Arch is : %{_arch}"
 %if "%{_arch}" == "i386" || "%{_arch}" == "arm"

++ pgloader-bundle-3.6.1.tgz -> pgloader-bundle-3.6.2.tgz ++
/work/SRC/openSUSE:Factory/pgloader/pgloader-bundle-3.6.1.tgz 
/work/SRC/openSUSE:Factory/.pgloader.new.3160/pgloader-bundle-3.6.2.tgz differ: 
char 5, line 1




commit ignition for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package ignition for openSUSE:Factory 
checked in at 2020-03-24 22:36:41

Comparing /work/SRC/openSUSE:Factory/ignition (Old)
 and  /work/SRC/openSUSE:Factory/.ignition.new.3160 (New)


Package is "ignition"

Tue Mar 24 22:36:41 2020 rev:12 rq:787794 version:2.2.0

Changes:

--- /work/SRC/openSUSE:Factory/ignition/ignition.changes2020-01-21 
21:04:14.876957544 +0100
+++ /work/SRC/openSUSE:Factory/.ignition.new.3160/ignition.changes  
2020-03-24 22:38:34.885271338 +0100
@@ -1,0 +2,29 @@
+Tue Mar 24 12:58:48 UTC 2020 - Ignaz Forster 
+
+- Add 0001-Support-more-architectures.patch:
+  Allow builing on i586 (and other architectures) again
+
+---
+Tue Mar 24 07:45:25 UTC 2020 - ku...@suse.de
+
+- Update to version 2.2.0:
+  * news: add notes for 2.2.0
+  * Fix ignition config for the instantiated unit test
+  * Fix enabling systemd instantiated services
+  * providers/qemu: support Ignition block device on s390x and ppc64le
+  * blkid: Explicitly use C int variable for numParts
+  * tests: don't panic after failing to run Ignition
+  * platform: sort providers
+  * ci: migrate to new coreos-ci project
+  * OWNERS: add OWNERS file
+  * Add Exoscale provider
+  * docs: minor fixes to platforms page
+  * ci: hook up to CoreOS CI
+  * providers/vultr: Add Vultr provider
+  * Throw error if SSH keys could not be written
+  * stages/files: don't relabel /home and /root symlinks
+- Drop 0001-Throw-error-if-SSH-keys-could-not-be-written.patch
+- Added explicit Recommends for helper applications
+  [boo#1167289]
+
+---

Old:

  0001-Throw-error-if-SSH-keys-could-not-be-written.patch
  ignition-2.1.1.tar.xz

New:

  0001-Support-more-architectures.patch
  ignition-2.2.0.tar.xz



Other differences:
--
++ ignition.spec ++
--- /var/tmp/diff_new_pack.6Ni9Jt/_old  2020-03-24 22:38:35.373271575 +0100
+++ /var/tmp/diff_new_pack.6Ni9Jt/_new  2020-03-24 22:38:35.377271577 +0100
@@ -17,16 +17,27 @@
 
 
 Name:   ignition
-Version:2.1.1
+Version:2.2.0
 Release:0
 Summary:First boot installer and configuration tool
 License:Apache-2.0
 Group:  System/Management
 URL:https://github.com/coreos/ignition
 Source: %{name}-%{version}.tar.xz
-Patch1: 0001-Throw-error-if-SSH-keys-could-not-be-written.patch
+Patch1: 0001-Support-more-architectures.patch
 Patch2: 0002-allow-multiple-mounts-of-same-device.patch
 Requires:   dracut
+Recommends: /sbin/mkfs.btrfs
+Recommends: /sbin/mkfs.ext4
+Recommends: /sbin/mkfs.vfat
+Recommends: /sbin/mkfs.xfs
+Recommends: /sbin/mkswap
+Recommends: /sbin/udevadm
+Recommends: /usr/sbin/groupadd
+Recommends: /usr/sbin/sgdisk
+Recommends: /usr/sbin/useradd
+Recommends: /usr/sbin/usermod
+Suggests:   /sbin/mdadm
 BuildRequires:  dracut
 BuildRequires:  libblkid-devel
 BuildRequires:  golang(API) >= 1.12

++ 0001-Support-more-architectures.patch ++
>From 7d46257741a60291504b998ce0bc5ea1f2e28d00 Mon Sep 17 00:00:00 2001
From: Ignaz Forster 
Date: Tue, 24 Mar 2020 13:41:43 +0100
Subject: [PATCH] Support more architectures
References: gh#coreos/ignition#944
Upstream: submitted

Commit 3b930b made it impossible to build Ignition on any other arch then
s390x, ppc64le, amd64 or arm64 by explicitly stating the allowed platforms.
This made it impossible to build e.g. for 386.
Continue to use the fw_cfg interface as default instead.
---
 internal/providers/qemu/qemu_fwcfg.go | 7 ---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/internal/providers/qemu/qemu_fwcfg.go 
b/internal/providers/qemu/qemu_fwcfg.go
index 0758943..c485d6f 100644
--- a/internal/providers/qemu/qemu_fwcfg.go
+++ b/internal/providers/qemu/qemu_fwcfg.go
@@ -12,10 +12,11 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-// +build amd64 arm64
+// +build !s390x,!ppc64le
 
-// The QEMU provider on amd64 and arm64 fetches a local configuration from the
-// firmware config interface (opt/com.coreos/config).
+// The default QEMU provider fetches a local configuration from the firmware
+// config interface (opt/com.coreos/config). Platforms without support for
+// qemu_fw_cfg should use the blockdev implementation instead.
 
 package qemu
 
-- 
2.25.1

++ _service ++
--- /var/tmp/diff_new_pack.6Ni9Jt/_old  2020-03-24 22:38:35.409271593 +0100
+++ /var/tmp/diff_new_pack.6Ni9Jt/_new  2020-03-24 22:38:35.409271593 +0100
@@ -1,7 +1,7 @@
 
   
-2.1.1
-v2.1.1
+2.2.0
+   

commit virt-manager for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package virt-manager for openSUSE:Factory 
checked in at 2020-03-24 22:38:01

Comparing /work/SRC/openSUSE:Factory/virt-manager (Old)
 and  /work/SRC/openSUSE:Factory/.virt-manager.new.3160 (New)


Package is "virt-manager"

Tue Mar 24 22:38:01 2020 rev:206 rq:787931 version:2.2.1

Changes:

--- /work/SRC/openSUSE:Factory/virt-manager/virt-manager.changes
2020-03-11 18:54:32.987653511 +0100
+++ /work/SRC/openSUSE:Factory/.virt-manager.new.3160/virt-manager.changes  
2020-03-24 22:39:21.597294040 +0100
@@ -1,0 +2,14 @@
+Tue Mar 24 14:00:39 MDT 2020 - carn...@suse.com
+
+- bsc#1167569 - SLES 15 SP2 RC1 - virt-install: cache=none is
+  ignored (kvm)
+  virtinst-set-cache-mode-unsafe-for-install.patch
+
+---
+Fri Mar 20 15:03:40 MDT 2020 - carn...@suse.com
+
+- bsc#1167202 - SLES 15 SP2 Snapshot8 - virt-install misses module
+  gi
+  virt-manager.spec
+
+---



Other differences:
--
++ virt-manager.spec ++
--- /var/tmp/diff_new_pack.SZxMPI/_old  2020-03-24 22:39:22.537294497 +0100
+++ /var/tmp/diff_new_pack.SZxMPI/_new  2020-03-24 22:39:22.537294497 +0100
@@ -140,6 +140,7 @@
 # This version not strictly required: virt-manager should work with older,
 # however varying amounts of functionality will not be enabled.
 Requires:   libosinfo >= 0.2.10
+Requires:   python3-gobject
 Requires:   python3-ipaddr
 Requires:   python3-libvirt-python >= 0.7.0
 Requires:   python3-libxml2-python

++ virtinst-set-cache-mode-unsafe-for-install.patch ++
--- /var/tmp/diff_new_pack.SZxMPI/_old  2020-03-24 22:39:22.725294588 +0100
+++ /var/tmp/diff_new_pack.SZxMPI/_new  2020-03-24 22:39:22.725294588 +0100
@@ -14,7 +14,7 @@
 +if guest.devices.disk:
 +target_disk = guest.devices.disk[0]
 +saved_cache = target_disk.driver_cache
-+if target_disk.type != DeviceDisk.TYPE_BLOCK:
++if target_disk.type != DeviceDisk.TYPE_BLOCK and 
target_disk.driver_io != "native":
 +target_disk.driver_cache = DeviceDisk.CACHE_MODE_UNSAFE
 +
  data = self._prepare_get_install_xml(guest)




commit tvheadend for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package tvheadend for openSUSE:Factory 
checked in at 2020-03-24 22:36:52

Comparing /work/SRC/openSUSE:Factory/tvheadend (Old)
 and  /work/SRC/openSUSE:Factory/.tvheadend.new.3160 (New)


Package is "tvheadend"

Tue Mar 24 22:36:52 2020 rev:11 rq:787809 version:4.2.8

Changes:

--- /work/SRC/openSUSE:Factory/tvheadend/tvheadend.changes  2019-10-10 
11:53:23.539329667 +0200
+++ /work/SRC/openSUSE:Factory/.tvheadend.new.3160/tvheadend.changes
2020-03-24 22:38:42.253274919 +0100
@@ -1,0 +2,5 @@
+Tue Mar 24 13:35:39 UTC 2020 - Martin Pluskal 
+
+- Switch to py3 (build time dependency)
+
+---



Other differences:
--
++ tvheadend.spec ++
--- /var/tmp/diff_new_pack.pfEcln/_old  2020-03-24 22:38:46.585277024 +0100
+++ /var/tmp/diff_new_pack.pfEcln/_new  2020-03-24 22:38:46.589277026 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package tvheadend
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 # Copyright (c) 2016 Packman Team 
 #
 # All modifications and additions to the file contributed by third parties
@@ -17,11 +17,6 @@
 #
 
 
-#Compat macro for new _fillupdir macro introduced in Nov 2017
-%if ! %{defined _fillupdir}
-  %define _fillupdir /var/adm/fillup-templates
-%endif
-
 %define htsgroup video
 %define htsuser hts
 %define homedir %{_localstatedir}/lib/tvheadend
@@ -34,7 +29,7 @@
 # rest of code seems to be GPL-3.0+
 License:GPL-3.0-or-later AND LGPL-2.1-only
 Group:  Productivity/Multimedia/Other
-Url:https://tvheadend.org/
+URL:https://tvheadend.org/
 Source0:
https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
 Source2:%{name}-rpmlintrc
 Source3:%{name}_super
@@ -47,7 +42,7 @@
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  pkgconfig
-BuildRequires:  python-devel
+BuildRequires:  python3-base
 BuildRequires:  pkgconfig(avahi-client)
 BuildRequires:  pkgconfig(dbus-1)
 BuildRequires:  pkgconfig(libavcodec)
@@ -60,7 +55,7 @@
 BuildRequires:  pkgconfig(liburiparser)
 BuildRequires:  pkgconfig(zlib)
 Requires(pre):  group(%{htsgroup})
-%{?systemd_requires}
+%{?systemd_ordering}
 
 %description
 A TV streaming server supporting DVB-S, DVB-S2, DVB-C, DVB-T, ATSC, IPTV,
@@ -85,12 +80,13 @@
 %build
 export CFLAGS_NO_WERROR="yes"
 %configure \
+  --python=%{_bindir}/python3 \
   --disable-ffmpeg_static \
   --disable-hdhomerun_static
 mkdir -p data/dvb-scan
 tar -C data/dvb-scan -xvf %{SOURCE4}
 touch data/dvb-scan/.stamp
-make V=1 %{?_smp_mflags}
+%make_build
 
 %install
 %make_install
@@ -124,7 +120,7 @@
 
 %pre
 %service_add_pre %{name}.service
-getent passwd %htsuser >/dev/null || %{_sbindir}/useradd -g %{htsgroup} -m -d 
%{homedir} -r -s /bin/false %{htsuser} -c "Tvheadend TV server"
+getent passwd %{htsuser} >/dev/null || %{_sbindir}/useradd -g %{htsgroup} -m 
-d %{homedir} -r -s /bin/false %{htsuser} -c "Tvheadend TV server"
 
 %preun
 %service_del_preun %{name}.service




commit pam_wrapper for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package pam_wrapper for openSUSE:Factory 
checked in at 2020-03-24 22:37:00

Comparing /work/SRC/openSUSE:Factory/pam_wrapper (Old)
 and  /work/SRC/openSUSE:Factory/.pam_wrapper.new.3160 (New)


Package is "pam_wrapper"

Tue Mar 24 22:37:00 2020 rev:11 rq:787816 version:1.1.2

Changes:

--- /work/SRC/openSUSE:Factory/pam_wrapper/pam_wrapper.changes  2020-03-19 
19:54:26.148277966 +0100
+++ /work/SRC/openSUSE:Factory/.pam_wrapper.new.3160/pam_wrapper.changes
2020-03-24 22:38:50.069278717 +0100
@@ -1,0 +2,23 @@
+Tue Mar 24 13:51:58 UTC 2020 - Andreas Schneider 
+
+- Update to version 1.1.2
+  * https://gitlab.com/cwrap/pam_wrapper/-/blob/master/CHANGELOG
+
+---
+Tue Mar 24 13:21:09 UTC 2020 - Andreas Schneider 
+
+- Update to version 1.1.1
+  * https://gitlab.com/cwrap/pam_wrapper/-/blob/master/CHANGELOG
+
+---
+Fri Mar 20 14:13:05 UTC 2020 - Andreas Schneider 
+
+- Update to version 1.1.0
+  * Added support for pam_start_confdir()
+  * Added pam_chatty module
+  * Added gitlab CI support
+  * Fixed crash when a PAM module outputs too much data
+- Removed pam_wrapper-1.0.8-fix_with_latest_pam.patch
+- Removed fix-pam-module-output-crash.patch
+
+---

Old:

  fix-pam-module-output-crash.patch
  pam_wrapper-1.0.7.tar.gz
  pam_wrapper-1.0.8-fix_with_latest_pam.patch

New:

  pam_wrapper-1.1.2.tar.gz
  pam_wrapper-1.1.2.tar.gz.asc



Other differences:
--
++ pam_wrapper.spec ++
--- /var/tmp/diff_new_pack.OrYuBy/_old  2020-03-24 22:38:51.125279231 +0100
+++ /var/tmp/diff_new_pack.OrYuBy/_new  2020-03-24 22:38:51.125279231 +0100
@@ -24,15 +24,14 @@
 # NOTE ##
 %bcond_without python2
 Name:   pam_wrapper
-Version:1.0.7
+Version:1.1.2
 Release:0
 Summary:A tool to test PAM applications and PAM modules
 License:GPL-3.0-or-later
 URL:https://cwrap.org/
 Source0:https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz
-Source1:%{name}-rpmlintrc
-Patch0: pam_wrapper-1.0.8-fix_with_latest_pam.patch
-Patch1: fix-pam-module-output-crash.patch
+Source1:https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz.asc
+Source2:%{name}-rpmlintrc
 BuildRequires:  cmake
 BuildRequires:  doxygen
 BuildRequires:  libcmocka-devel
@@ -128,7 +127,7 @@
 %postun -n libpamtest0 -p /sbin/ldconfig
 
 %files
-%doc AUTHORS README ChangeLog
+%doc AUTHORS README.md CHANGELOG
 %license LICENSE
 %{_libdir}/libpam_wrapper.so*
 %{_libdir}/pkgconfig/pam_wrapper.pc
@@ -141,6 +140,7 @@
 %{_libdir}/pam_wrapper/pam_get_items.so
 %{_libdir}/pam_wrapper/pam_set_items.so
 %{_mandir}/man1/pam_wrapper.1%{?ext_man}
+%{_mandir}/man8/pam_chatty.8%{?ext_man}
 %{_mandir}/man8/pam_matrix.8%{?ext_man}
 %{_mandir}/man8/pam_get_items.8%{?ext_man}
 %{_mandir}/man8/pam_set_items.8%{?ext_man}
@@ -151,9 +151,10 @@
 %files -n libpamtest-devel
 %{_libdir}/libpamtest.so
 %{_libdir}/pkgconfig/libpamtest.pc
-%dir %{_libdir}/cmake/libpamtest
-%{_libdir}/cmake/libpamtest/libpamtest-config-version.cmake
-%{_libdir}/cmake/libpamtest/libpamtest-config.cmake
+%dir %{_libdir}/cmake/pamtest
+%{_libdir}/cmake/pamtest/pamtest-config-version.cmake
+%{_libdir}/cmake/pamtest/pamtest-config-relwithdebinfo.cmake
+%{_libdir}/cmake/pamtest/pamtest-config.cmake
 %{_includedir}/libpamtest.h
 
 %files -n libpamtest-devel-doc

++ pam_wrapper-1.0.7.tar.gz -> pam_wrapper-1.1.2.tar.gz ++
 3886 lines of diff (skipped)




commit python-pep8-naming for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pep8-naming for 
openSUSE:Factory checked in at 2020-03-24 22:36:44

Comparing /work/SRC/openSUSE:Factory/python-pep8-naming (Old)
 and  /work/SRC/openSUSE:Factory/.python-pep8-naming.new.3160 (New)


Package is "python-pep8-naming"

Tue Mar 24 22:36:44 2020 rev:7 rq:787791 version:0.10.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pep8-naming/python-pep8-naming.changes
2019-12-10 22:42:44.065802189 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-pep8-naming.new.3160/python-pep8-naming.changes
  2020-03-24 22:38:37.213272469 +0100
@@ -1,0 +2,11 @@
+Tue Mar 24 12:49:26 UTC 2020 - pgaj...@suse.com
+
+- version update to 0.10.0
+  * ``--ignore-names`` now supports globbing and applies to the N804 and N805
+checks.
+  * "acronym" imports are now treated as their own error code (N817).
+  * Metaclass detection has been improved.
+  * Annotated variable declarations (PEP 526) and ``:=`` variable assignments
+are now supported.
+
+---

Old:

  pep8-naming-0.9.1.tar.gz

New:

  pep8-naming-0.10.0.tar.gz



Other differences:
--
++ python-pep8-naming.spec ++
--- /var/tmp/diff_new_pack.pxJYMy/_old  2020-03-24 22:38:37.969272837 +0100
+++ /var/tmp/diff_new_pack.pxJYMy/_new  2020-03-24 22:38:37.969272837 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pep8-naming
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pep8-naming
-Version:0.9.1
+Version:0.10.0
 Release:0
 Summary:Flake8 plugin for checking PEP-8 naming conventions
 License:MIT

++ pep8-naming-0.9.1.tar.gz -> pep8-naming-0.10.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pep8-naming-0.9.1/CHANGELOG.rst 
new/pep8-naming-0.10.0/CHANGELOG.rst
--- old/pep8-naming-0.9.1/CHANGELOG.rst 2019-11-14 18:59:02.0 +0100
+++ new/pep8-naming-0.10.0/CHANGELOG.rst2020-03-20 22:13:50.0 
+0100
@@ -1,6 +1,19 @@
 Changes
 ===
 
+0.10.0 - 2020-03-20
+--
+
+* ``--ignore-names`` now supports globbing and applies to the N804 and N805
+  checks.
+
+* "acronym" imports are now treated as their own error code (N817).
+
+* Metaclass detection has been improved.
+
+* Annotated variable declarations (PEP 526) and ``:=`` variable assignments
+  are now supported.
+
 0.9.1 - 2019-11-14
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pep8-naming-0.9.1/PKG-INFO 
new/pep8-naming-0.10.0/PKG-INFO
--- old/pep8-naming-0.9.1/PKG-INFO  2019-11-14 18:59:28.0 +0100
+++ new/pep8-naming-0.10.0/PKG-INFO 2020-03-20 22:24:16.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: pep8-naming
-Version: 0.9.1
+Version: 0.10.0
 Summary: Check PEP-8 naming conventions, plugin for flake8
 Home-page: https://github.com/PyCQA/pep8-naming
 Author: Florent Xicluna
@@ -73,15 +73,17 @@
 +--+---+
 | N816 | mixedCase variable in global scope|
 +--+---+
+| N817 | camelcase imported as acronym |
++--+---+
 
 Options
 ---
 
 The following flake8 options are added:
 
---ignore-names  Ignore errors for specific variable names.
+--ignore-names  Ignore errors for specific names or glob 
patterns.
 
-Currently, this option can only be used 
for N802, N803, N806, N815, and N816 errors.
+Currently, this option can only be used 
for N802, N803, N804, N805, N806, N815, and N816 errors.
 
 Default: 
``setUp,tearDown,setUpClass,tearDownClass,setUpTestData,failureException,longMessage,maxDiff``.
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pep8-naming-0.9.1/README.rst 
new/pep8-naming-0.10.0/README.rst
--- old/pep8-naming-0.9.1/README.rst2019-11-14 18:59:02.0 +0100
+++ new/pep8-naming-0.10.0/README.rst   2020-02-07 00:56:42.0 +0100
@@ -65,15 +65,17 @@
 

commit python-phonenumbers for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-phonenumbers for 
openSUSE:Factory checked in at 2020-03-24 22:36:36

Comparing /work/SRC/openSUSE:Factory/python-phonenumbers (Old)
 and  /work/SRC/openSUSE:Factory/.python-phonenumbers.new.3160 (New)


Package is "python-phonenumbers"

Tue Mar 24 22:36:36 2020 rev:9 rq:787785 version:8.12.0

Changes:

--- /work/SRC/openSUSE:Factory/python-phonenumbers/python-phonenumbers.changes  
2020-03-17 13:08:49.665738265 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-phonenumbers.new.3160/python-phonenumbers.changes
2020-03-24 22:38:31.797269837 +0100
@@ -1,0 +2,7 @@
+Tue Mar 24 12:04:20 UTC 2020 - pgaj...@suse.com
+
+- version update to 8.12.0
+  * metadata updates
+  * see https://github.com/google/libphonenumber/blob/master/release_notes.txt
+
+---

Old:

  phonenumbers-8.11.5.tar.gz

New:

  phonenumbers-8.12.0.tar.gz



Other differences:
--
++ python-phonenumbers.spec ++
--- /var/tmp/diff_new_pack.vrTx7j/_old  2020-03-24 22:38:32.609270232 +0100
+++ /var/tmp/diff_new_pack.vrTx7j/_new  2020-03-24 22:38:32.609270232 +0100
@@ -18,13 +18,14 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-phonenumbers
-Version:8.11.5
+Version:8.12.0
 Release:0
 Summary:Python version of Google's common library for international 
phone numbers
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://github.com/daviddrysdale/python-phonenumbers
 Source: 
https://files.pythonhosted.org/packages/source/p/phonenumbers/phonenumbers-%{version}.tar.gz
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -46,7 +47,7 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%python_exec setup.py test
+%pytest tests/examplenumberstest.py
 
 %files %{python_files}
 %license LICENSE

++ phonenumbers-8.11.5.tar.gz -> phonenumbers-8.12.0.tar.gz ++
 6902 lines of diff (skipped)




commit python-pifpaf for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pifpaf for openSUSE:Factory 
checked in at 2020-03-24 22:36:29

Comparing /work/SRC/openSUSE:Factory/python-pifpaf (Old)
 and  /work/SRC/openSUSE:Factory/.python-pifpaf.new.3160 (New)


Package is "python-pifpaf"

Tue Mar 24 22:36:29 2020 rev:10 rq:787773 version:2.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pifpaf/python-pifpaf.changes  
2019-04-08 20:54:02.322590491 +0200
+++ /work/SRC/openSUSE:Factory/.python-pifpaf.new.3160/python-pifpaf.changes
2020-03-24 22:38:29.249268599 +0100
@@ -1,0 +2,8 @@
+Tue Mar 24 11:57:09 UTC 2020 - pgaj...@suse.com
+
+- version update to 2.4.0
+  * Ensure everything is terminated before exiting
+  * qdrouterd: fix connector host address
+  * new kafka URL
+
+---

Old:

  pifpaf-2.2.2.tar.gz

New:

  pifpaf-2.4.0.tar.gz



Other differences:
--
++ python-pifpaf.spec ++
--- /var/tmp/diff_new_pack.ohrxZv/_old  2020-03-24 22:38:29.677268807 +0100
+++ /var/tmp/diff_new_pack.ohrxZv/_new  2020-03-24 22:38:29.677268807 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pifpaf
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,12 +18,12 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pifpaf
-Version:2.2.2
+Version:2.4.0
 Release:0
 Summary:Suite of tools and fixtures to manage daemons for testing
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://github.com/jd/pifpaf
+URL:https://github.com/jd/pifpaf
 Source: 
https://pypi.io/packages/source/p/pifpaf/pifpaf-%{version}.tar.gz
 BuildRequires:  %{python_module pbr}
 BuildRequires:  fdupes
@@ -71,6 +71,9 @@
 %postun
 %python_uninstall_alternative pifpaf
 
+%check
+# rather integration tests
+
 %files %{python_files}
 %license LICENSE
 %doc ChangeLog README.rst

++ pifpaf-2.2.2.tar.gz -> pifpaf-2.4.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pifpaf-2.2.2/.travis.yml new/pifpaf-2.4.0/.travis.yml
--- old/pifpaf-2.2.2/.travis.yml2019-01-07 16:58:34.0 +0100
+++ new/pifpaf-2.4.0/.travis.yml2020-01-09 11:07:41.0 +0100
@@ -22,7 +22,7 @@
   - sudo dpkg -i influxdb_0.13.0_amd64.deb
   # zkEnv.sh can't be overriden with the deb version of zookeeper, this 
workaround that
   - sudo chmod 777 /var/log/zookeeper
-  - wget http://www.apache.org/dist/kafka/1.0.2/kafka_2.12-1.0.2.tgz -O 
/opt/kafka.tar.gz
+  - wget https://archive.apache.org/dist/kafka/1.0.2/kafka_2.12-1.0.2.tgz -O 
/opt/kafka.tar.gz
   - tar -xzf /opt/kafka.tar.gz -C /opt
   - ln -s /opt/kafka_2.12-1.0.2 /opt/kafka
 install:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pifpaf-2.2.2/AUTHORS new/pifpaf-2.4.0/AUTHORS
--- old/pifpaf-2.2.2/AUTHORS2019-01-07 17:06:04.0 +0100
+++ new/pifpaf-2.4.0/AUTHORS2020-01-09 11:14:43.0 +0100
@@ -1,6 +1,8 @@
 Andy Smith 
 David Douard 
 Julien Danjou 
+Kenneth Giusti 
+Matt Wheeler 
 Mehdi Abaakouk 
 ajssmith 
 gord chung 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pifpaf-2.2.2/ChangeLog new/pifpaf-2.4.0/ChangeLog
--- old/pifpaf-2.2.2/ChangeLog  2019-01-07 17:06:04.0 +0100
+++ new/pifpaf-2.4.0/ChangeLog  2020-01-09 11:14:43.0 +0100
@@ -1,6 +1,17 @@
 CHANGES
 ===
 
+2.4.0
+-
+
+* Ensure everything is terminated before exiting
+
+2.3.0
+-
+
+* qdrouterd: fix connector host address
+* new kafka URL
+
 2.2.2
 -
 
@@ -151,10 +162,3 @@
 * Handle terminate lookup error
 * tests: call setUp to init cleanups
 * postgresql: do not call \_exec in \_\_init\_\_
-* Install mock for tests
-* Remove not used oslotest dependency
-
-1.10.1
---
-
-* Fix process cleanup
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pifpaf-2.2.2/PKG-INFO new/pifpaf-2.4.0/PKG-INFO
--- old/pifpaf-2.2.2/PKG-INFO   2019-01-07 17:06:04.0 +0100
+++ new/pifpaf-2.4.0/PKG-INFO   2020-01-09 11:14:44.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: pifpaf
-Version: 2.2.2
+Version: 2.4.0
 Summary: Suite of tools and fixtures to manage daemons for testing
 Home-page: https://github.com/jd/pifpaf
 Author: Julien Danjou
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit nextcloud for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package nextcloud for openSUSE:Factory 
checked in at 2020-03-24 22:37:54

Comparing /work/SRC/openSUSE:Factory/nextcloud (Old)
 and  /work/SRC/openSUSE:Factory/.nextcloud.new.3160 (New)


Package is "nextcloud"

Tue Mar 24 22:37:54 2020 rev:39 rq:787928 version:18.0.3

Changes:

--- /work/SRC/openSUSE:Factory/nextcloud/nextcloud.changes  2020-03-11 
22:05:02.565999872 +0100
+++ /work/SRC/openSUSE:Factory/.nextcloud.new.3160/nextcloud.changes
2020-03-24 22:39:17.577292086 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 19:20:52 UTC 2020 - Michael Ströder 
+
+- Update to 18.0.3
+  - Security update
+  
+---

Old:

  nextcloud-18.0.2.tar.bz2

New:

  nextcloud-18.0.3.tar.bz2



Other differences:
--
++ nextcloud.spec ++
--- /var/tmp/diff_new_pack.QZKwuq/_old  2020-03-24 22:39:21.017293758 +0100
+++ /var/tmp/diff_new_pack.QZKwuq/_new  2020-03-24 22:39:21.021293760 +0100
@@ -49,7 +49,7 @@
 %endif
 
 Name:   nextcloud
-Version:18.0.2
+Version:18.0.3
 Release:0
 Summary:File hosting service
 License:AGPL-3.0-only

++ nextcloud-18.0.2.tar.bz2 -> nextcloud-18.0.3.tar.bz2 ++
/work/SRC/openSUSE:Factory/nextcloud/nextcloud-18.0.2.tar.bz2 
/work/SRC/openSUSE:Factory/.nextcloud.new.3160/nextcloud-18.0.3.tar.bz2 differ: 
char 11, line 1




commit xrdp for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package xrdp for openSUSE:Factory checked in 
at 2020-03-24 22:37:11

Comparing /work/SRC/openSUSE:Factory/xrdp (Old)
 and  /work/SRC/openSUSE:Factory/.xrdp.new.3160 (New)


Package is "xrdp"

Tue Mar 24 22:37:11 2020 rev:34 rq:787831 version:0.9.13

Changes:

--- /work/SRC/openSUSE:Factory/xrdp/xrdp.changes2020-03-12 
23:12:16.119323033 +0100
+++ /work/SRC/openSUSE:Factory/.xrdp.new.3160/xrdp.changes  2020-03-24 
22:38:52.801280045 +0100
@@ -1,0 +2,15 @@
+Tue Mar 24 14:30:55 UTC 2020 - QK ZHU 
+
+- Update xrdp-bsc965647-allow-admin-choose-desktop.patch: 
+  + Set the default session to GNOME Session for SLE.
+  + Update the variables to launch SLE-Classic Session.
+  (bsc#1166746).
+
+---
+Tue Mar 24 14:25:20 UTC 2020 - QK ZHU 
+
+- Update xrdp-bsc965647-allow-admin-choose-desktop.patch: 
+  Add `export XDG_SESSION_TYPE=x11` in startwm.sh for SLE, since 
+  lacking this variable in GNOME 3.34 causes GNOME crash (bsc#1159257).
+
+---



Other differences:
--

++ xrdp-bsc965647-allow-admin-choose-desktop.patch ++
--- /var/tmp/diff_new_pack.pMoXgW/_old  2020-03-24 22:38:53.649280457 +0100
+++ /var/tmp/diff_new_pack.pMoXgW/_new  2020-03-24 22:38:53.649280457 +0100
@@ -1,8 +1,8 @@
-Index: b/sesman/startwm.sh
-===
 a/sesman/startwm.sh2018-03-28 12:58:02.408758661 +0800
-+++ b/sesman/startwm.sh2018-03-28 12:59:03.058439975 +0800
-@@ -7,34 +7,63 @@
+diff --git a/sesman/startwm.sh b/sesman/startwm.sh
+index ad06010..2330775 100755
+--- a/sesman/startwm.sh
 b/sesman/startwm.sh
+@@ -7,34 +7,66 @@
  # exec xterm
  
  
@@ -26,18 +26,21 @@
 +wm_start()
 +{
 +  #Customize your preferred session mode here
-+  SESSION="sle"
++  #The default session is gnome(GNOME Session)
++  #sle means SLE-Classic Session
++  SESSION="gnome"
 +
 +  case $SESSION in
 +sle)
 +  if [ -r /usr/bin/gnome-session ]; then
-+export GNOME_SHELL_SESSION_MODE=classic
-+export SLE_CLASSIC_MODE=1
++export XDG_SESSION_TYPE=x11
++export GNOME_SHELL_SESSION_MODE=sle-classic
 +/usr/bin/gnome-session --session gnome-classic
 +  fi
 +  ;;
 +gnome)
 +  if [ -r /usr/bin/gnome-session ]; then
++export XDG_SESSION_TYPE=x11
 +/usr/bin/gnome-session
 +  fi
 +  ;;
@@ -86,7 +89,7 @@
  . ~/.profile
fi
  fi
-@@ -42,56 +71,20 @@
+@@ -42,56 +74,20 @@ pre_start()
return 0
  }
  
@@ -150,7 +153,7 @@
  #. /etc/environment
  #export PATH=$PATH
  #export LANG=$LANG
-@@ -106,6 +99,8 @@
+@@ -106,6 +102,8 @@ wm_start()
  # includes
  # auth   required pam_env.so readenv=1
  




commit python-pem for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pem for openSUSE:Factory 
checked in at 2020-03-24 22:36:57

Comparing /work/SRC/openSUSE:Factory/python-pem (Old)
 and  /work/SRC/openSUSE:Factory/.python-pem.new.3160 (New)


Package is "python-pem"

Tue Mar 24 22:36:57 2020 rev:4 rq:787813 version:20.1.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pem/python-pem.changes2019-09-13 
14:57:52.545276110 +0200
+++ /work/SRC/openSUSE:Factory/.python-pem.new.3160/python-pem.changes  
2020-03-24 22:38:48.217277818 +0100
@@ -1,0 +2,12 @@
+Tue Mar 24 13:24:05 UTC 2020 - pgaj...@suse.com
+
+- version update to 20.1.0
+  - Carriage returns (``\r``) are now stripped before hashing ``pem`` objects 
to provide consistent hashes across platforms.
+`#40 `_
+  - Python 3.4 is not supported anymore.
+It has been unsupported by the Python core team for a while now and its 
PyPI downloads are negligible.
+  - Added support for ``pem.OpenSSHPrivateKey`` (``OPENSSH PRIVATE KEY``).
+OpenSSH added a new ``BEGIN`` label when it switched to a proprietary key 
encoding.
+`#39 `_
+
+---

Old:

  python-pem-19.2.0.tar.gz

New:

  python-pem-20.1.0.tar.gz



Other differences:
--
++ python-pem.spec ++
--- /var/tmp/diff_new_pack.eVWLMq/_old  2020-03-24 22:38:48.897278148 +0100
+++ /var/tmp/diff_new_pack.eVWLMq/_new  2020-03-24 22:38:48.897278148 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pem
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pem
-Version:19.2.0
+Version:20.1.0
 Release:0
 Summary:PEM file parsing in Python
 License:MIT

++ python-pem-19.2.0.tar.gz -> python-pem-20.1.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pem-19.2.0/.coveragerc new/pem-20.1.0/.coveragerc
--- old/pem-19.2.0/.coveragerc  2019-08-06 15:31:36.0 +0200
+++ new/pem-20.1.0/.coveragerc  1970-01-01 01:00:00.0 +0100
@@ -1,12 +0,0 @@
-[run]
-branch = True
-source = pem
-
-[paths]
-source =
-   src/pem
-   .tox/*/lib/python*/site-packages/pem
-   .tox/pypy*/site-packages/pem
-
-[report]
-show_missing = True
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pem-19.2.0/.pre-commit-config.yaml 
new/pem-20.1.0/.pre-commit-config.yaml
--- old/pem-19.2.0/.pre-commit-config.yaml  2019-08-06 15:31:36.0 
+0200
+++ new/pem-20.1.0/.pre-commit-config.yaml  2020-01-06 15:18:14.0 
+0100
@@ -1,6 +1,7 @@
+---
 repos:
   - repo: https://github.com/psf/black
-rev: 19.3b0
+rev: 19.10b0
 hooks:
   - id: black
 language_version: python3.7
@@ -9,7 +10,7 @@
 types: []
 
   - repo: https://github.com/asottile/seed-isort-config
-rev: v1.9.2
+rev: v1.9.4
 hooks:
   - id: seed-isort-config
 
@@ -17,17 +18,18 @@
 rev: v4.3.21
 hooks:
   - id: isort
+additional_dependencies: [toml]
 language_version: python3.7
 
   - repo: https://gitlab.com/pycqa/flake8
-rev: 3.7.8
+rev: 3.7.9
 hooks:
 - id: flake8
   language_version: python3.7
 
 
   - repo: https://github.com/pre-commit/pre-commit-hooks
-rev: v2.3.0
+rev: v2.4.0
 hooks:
   - id: trailing-whitespace
   - id: end-of-file-fixer
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pem-19.2.0/CHANGELOG.rst new/pem-20.1.0/CHANGELOG.rst
--- old/pem-19.2.0/CHANGELOG.rst2019-08-06 15:31:36.0 +0200
+++ new/pem-20.1.0/CHANGELOG.rst2020-01-06 15:18:14.0 +0100
@@ -7,6 +7,62 @@
 The third digit is only for regressions.
 
 
+20.1.0 (2020-01-06)
+---
+
+
+Backward-incompatible changes:
+^^
+
+*none*
+
+
+Deprecations:
+^
+
+*none*
+
+
+Changes:
+
+
+- Carriage returns (``\r``) are now stripped before hashing ``pem`` objects to 
provide consistent hashes across platforms.
+  `#40 `_
+
+
+
+
+
+19.3.0 (2019-10-16)
+---
+
+
+Backward-incompatible changes:
+^^
+
+- Python 3.4 is not supported anymore.
+  It has been unsupported by the Python core team for a while now and its 

commit remind for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package remind for openSUSE:Factory checked 
in at 2020-03-24 22:37:06

Comparing /work/SRC/openSUSE:Factory/remind (Old)
 and  /work/SRC/openSUSE:Factory/.remind.new.3160 (New)


Package is "remind"

Tue Mar 24 22:37:06 2020 rev:14 rq:787819 version:3.3.1

Changes:

--- /work/SRC/openSUSE:Factory/remind/remind.changes2020-02-06 
13:08:54.120358238 +0100
+++ /work/SRC/openSUSE:Factory/.remind.new.3160/remind.changes  2020-03-24 
22:38:51.965279639 +0100
@@ -1,0 +2,23 @@
+Fri Mar 20 19:49:55 UTC 2020 - Detlef Steuer 
+
+- update to remind 3.3.1
+- CHANGE: For overlapping multi-day events, issue a reminder for the
+  most *recent* event rather than the earliest event.  NOTE
+  INCOMPATIBILITY: This is a behavior change!
+- CHANGE: Do not convert 90-99 to 1990-1999 when parsing numbers to
+  recognize years.  NOTE INCOMPATIBILITY: This is a behavior change!
+- CHANGE: Revert change to -y option that included filename and line
+  number in the hash.
+- CHANGE: Retain newlines (produced by %_) in JSON output.
+- FIX: Document $FormWidth system variable
+- FIX: Highlight today's date in "remind -c" output
+- FIX: Eliminate compiler warnings on Ubuntu 18.04.
+- IMPROVEMENT: Allow times to be specified either in 24-hour mode
+  (HH:MM or HH.MM) or AM/PM mode (HH:MMam; HH:MMpm, etc.)
+- IMPROVEMENT: Allow DURATION to be specified as a time (1:30) or a
+  number of minutes (90).
+- IMPROVEMENT: If terminal size can be determined, set $FormWidth to
+  terminal width - 8; if not, set $FormWidth to 72.
+- MINOR IMPROVEMENT: Add the "ampm()" built-in function.
+
+---

Old:

  remind-03.03.00.tar.gz
  remind-3.3.0-rpmlintrc

New:

  remind-03.03.01.tar.gz
  remind-3.3.1-rpmlintrc



Other differences:
--
++ remind.spec ++
--- /var/tmp/diff_new_pack.rCIn3t/_old  2020-03-24 22:38:52.425279862 +0100
+++ /var/tmp/diff_new_pack.rCIn3t/_new  2020-03-24 22:38:52.433279867 +0100
@@ -17,9 +17,9 @@
 
 
 Name:   remind
-Version:3.3.0
+Version:3.3.1
 Release:0
-%define tar_version 03.03.00
+%define tar_version 03.03.01
 Summary:A sophisticated calendar and alarm program
 License:GPL-2.0-only
 Group:  Productivity/Office/Organizers

++ remind-03.03.00.tar.gz -> remind-03.03.01.tar.gz ++
 1842 lines of diff (skipped)

++ remind-3.3.0-rpmlintrc -> remind-3.3.1-rpmlintrc ++




commit freeradius-server for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package freeradius-server for 
openSUSE:Factory checked in at 2020-03-24 22:37:30

Comparing /work/SRC/openSUSE:Factory/freeradius-server (Old)
 and  /work/SRC/openSUSE:Factory/.freeradius-server.new.3160 (New)


Package is "freeradius-server"

Tue Mar 24 22:37:30 2020 rev:81 rq:787864 version:3.0.21

Changes:

--- /work/SRC/openSUSE:Factory/freeradius-server/freeradius-server.changes  
2020-03-11 18:56:42.839711572 +0100
+++ 
/work/SRC/openSUSE:Factory/.freeradius-server.new.3160/freeradius-server.changes
2020-03-24 22:39:04.849285901 +0100
@@ -1,0 +2,155 @@
+Tue Mar 24 15:31:22 UTC 2020 - Adam Majer 
+
+- update to 3.0.21
+
+
+Feature Improvements
+
+  * New stored procedure for allocating IPs with PostgreSQL
+Rates of 1500 IPs per second are now possible
+See raddb/mods-config/sql/ippool/postgresql/procedure.sql
+  * Add SQL IP pool support for Microsoft SQL Server
+See raddb/mods-config/sql/ippool/mssql/
+  * Added RCNTEC dictionary. Closes #3168.
+  * Added Pica8 dictionary. Closes #3179.
+  * Add TLS-Client-Cert-Valid-Since attribute holding not
+Before date Patch from Boris Lytochkin. Fixes #3157.
+  * Generate attributes containing unknown OIDs See raddb/sites-available/tls
+  * Update the WiMAX dictionary.
+  * Added ability to rlm_python(Python2) show a stacktrace
+from errors. #2979.
+  * Add WiFi Alliance Policy OIDs.
+See raddb/certs/xpextensions
+  * radmin now shows coa stats, too.
+  * Sample schema extensions for summarizing data in SQL
+See mods-config/sql/main/*/process-radacct.sql
+  * Update dictionary.aerohive, dictionary.fortinet,
+dictionary.arista and dictionary.erx.
+  * Added VAS Experts dictionary.
+  * Many updates to RPM and jenkins builds from Matthew Newton.
+  * Added %C (time now in seconds) and %c (microsecond component of now)
+back-ported from the "master" branch.
+  * Add reload capability to systemd unit file in Debian and RedHat.
+  * Increase timestamp precision in postauth to maximum supported by each
+database and simplify (and make more consistent between drivers)
+the timestamps in SQL queries by using expansions.
+  * Option to set dictionary path in raduat script.
+
+Bug Fixes
+
+  * Various fixes found by PVS-Studio.
+  * Set permissions of certificates in bootstrap shell script Fixes #3132.
+  * Increase the 'nasportid' SQL field for 'varchar(32)'. #3141.
+  * Skip processing proxy reply if there are no home servers available.
+  * Update SQLite IPPool queries. Fixes #3177
+  * rlm_sql_unixodbc fixes. Fixes #2822.
+  * Fixes when building with LibreSSL.
+  * Fix the rlm_python3 build. Note that this module is experimental. #3183.
+  * The rlm_python should append the 'python_path' paths in 'sys.path'.
+It fixes the expected behavior to use the existing Python modules
+Fixes #3180.
+  * Fix rlm_python to print the script errors properly.
+  * Bound total query time for PostgreSQL. Fixes #3253.
+  * Many fixes to Oracle sqlippool. It now does 500 IPs per second
+without any tuning. Fixes #3270.
+  * Reference sqlippool by it's correct name. Fixes #3272.
+  * Revert 3.0.20 patch which caused crashes on duplicate clients.
+  * Update WiMAX-MSK attribute. Fixes #3280.
+  * Fix crash when trying to access non-existant regex capture group.
+  * Use timestamps (request or server) rather than SQL NOW()
+in accounting queries so that these are stable when replayed
+from a file buffer.
+
+- freeradius-python3_patches.patch: upstreamed
+
+---
+Tue Mar 17 13:42:37 UTC 2020 - Adam Majer 
+
+- update to 3.0.20
+
+Feature Improvements
+  * Added Force10 dictionary.
+  * Update dictionary.hp with new attributes. #2690.
+  * Update dictionary.aruba with new attributes. #2696.
+  * Fix side-channel leak in EAP-PWD (bsc#1166858, CVE-2019-20510)
+  * Relax OpenSSL version checks, now that their API is both public, and 
stable.
+  * Note that tls_min_version/tls_max_version also support "1.3"
+Since there is no standard yet for EAP with TLS 1.3, it will not work.
+  * Added tripplite dictionary from #2760.
+  * Switch to the async interface for rlm_sql_postgresql so that
+we can enforce query_timeout.
+  * Added new LDAP option 'allow_dangling_group_ref'.
+  * Updated documentation and functionality for EAP session caching
+See "cache" section of mods-available/eap.
+  * Tighten systemd unit file security. Fixes #2637.
+  * Disable TLS 1.0 and TLS 1.1 support in the default configuration
+We STRONGLY recommend doing this for all installations.
+  * Add expansions for *outgoing* Radsec connections
+"%{proxy_listen:TLS-...}" for TLS-Client-Cert-* and
+TLS-Cert-* attributes. Fixes #2839.
+  * Add %{listen:tls} which 

commit ssldump for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package ssldump for openSUSE:Factory checked 
in at 2020-03-24 22:37:19

Comparing /work/SRC/openSUSE:Factory/ssldump (Old)
 and  /work/SRC/openSUSE:Factory/.ssldump.new.3160 (New)


Package is "ssldump"

Tue Mar 24 22:37:19 2020 rev:22 rq:787824 version:0.9b3

Changes:

--- /work/SRC/openSUSE:Factory/ssldump/ssldump.changes  2017-07-04 
09:09:58.014215348 +0200
+++ /work/SRC/openSUSE:Factory/.ssldump.new.3160/ssldump.changes
2020-03-24 22:38:56.073281635 +0100
@@ -1,0 +2,5 @@
+Tue Mar 24 10:16:11 UTC 2020 - Michael Calmer 
+
+- fix macro to fix build on openSUSE Leap 15.2
+
+---



Other differences:
--
++ ssldump.spec ++
--- /var/tmp/diff_new_pack.vuyiyk/_old  2020-03-24 22:38:57.141282154 +0100
+++ /var/tmp/diff_new_pack.vuyiyk/_new  2020-03-24 22:38:57.145282156 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   ssldump
-%if 0%{?suse_version} > 1320 || 0%{?is_opensuse} && 0%{?leap_version} == 420300
+%if 0%{?suse_version} > 1320 || (0%{?is_opensuse} && 0%{?leap_version} == 
420300)
 BuildRequires:  libpcap-devel-static
 %else
 BuildRequires:  libpcap-devel




commit perl-Apache-AuthCookie for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package perl-Apache-AuthCookie for 
openSUSE:Factory checked in at 2020-03-24 22:37:42

Comparing /work/SRC/openSUSE:Factory/perl-Apache-AuthCookie (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Apache-AuthCookie.new.3160 (New)


Package is "perl-Apache-AuthCookie"

Tue Mar 24 22:37:42 2020 rev:28 rq:787930 version:3.29

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Apache-AuthCookie/perl-Apache-AuthCookie.changes
2019-11-20 12:38:07.229790367 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Apache-AuthCookie.new.3160/perl-Apache-AuthCookie.changes
  2020-03-24 22:39:10.629288710 +0100
@@ -1,0 +2,17 @@
+Mon Mar 23 03:07:11 UTC 2020 -  
+
+- updated to 3.29
+   see /usr/share/doc/packages/perl-Apache-AuthCookie/Changes
+
+  3.29  2020-03-22
+ - Add optional support for enforcing a local destination, like so:
+  
+  PerlSetVar MyAuthEnforceLocalDestination 1
+  
+ - Add optional support for specifying a default destination when the login
+   form's destination argument is unspecified or invalid (including
+   non-local if local destinations are enforced), like this:
+  
+  PerlSetVar MyAuthDefaultDestination /protected/user/
+
+---

Old:

  Apache-AuthCookie-3.28.tar.gz

New:

  Apache-AuthCookie-3.29.tar.gz



Other differences:
--
++ perl-Apache-AuthCookie.spec ++
--- /var/tmp/diff_new_pack.yNDLgD/_old  2020-03-24 22:39:11.261289017 +0100
+++ /var/tmp/diff_new_pack.yNDLgD/_new  2020-03-24 22:39:11.265289019 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Apache-AuthCookie
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Apache-AuthCookie
-Version:3.28
+Version:3.29
 Release:0
 %define cpan_name Apache-AuthCookie
 Summary:Perl Authentication and Authorization via cookies
@@ -35,12 +35,14 @@
 BuildRequires:  perl(HTTP::Body)
 BuildRequires:  perl(Hash::MultiValue)
 BuildRequires:  perl(Test::More) >= 0.94
+BuildRequires:  perl(URI) >= 1.36
 BuildRequires:  perl(URI::Escape) >= 1.31
 BuildRequires:  perl(WWW::Form::UrlEncoded)
 Requires:   perl(Class::Load) >= 0.03
 Requires:   perl(HTTP::Body)
 Requires:   perl(Hash::MultiValue)
 Requires:   perl(Test::More) >= 0.94
+Requires:   perl(URI) >= 1.36
 Requires:   perl(WWW::Form::UrlEncoded)
 Recommends: perl(WWW::Form::UrlEncoded::XS)
 %{perl_requires}
@@ -205,7 +207,7 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
-find . -type f ! -path "*/t/*" ! -name "*.pl" ! -name "*.sh" ! -path "*/bin/*" 
! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644
+find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path 
"*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644
 
 %build
 perl Makefile.PL INSTALLDIRS=vendor

++ Apache-AuthCookie-3.28.tar.gz -> Apache-AuthCookie-3.29.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Apache-AuthCookie-3.28/Changes 
new/Apache-AuthCookie-3.29/Changes
--- old/Apache-AuthCookie-3.28/Changes  2019-11-19 16:36:52.0 +0100
+++ new/Apache-AuthCookie-3.29/Changes  2020-03-22 20:37:20.0 +0100
@@ -1,5 +1,16 @@
 Revision history for Apache::AuthCookie
 
+3.29  2020-03-22
+   - Add optional support for enforcing a local destination, like so:
+
+PerlSetVar MyAuthEnforceLocalDestination 1
+
+   - Add optional support for specifying a default destination when the login
+ form's destination argument is unspecified or invalid (including
+ non-local if local destinations are enforced), like this:
+
+PerlSetVar MyAuthDefaultDestination /protected/user/
+
 3.28  2019-11-19
- Add support for SameSite cookie property (can be strict/lax).
- Minor POD updates.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Apache-AuthCookie-3.28/MANIFEST 
new/Apache-AuthCookie-3.29/MANIFEST
--- old/Apache-AuthCookie-3.28/MANIFEST 2019-11-19 16:36:52.0 +0100
+++ new/Apache-AuthCookie-3.29/MANIFEST 2020-03-22 20:37:20.0 +0100
@@ -20,6 +20,7 @@
 lib/Apache2/AuthCookie/Base.pm
 lib/Apache2/AuthCookie/Params.pm
 lib/Apache2_4/AuthCookie.pm
+scripts/docker-smoke
 scripts/perlbrew-smoke
 t/Skeleton/AuthCookieHandler.pm
 t/TEST.PL
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit python-xonsh for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-xonsh for openSUSE:Factory 
checked in at 2020-03-24 22:37:26

Comparing /work/SRC/openSUSE:Factory/python-xonsh (Old)
 and  /work/SRC/openSUSE:Factory/.python-xonsh.new.3160 (New)


Package is "python-xonsh"

Tue Mar 24 22:37:26 2020 rev:2 rq:787855 version:0.9.15

Changes:

--- /work/SRC/openSUSE:Factory/python-xonsh/python-xonsh.changes
2020-03-17 13:07:52.797694598 +0100
+++ /work/SRC/openSUSE:Factory/.python-xonsh.new.3160/python-xonsh.changes  
2020-03-24 22:39:02.253284639 +0100
@@ -1,0 +2,26 @@
+Tue Mar 24 15:07:37 UTC 2020 - pgaj...@suse.com
+
+- version update to 0.9.15
+  **Added:**
+  * Adds documentation for how to setup an emacs editing mode for xonsh.
+  * New ``$XONSH_TRACE_SUBPROC`` environment variable.
+  * Added ``-l``, ``-c`` and ``-a`` options to ``xexec``, works now like 
``exec``
+in bash/zsh
+  * **$HISTCONTROL** - *errordups* support for history-sqlite backend
+  **Changed:**
+  * ``-l`` switch works like bash, loads environment in non-interactive shell
+  * The xonsh pytest plugin no longer messes up the test order for pytest. Xsh 
test
+are still executed first to avoid a bug were other tests would prevent 
``test_*.xsh``
+files to run correctly.
+  * New repo name for xxh
+  **Fixed:**
+  * Correctly follow symlinks when using dot-dot paths with cd -P.
+  * ``execx`` does not require the input string to be newline-terminated.
+  * ``evalx`` accepts newline-terminated input string.
+  * Fixed issue where negative exit codes (such as those produced
+by core dumps) where treated as logical successes when chaining
+processes with other boolean expressions.
+  * Fixed XONSH_TRACE_SUBPROC for pipeline command.
+  * updated CONTRIBUTING.rst about running pylint for changed files
+
+---

Old:

  xonsh-0.9.14.tar.gz

New:

  xonsh-0.9.15.tar.gz



Other differences:
--
++ python-xonsh.spec ++
--- /var/tmp/diff_new_pack.Ivz2kS/_old  2020-03-24 22:39:03.445285218 +0100
+++ /var/tmp/diff_new_pack.Ivz2kS/_new  2020-03-24 22:39:03.445285218 +0100
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-xonsh
-Version:0.9.14
+Version:0.9.15
 Release:0
 Summary:Python-powered, cross-platform, Unix-gazing shell
 License:BSD-2-Clause

++ xonsh-0.9.14.tar.gz -> xonsh-0.9.15.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xonsh-0.9.14/CHANGELOG.rst 
new/xonsh-0.9.15/CHANGELOG.rst
--- old/xonsh-0.9.14/CHANGELOG.rst  2020-02-28 22:07:39.0 +0100
+++ new/xonsh-0.9.15/CHANGELOG.rst  2020-03-19 21:38:46.0 +0100
@@ -4,6 +4,51 @@
 
 .. current developments
 
+v0.9.15
+
+
+**Added:**
+
+* Adds documentation for how to setup an emacs editing mode for xonsh.
+* New ``$XONSH_TRACE_SUBPROC`` environment variable.
+* Added ``-l``, ``-c`` and ``-a`` options to ``xexec``, works now like ``exec``
+  in bash/zsh
+* **$HISTCONTROL** - *errordups* support for history-sqlite backend
+
+**Changed:**
+
+* ``-l`` switch works like bash, loads environment in non-interactive shell
+* The xonsh pytest plugin no longer messes up the test order for pytest. Xsh 
test
+  are still executed first to avoid a bug were other tests would prevent 
``test_*.xsh`` 
+  files to run correctly.
+* New repo name for xxh
+
+**Fixed:**
+
+* Correctly follow symlinks when using dot-dot paths with cd -P.
+* ``execx`` does not require the input string to be newline-terminated.
+* ``evalx`` accepts newline-terminated input string.
+* Fixed issue where negative exit codes (such as those produced
+  by core dumps) where treated as logical successes when chaining
+  processes with other boolean expressions.
+* Fixed XONSH_TRACE_SUBPROC for pipeline command.
+* updated CONTRIBUTING.rst about running pylint for changed files
+
+**Authors:**
+
+* Anthony Scopatz
+* Morten Enemark Lund
+* David Strobach
+* anki-code
+* Samuel Lotz
+* Gyuri Horak
+* Noortheen Raja
+* Gabriel Vogel
+* anki
+* Jerzy Drozdz
+
+
+
 v0.9.14
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xonsh-0.9.14/PKG-INFO new/xonsh-0.9.15/PKG-INFO
--- old/xonsh-0.9.14/PKG-INFO   2020-02-28 22:12:08.0 +0100
+++ new/xonsh-0.9.15/PKG-INFO   2020-03-19 21:41:58.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: xonsh
-Version: 0.9.14
+Version: 0.9.15
 Summary: Python-powered, cross-platform, Unix-gazing shell
 Home-page: https://github.com/xonsh/xonsh
 Author: 

commit containers-systemd for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package containers-systemd for 
openSUSE:Factory checked in at 2020-03-24 22:36:48

Comparing /work/SRC/openSUSE:Factory/containers-systemd (Old)
 and  /work/SRC/openSUSE:Factory/.containers-systemd.new.3160 (New)


Package is "containers-systemd"

Tue Mar 24 22:36:48 2020 rev:9 rq:787810 version:0.0+git20200324.5f4ae65

Changes:

--- /work/SRC/openSUSE:Factory/containers-systemd/containers-systemd.changes
2020-02-20 14:55:52.546346387 +0100
+++ 
/work/SRC/openSUSE:Factory/.containers-systemd.new.3160/containers-systemd.changes
  2020-03-24 22:38:40.469274052 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 12:58:08 UTC 2020 - ku...@suse.com
+
+- Update to version 0.0+git20200324.5f4ae65:
+  * Add timer to prune unnamed images
+
+---

Old:

  containers-systemd-0.0+git20200219.a6acfd1.tar.xz

New:

  containers-systemd-0.0+git20200324.5f4ae65.tar.xz



Other differences:
--
++ containers-systemd.spec ++
--- /var/tmp/diff_new_pack.Zx5Yfg/_old  2020-03-24 22:38:41.197274406 +0100
+++ /var/tmp/diff_new_pack.Zx5Yfg/_new  2020-03-24 22:38:41.201274408 +0100
@@ -17,10 +17,10 @@
 
 
 %define containers bind dhcp-server haproxy mariadb nginx
-%define container_services container-bind.service 
container-dhcp-server.service container-dhcp6-server.service 
container-haproxy.service container-mariadb.service container-nginx.service
+%define container_services container-bind.service 
container-dhcp-server.service container-dhcp6-server.service 
container-haproxy.service container-mariadb.service container-nginx.service 
container-image-prune.timer
 
 Name:   containers-systemd
-Version:0.0+git20200219.a6acfd1
+Version:0.0+git20200324.5f4ae65
 Release:0
 Summary:Systemd service files and config files for openSUSE container
 License:MIT
@@ -53,6 +53,8 @@
 done
 install -m 644 container-dhcp6-server.service %{buildroot}%{_unitdir}/
 ln -s /sbin/service %{buildroot}%{_sbindir}/rccontainer-dhcp6-server
+install -m 644 container-image-prune.service %{buildroot}%{_unitdir}/
+install -m 644 container-image-prune.timer %{buildroot}%{_unitdir}/
 mkdir -p %{buildroot}%{_sysconfdir}/mariadb-secrets
 for i in MYSQL_ROOT_PASSWORD MYSQL_ROOT_HOST MYSQL_DATABASE MYSQL_USER 
MYSQL_PASSWORD; do
   touch %{buildroot}%{_sysconfdir}/mariadb-secrets/$i
@@ -105,5 +107,7 @@
 %{_fillupdir}/sysconfig.container-nginx
 %{_sbindir}/rccontainer-nginx
 %ghost %dir /srv/nginx
+%{_unitdir}/container-image-prune.service
+%{_unitdir}/container-image-prune.timer
 
 %changelog

++ _servicedata ++
--- /var/tmp/diff_new_pack.Zx5Yfg/_old  2020-03-24 22:38:41.261274437 +0100
+++ /var/tmp/diff_new_pack.Zx5Yfg/_new  2020-03-24 22:38:41.261274437 +0100
@@ -1,5 +1,5 @@
 
   
 git://github.com/kubic-project/containers-systemd.git
- a6acfd1c54fe6b58af3c35722fd60ce3afcaeef0
+ 5f4ae650ef35272a2c0f7bc06298a559071075a3
 
\ No newline at end of file

++ containers-systemd-0.0+git20200219.a6acfd1.tar.xz -> 
containers-systemd-0.0+git20200324.5f4ae65.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/containers-systemd-0.0+git20200219.a6acfd1/README.md 
new/containers-systemd-0.0+git20200324.5f4ae65/README.md
--- old/containers-systemd-0.0+git20200219.a6acfd1/README.md2020-02-19 
15:56:10.0 +0100
+++ new/containers-systemd-0.0+git20200324.5f4ae65/README.md2020-03-24 
11:53:09.0 +0100
@@ -12,6 +12,9 @@
   * nginx
   * squid
 
+Additional, there is the `container-image-prune.timer` to cleanup
+unnamed images once a day. 
+
 ## bind
 
   * /etc/sysconfig/container-bind contains generic settings
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/containers-systemd-0.0+git20200219.a6acfd1/container-image-prune.service 
new/containers-systemd-0.0+git20200324.5f4ae65/container-image-prune.service
--- 
old/containers-systemd-0.0+git20200219.a6acfd1/container-image-prune.service
1970-01-01 01:00:00.0 +0100
+++ 
new/containers-systemd-0.0+git20200324.5f4ae65/container-image-prune.service
2020-03-24 11:53:09.0 +0100
@@ -0,0 +1,7 @@
+[Unit]
+Description=Removes all unnamed images from local storage
+After=local-fs.target
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/podman image prune -f
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/containers-systemd-0.0+git20200219.a6acfd1/container-image-prune.timer 
new/containers-systemd-0.0+git20200324.5f4ae65/container-image-prune.timer
--- old/containers-systemd-0.0+git20200219.a6acfd1/container-image-prune.timer  

commit syslinux6 for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package syslinux6 for openSUSE:Factory 
checked in at 2020-03-24 22:36:19

Comparing /work/SRC/openSUSE:Factory/syslinux6 (Old)
 and  /work/SRC/openSUSE:Factory/.syslinux6.new.3160 (New)


Package is "syslinux6"

Tue Mar 24 22:36:19 2020 rev:2 rq:787731 version:6.03.99+20171123

Changes:

--- /work/SRC/openSUSE:Factory/syslinux6/syslinux6.changes  2019-12-27 
13:44:06.912264368 +0100
+++ /work/SRC/openSUSE:Factory/.syslinux6.new.3160/syslinux6.changes
2020-03-24 22:38:22.541265339 +0100
@@ -1,0 +2,5 @@
+Sat Dec 28 21:06:17 UTC 2019 - Bernhard Wiedemann 
+
+- Add reproducible.patch to sort the file list (boo#1041090)
+
+---

New:

  reproducible.patch



Other differences:
--
++ syslinux6.spec ++
--- /var/tmp/diff_new_pack.NyD2Oq/_old  2020-03-24 22:38:23.549265829 +0100
+++ /var/tmp/diff_new_pack.NyD2Oq/_new  2020-03-24 22:38:23.549265829 +0100
@@ -50,6 +50,8 @@
 Patch16:16_add_install_all_target.diff
 Patch17:17_remove_gnu_note.diff
 Patch18:18_lzo.diff
+# PATCH-FIX-UPSTREAM
+Patch19:reproducible.patch
 Conflicts:  syslinux < %{version}
 
 %description
@@ -75,6 +77,7 @@
 %patch16 -p1
 %patch17 -p1
 %patch18 -p1
+%patch19 -p1
 
 %build
 cp %{SOURCE2} .

++ reproducible.patch ++
commit 5e426532210bb830d2d7426eb8d8c154d9dfcba6
Author: Lukas Schwaighofer 
Date:   Thu Oct 25 06:38:12 2018 -0400

core/Makefile: sort to be reproducible

Signed-off-by: Lukas Schwaighofer 

Index: syslinux-6.03.99+20171123/core/Makefile
===
--- syslinux-6.03.99+20171123.orig/core/Makefile
+++ syslinux-6.03.99+20171123/core/Makefile
@@ -41,7 +41,7 @@ BTARGET  = kwdhash.gen \
 # All primary source files for the main syslinux files
 NASMSRC := $(sort $(wildcard $(SRC)/*.asm))
 NASMHDR  := $(sort $(wildcard $(SRC)/*.inc))
-CSRC:= $(shell find $(SRC) -name '*.c' -print)
+CSRC:= $(sort $(shell find $(SRC) -name '*.c' -print))
 SSRC:= $(shell find $(SRC) -name '*.S' -print)
 CHDR:= $(shell find $(SRC) -name '*.h' -print)
 OTHERSRC := $(SRC)/keywords
@@ -56,13 +56,13 @@ CORE_PXE_CSRC = \
$(addprefix $(SRC)/fs/pxe/, dhcp_option.c pxe.c tftp.c urlparse.c 
bios.c)
 
 LPXELINUX_CSRC = $(CORE_PXE_CSRC) \
-   $(shell find $(SRC)/lwip -name '*.c' -print) \
+   $(sort $(shell find $(SRC)/lwip -name '*.c' -print)) \
$(addprefix $(SRC)/fs/pxe/, \
core.c dnsresolv.c ftp.c ftp_readdir.c gpxeurl.c http.c \
http_readdir.c idle.c isr.c tcp.c)
 
 PXELINUX_CSRC = $(CORE_PXE_CSRC) \
-   $(shell find $(SRC)/legacynet -name '*.c' -print)
+   $(sort $(shell find $(SRC)/legacynet -name '*.c' -print))
 
 LPXELINUX_OBJS = $(subst $(SRC)/,,$(LPXELINUX_CSRC:%.c=%.o))
 PXELINUX_OBJS  = $(subst $(SRC)/,,$(PXELINUX_CSRC:%.c=%.o))



commit cgit for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package cgit for openSUSE:Factory checked in 
at 2020-03-24 22:36:07

Comparing /work/SRC/openSUSE:Factory/cgit (Old)
 and  /work/SRC/openSUSE:Factory/.cgit.new.3160 (New)


Package is "cgit"

Tue Mar 24 22:36:07 2020 rev:34 rq:787708 version:1.2.3

Changes:

--- /work/SRC/openSUSE:Factory/cgit/cgit.changes2019-05-22 
15:40:56.950433607 +0200
+++ /work/SRC/openSUSE:Factory/.cgit.new.3160/cgit.changes  2020-03-24 
22:38:10.241259362 +0100
@@ -1,0 +2,8 @@
+Tue Mar 17 08:30:09 UTC 2020 - Paolo Stivanin 
+
+- Update to new upstream release 1.2.3
+  * Offer lzip and zstd as compression methods through the webui.
+  * ui-tree: allow per repository override for enable-blame.
+- Bump git to latest upstream release 2.25.1
+
+---

Old:

  cgit-1.2.1.tar.xz
  git-2.18.1.tar.sign
  git-2.18.1.tar.xz

New:

  cgit-1.2.3.tar.xz
  git-2.25.1.tar.sign
  git-2.25.1.tar.xz



Other differences:
--
++ cgit.spec ++
--- /var/tmp/diff_new_pack.ueh3cC/_old  2020-03-24 22:38:11.297259875 +0100
+++ /var/tmp/diff_new_pack.ueh3cC/_new  2020-03-24 22:38:11.301259877 +0100
@@ -16,9 +16,9 @@
 #
 
 
-%define git_version2.18.1
+%define git_version2.25.1
 Name:   cgit
-Version:1.2.1
+Version:1.2.3
 Release:0
 Summary:A web frontend for git repositories
 License:GPL-2.0

++ cgit-1.2.1.tar.xz -> cgit-1.2.3.tar.xz ++
 1635 lines of diff (skipped)

++ git-2.18.1.tar.xz -> git-2.25.1.tar.xz ++
 624954 lines of diff (skipped)




commit python-fritzconnection for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-fritzconnection for 
openSUSE:Factory checked in at 2020-03-24 22:35:41

Comparing /work/SRC/openSUSE:Factory/python-fritzconnection (Old)
 and  /work/SRC/openSUSE:Factory/.python-fritzconnection.new.3160 (New)


Package is "python-fritzconnection"

Tue Mar 24 22:35:41 2020 rev:2 rq:787697 version:1.2.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python-fritzconnection/python-fritzconnection.changes
2020-03-17 13:08:10.645708303 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-fritzconnection.new.3160/python-fritzconnection.changes
  2020-03-24 22:37:32.309240927 +0100
@@ -1,0 +2,5 @@
+Tue Mar 17 07:21:09 UTC 2020 - Martin Hauke 
+
+- Add correct tarball (version 1.2.1)
+
+---

Old:

  fritzconnection-1.2.0.tar.gz

New:

  fritzconnection-1.2.1.tar.gz



Other differences:
--
++ python-fritzconnection.spec ++
--- /var/tmp/diff_new_pack.Nn6Nd8/_old  2020-03-24 22:37:33.589241549 +0100
+++ /var/tmp/diff_new_pack.Nn6Nd8/_new  2020-03-24 22:37:33.589241549 +0100
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-fritzconnection
-Version:1.2.0
+Version:1.2.1
 Release:0
 Summary:A Python module to talk to a AVM fritzbox
 License:MIT

++ fritzconnection-1.2.0.tar.gz -> fritzconnection-1.2.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/fritzconnection-1.2.0/docs/sources/changes.rst 
new/fritzconnection-1.2.1/docs/sources/changes.rst
--- old/fritzconnection-1.2.0/docs/sources/changes.rst  2020-01-02 
10:18:32.0 +0100
+++ new/fritzconnection-1.2.1/docs/sources/changes.rst  2020-01-07 
11:06:02.0 +0100
@@ -3,6 +3,11 @@
 Version History
 ===
 
+1.2.1
+-
+
+- library modules handling complex datatypes (urls) can now reuse 
fritzconnection sessions.
+
 
 1.2.0
 -
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/fritzconnection-1.2.0/fritzconnection/__init__.py 
new/fritzconnection-1.2.1/fritzconnection/__init__.py
--- old/fritzconnection-1.2.0/fritzconnection/__init__.py   2020-01-02 
10:18:32.0 +0100
+++ new/fritzconnection-1.2.1/fritzconnection/__init__.py   2020-01-07 
11:06:02.0 +0100
@@ -2,5 +2,5 @@
 from .core.fritzconnection import FritzConnection
 
 
-__version__ = '1.2.0'
+__version__ = '1.2.1'
 package_version = __version__
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/fritzconnection-1.2.0/fritzconnection/core/fritzconnection.py 
new/fritzconnection-1.2.1/fritzconnection/core/fritzconnection.py
--- old/fritzconnection-1.2.0/fritzconnection/core/fritzconnection.py   
2020-01-02 10:18:32.0 +0100
+++ new/fritzconnection-1.2.1/fritzconnection/core/fritzconnection.py   
2020-01-07 11:06:02.0 +0100
@@ -94,14 +94,16 @@
 
 # session is optional but will speed up connections
 # (significantly for tls):
-session = requests.Session()
-session.verify = False
-session.timeout = timeout
+self.session = requests.Session()
+self.session.verify = False
+self.session.timeout = timeout
 
 self.soaper = Soaper(
-address, port, user, password, timeout=timeout, session=session
+address, port, user, password, timeout=timeout, 
session=self.session
+)
+self.device_manager = DeviceManager(
+timeout=timeout, session=self.session
 )
-self.device_manager = DeviceManager(timeout=timeout, session=session)
 
 for description in FRITZ_DESCRIPTIONS:
 source = f'{address}:{port}/{description}'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/fritzconnection-1.2.0/fritzconnection/lib/fritzcall.py 
new/fritzconnection-1.2.1/fritzconnection/lib/fritzcall.py
--- old/fritzconnection-1.2.0/fritzconnection/lib/fritzcall.py  2020-01-02 
10:18:32.0 +0100
+++ new/fritzconnection-1.2.1/fritzconnection/lib/fritzcall.py  2020-01-07 
11:06:02.0 +0100
@@ -65,7 +65,7 @@
 url += f'={days}'
 elif num:
 url += f'={num}'
-root = get_xml_root(url)
+root = get_xml_root(url, session=self.fc.session)
 self.calls = CallCollection(root)
 
 def get_calls(self, calltype=ALL_CALL_TYPES, update=True,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/fritzconnection-1.2.0/fritzconnection/lib/fritzphonebook.py 

commit screengrab for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package screengrab for openSUSE:Factory 
checked in at 2020-03-24 22:36:25

Comparing /work/SRC/openSUSE:Factory/screengrab (Old)
 and  /work/SRC/openSUSE:Factory/.screengrab.new.3160 (New)


Package is "screengrab"

Tue Mar 24 22:36:25 2020 rev:6 rq:787761 version:2.0.0

Changes:

--- /work/SRC/openSUSE:Factory/screengrab/screengrab.changes2020-01-23 
15:55:01.651098595 +0100
+++ /work/SRC/openSUSE:Factory/.screengrab.new.3160/screengrab.changes  
2020-03-24 22:38:25.633266842 +0100
@@ -1,0 +2,5 @@
+Tue Mar 24 07:03:55 UTC 2020 - Max Lin 
+
+- Disable RPATH for building
+
+---



Other differences:
--
++ screengrab.spec ++
--- /var/tmp/diff_new_pack.yJEpjB/_old  2020-03-24 22:38:26.749267384 +0100
+++ /var/tmp/diff_new_pack.yJEpjB/_new  2020-03-24 22:38:26.749267384 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package screengrab
 #
-# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -56,6 +56,7 @@
 
 %build
 %cmake \
+-DCMAKE_SKIP_RPATH:BOOL=ON \
 -DSG_DBUS_NOTIFY=ON \
 -DSG_EXT_EDIT=OFF \
 -DSG_EXT_UPLOADS=OFF \






commit resolv_wrapper for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package resolv_wrapper for openSUSE:Factory 
checked in at 2020-03-24 22:35:46

Comparing /work/SRC/openSUSE:Factory/resolv_wrapper (Old)
 and  /work/SRC/openSUSE:Factory/.resolv_wrapper.new.3160 (New)


Package is "resolv_wrapper"

Tue Mar 24 22:35:46 2020 rev:5 rq:787703 version:1.1.6

Changes:

--- /work/SRC/openSUSE:Factory/resolv_wrapper/resolv_wrapper.changes
2016-06-09 16:16:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.resolv_wrapper.new.3160/resolv_wrapper.changes  
2020-03-24 22:37:41.281245287 +0100
@@ -1,0 +2,18 @@
+Tue Mar 24 08:44:30 UTC 2020 - Andreas Schneider 
+
+- Add gpg armor file as source
+
+---
+Mon Mar 23 09:25:57 UTC 2020 - Andreas Schneider 
+
+- Update to version 1.1.4 
+  * Added support for running with Sanitizers
+  * Added fake resolving of TXT records
+  * Improved logging support
+  * Fixed resolv.conf support on FreeBSD
+  * Fixed alignment issues on FreeBSD
+  * Fixed using IPv6 address with old glibc versions
+  * Added support for faking PTR entries
+  * Added support for faking URI entries
+
+---

Old:

  resolv_wrapper-1.1.4.tar.gz

New:

  resolv_wrapper-1.1.6.tar.gz
  resolv_wrapper-1.1.6.tar.gz.asc



Other differences:
--
++ resolv_wrapper.spec ++
--- /var/tmp/diff_new_pack.MJbXLn/_old  2020-03-24 22:37:41.921245598 +0100
+++ /var/tmp/diff_new_pack.MJbXLn/_new  2020-03-24 22:37:41.925245600 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package resolv_wrapper
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,16 +24,17 @@
 # NOTE ##
 
 Name:   resolv_wrapper
-Version:1.1.4
+Version:1.1.6
 Release:0
 
 Summary:A wrapper for DNS name resolving or DNS faking
 License:BSD-3-Clause
 Group:  Development/Libraries/C and C++
-Url:http://cwrap.org/
+URL:http://cwrap.org/
 
 Source0:https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz
-Source1:%{name}-rpmlintrc
+Source1:https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz.asc
+Source2:%{name}-rpmlintrc
 
 BuildRequires:  cmake
 BuildRequires:  glibc-devel
@@ -66,17 +67,15 @@
 %cmake_install
 
 %check
-pushd build
-make %{?_smp_mflags} test || cat $(find Testing -name "*.log")
-popd
+%ctest
 
 %post -p /sbin/ldconfig
 
 %postun -p /sbin/ldconfig
 
 %files
-%defattr(-,root,root)
-%doc AUTHORS README ChangeLog COPYING
+%doc AUTHORS README.md CHANGELOG
+%license LICENSE
 %{_libdir}/libresolv_wrapper.so*
 %dir %{_libdir}/cmake/resolv_wrapper
 %{_libdir}/cmake/resolv_wrapper/resolv_wrapper-config-version.cmake

++ resolv_wrapper-1.1.4.tar.gz -> resolv_wrapper-1.1.6.tar.gz ++
 3486 lines of diff (skipped)




commit FAudio for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package FAudio for openSUSE:Factory checked 
in at 2020-03-24 22:36:09

Comparing /work/SRC/openSUSE:Factory/FAudio (Old)
 and  /work/SRC/openSUSE:Factory/.FAudio.new.3160 (New)


Package is "FAudio"

Tue Mar 24 22:36:09 2020 rev:2 rq:787712 version:20.03

Changes:

--- /work/SRC/openSUSE:Factory/FAudio/FAudio.changes2019-03-26 
15:39:01.248334151 +0100
+++ /work/SRC/openSUSE:Factory/.FAudio.new.3160/FAudio.changes  2020-03-24 
22:38:16.149262233 +0100
@@ -1,0 +2,6 @@
+Wed Mar 18 23:30:58 UTC 2020 - Christophe Giboudeaux 
+
+- Update to 20.03. No changelog
+- Update faudio-older-sdl2.patch.
+
+---

Old:

  FNA-1903.zip

New:

  FNA-2003.zip



Other differences:
--
++ FAudio.spec ++
--- /var/tmp/diff_new_pack.ACLFXK/_old  2020-03-24 22:38:17.161262724 +0100
+++ /var/tmp/diff_new_pack.ACLFXK/_new  2020-03-24 22:38:17.165262727 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package openal-soft
+# spec file for package FAudio
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,25 +12,26 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
+%define realver 2003
 Name:   FAudio
-%define realver 1903
-Version:19.03
+Version:20.03
 Release:0
 Summary:A reimplementation of the XNA Game Studio libraries
 License:Zlib
 Group:  Development/Libraries/C and C++
-URL:https://fna-xna.github.io/
-Source0:http://fna.flibitijibibo.com/archive/FNA-%realver.zip
+URL:https://fna-xna.github.io
+Source0:http://fna.flibitijibibo.com/archive/FNA-%{realver}.zip
 Source1:baselibs.conf
 Patch0:faudio-older-sdl2.patch
-BuildRequires:  unzip
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
-BuildRequires:  SDL2-devel
+BuildRequires:  pkgconfig
+BuildRequires:  unzip
+BuildRequires:  cmake(sdl2)
 
 %description
 FNA is a reimplementation of the Microsoft XNA Game Studio 4.0 Refresh 
libraries.
@@ -42,7 +43,6 @@
 %description -n libFAudio0
 FNA is a reimplementation of the Microsoft XNA Game Studio 4.0 Refresh 
libraries.
 
-
 %package devel
 Summary:FAudio Development Libraries
 Group:  Development/Languages/C and C++
@@ -51,16 +51,18 @@
 %description devel
 FNA is a reimplementation of the Microsoft XNA Game Studio 4.0 Refresh 
libraries.
 
-
 %prep
 %setup -q -n FNA
+%if 0%{?suse_version} < 1550
 %patch0 -p1
+%endif
 
 %build
 cd lib/FAudio
 %cmake \
   -DCMAKE_BUILD_TYPE=Release 
-make %{?_smp_mflags}
+
+%cmake_build
 
 %install
 cd lib/FAudio

++ faudio-older-sdl2.patch ++
--- /var/tmp/diff_new_pack.ACLFXK/_old  2020-03-24 22:38:17.205262746 +0100
+++ /var/tmp/diff_new_pack.ACLFXK/_new  2020-03-24 22:38:17.205262746 +0100
@@ -1,7 +1,28 @@
-Index: FNA/lib/FAudio/src/FAudio_internal.h
-===
 FNA.orig/lib/FAudio/src/FAudio_internal.h
-+++ FNA/lib/FAudio/src/FAudio_internal.h
+diff --git a/lib/FAudio/CMakeLists.txt b/lib/FAudio/CMakeLists.txt
+index dca4563..1aaa437 100644
+--- a/lib/FAudio/CMakeLists.txt
 b/lib/FAudio/CMakeLists.txt
+@@ -181,14 +181,14 @@ else()
+   endif()
+   elseif (TARGET SDL2)
+   message(STATUS "using TARGET SDL2")
+-  target_link_libraries(FAudio PUBLIC SDL2)
++  target_link_libraries(FAudio PUBLIC SDL2 m)
+   if(INSTALL_MINGW_DEPENDENCIES)
+   install_shared_libs(TARGETS SDL2 DESTINATION bin 
NO_INSTALL_SYMLINKS REQUIRED)
+   endif()
+   else()
+   message(STATUS "no TARGET SDL2::SDL2, or SDL2, using variables")
+   target_include_directories(FAudio PUBLIC 
"$")
+-  target_link_libraries(FAudio PUBLIC ${SDL2_LIBRARIES})
++  target_link_libraries(FAudio PUBLIC ${SDL2_LIBRARIES} m)
+   if(INSTALL_MINGW_DEPENDENCIES)
+   install_shared_libs(${SDL2_LIBRARIES} DESTINATION bin 
NO_INSTALL_SYMLINKS)
+   endif()
+diff --git a/lib/FAudio/src/FAudio_internal.h 
b/lib/FAudio/src/FAudio_internal.h
+index 555a945..e16ce72 100644
+--- a/lib/FAudio/src/FAudio_internal.h
 b/lib/FAudio/src/FAudio_internal.h
 @@ -111,7 +111,7 @@
  #define FAudio_floor(x) 

commit tensorflow2 for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package tensorflow2 for openSUSE:Factory 
checked in at 2020-03-24 22:35:57

Comparing /work/SRC/openSUSE:Factory/tensorflow2 (Old)
 and  /work/SRC/openSUSE:Factory/.tensorflow2.new.3160 (New)


Package is "tensorflow2"

Tue Mar 24 22:35:57 2020 rev:6 rq:787674 version:2.1.0

Changes:

--- /work/SRC/openSUSE:Factory/tensorflow2/tensorflow2.changes  2020-03-22 
14:16:33.558033297 +0100
+++ /work/SRC/openSUSE:Factory/.tensorflow2.new.3160/tensorflow2.changes
2020-03-24 22:38:03.949256304 +0100
@@ -1,0 +2,5 @@
+Tue Mar 24 04:16:57 UTC 2020 - Bernhard Wiedemann 
+
+- Use pip install --no-compile (boo#1094323)
+
+---



Other differences:
--
++ tensorflow2.spec ++
--- /var/tmp/diff_new_pack.8KSyX6/_old  2020-03-24 22:38:07.369257965 +0100
+++ /var/tmp/diff_new_pack.8KSyX6/_new  2020-03-24 22:38:07.373257968 +0100
@@ -648,7 +648,7 @@
 %else
 
 pip install %{_topdir}/%{name}-%{version}/*whl 
--root=%{buildroot}%{?hpc_prefix} \
-   --no-warn-script-location --no-index --no-deps 
+   --no-warn-script-location --no-index --no-deps --no-compile
 # remove spurious executeable bits
 # for hpc build remove usr prefix dir
 %if %{with hpc} 







commit 389-ds for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package 389-ds for openSUSE:Factory checked 
in at 2020-03-24 22:35:48

Comparing /work/SRC/openSUSE:Factory/389-ds (Old)
 and  /work/SRC/openSUSE:Factory/.389-ds.new.3160 (New)


Package is "389-ds"

Tue Mar 24 22:35:48 2020 rev:31 rq:787619 version:1.4.3.4~git0.3422d6574

Changes:

--- /work/SRC/openSUSE:Factory/389-ds/389-ds.changes2020-03-14 
09:56:44.543171886 +0100
+++ /work/SRC/openSUSE:Factory/.389-ds.new.3160/389-ds.changes  2020-03-24 
22:37:44.269246739 +0100
@@ -1,0 +2,42 @@
+Tue Mar 17 00:42:30 UTC 2020 - 389-ds-maintai...@suse.de
+
+- Remove 0001-fix-cargo-build.patch as it has been included upstream
+- Update to version 1.4.3.4~git0.3422d6574:
+  * Bump version to 1.4.3.4
+  * Issue 50954 - Port buildnum.pl to python(part 2)
+  * Issue 50955 - Fix memory leaks in chaining plugin
+  * Issue 50954 - Port buildnum.pl to python
+  * Ticket 50947 - change 00core.ldif objectClasses for openldap migration
+  * Ticket: 50755 - setting nsslapd-db-home-directory is overriding 
db_directory
+  * Issue 50937 - Update CLI for new backend split configuration
+  * Issue: 50860 - Port Password Policy test cases from TET to python3 pwp.sh
+  * Ticket 50945 - givenname alias of gn from openldap
+  * Ticket 50935 - systemd override in lib389 for dscontainer
+  * Issue 50499 - Fix npm audit issues
+  * Issue 49761 - Fix CI test suite issues
+  * Ticket 50618 - clean compiler warning and log level
+  * Ticket 50889 - fix compiler issues
+  * Issue 50884 -  Health check tool DSEldif check fails
+  * Issue 50926 - Remove dual spinner and other UI fixes
+  * Issue 50928 - Unable to create a suffix with countryName
+  * Issue 50758 - Only Recommend bash-completion, not Require
+  * Issue 50923 - Fix a test regression
+  * Issue 50904 - Connect All React Components And Refactor the Main 
Navigation Tab Code
+  * Issue 50920 - cl-dump exit code is 0 even if command fails with invalid 
arguments
+  * Issue 50923 - Add test - dsctl fails to remove instances with dashes in 
the name
+  * Issue 50919 - Backend delete fails using dsconf
+  * Issue 50872 - dsconf can't create GSSAPI replication agreements
+  * Issue 50912 - RFE - add password policy attribute pwdReset
+  * Ticket 50914 - No error returned when adding an entry matching filters for 
a non existing automember group
+  * Ticket 50889 - Extract pem files into a private namespace
+  * Issue 50909 - nsDS5ReplicaId cant be set to the old value it had before
+  * Issue: 50686 - Port fractional replication test cases from TET to python3 
final
+  * Issue 49845 - Remove pkgconfig check for libasan
+  * Issue:50860 - Port Password Policy test cases from TET to python3 bug624080
+  * Issue:50860 - Port Password Policy test cases from TET to python3 series 
of bugs
+  * Ticket 50786 - connection table freelist
+  * Ticket 50618 - support cgroupv2
+  * Ticket 50900 - Fix cargo offline build
+  * Ticket 50898 - ldclt core dumped when run with -e genldif option
+
+---

Old:

  0001-fix-cargo-build.patch
  389-ds-base-1.4.3.3~git0.776c6edf5.tar.bz2

New:

  389-ds-base-1.4.3.4~git0.3422d6574.tar.bz2



Other differences:
--
++ 389-ds.spec ++
--- /var/tmp/diff_new_pack.MFqc7O/_old  2020-03-24 22:37:46.021247591 +0100
+++ /var/tmp/diff_new_pack.MFqc7O/_new  2020-03-24 22:37:46.025247593 +0100
@@ -51,7 +51,7 @@
 %define svrcorelib libsvrcore0
 
 Name:   389-ds
-Version:1.4.3.3~git0.776c6edf5
+Version:1.4.3.4~git0.3422d6574
 Release:0
 Summary:389 Directory Server
 License:GPL-3.0-or-later AND MPL-2.0
@@ -65,9 +65,6 @@
 %endif
 Source9:%{name}-rpmlintrc
 Source10:   %{user_group}-user.conf
-%if %{with rust}
-Patch1: 0001-fix-cargo-build.patch
-%endif
 # 389-ds does not support i686
 ExcludeArch:%ix86
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -257,7 +254,6 @@
 %if %{with rust}
 %setup -q -n %{name}-base-%{version} -D -T -a 3
 %endif
-%patch1 -p1
 
 %build
 %sysusers_generate_pre %{SOURCE10} %{user_group}

++ 389-ds-base-1.4.3.3~git0.776c6edf5.tar.bz2 -> 
389-ds-base-1.4.3.4~git0.3422d6574.tar.bz2 ++
 21287 lines of diff (skipped)

++ 389-ds-base.obsinfo ++
--- /var/tmp/diff_new_pack.MFqc7O/_old  2020-03-24 22:37:49.177249124 +0100
+++ /var/tmp/diff_new_pack.MFqc7O/_new  2020-03-24 22:37:49.177249124 +0100
@@ -1,5 +1,5 @@
 name: 389-ds-base
-version: 1.4.3.3~git0.776c6edf5
-mtime: 1581623924
-commit: 776c6edf5dbaabccd6d2e12a4ebd6b39598dc142
+version: 1.4.3.4~git0.3422d6574
+mtime: 1584369590
+commit: 3422d6574166e9e63d5ee0c21e61128bcb7113da
 

++ _service ++
--- 

commit python-pook for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pook for openSUSE:Factory 
checked in at 2020-03-24 22:36:13

Comparing /work/SRC/openSUSE:Factory/python-pook (Old)
 and  /work/SRC/openSUSE:Factory/.python-pook.new.3160 (New)


Package is "python-pook"

Tue Mar 24 22:36:13 2020 rev:3 rq:787730 version:1.0.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pook/python-pook.changes  2020-03-18 
12:51:39.325184136 +0100
+++ /work/SRC/openSUSE:Factory/.python-pook.new.3160/python-pook.changes
2020-03-24 22:38:17.417262849 +0100
@@ -1,0 +2,7 @@
+Tue Mar 24 09:20:50 UTC 2020 - pgaj...@suse.com
+
+- version update to 1.0.0
+  * fix(aiohttp): use latest version, allow Python 3.5+ for async http client
+- drop python2 support, python-aiohttp required
+
+---

Old:

  pook-0.2.8.tar.gz

New:

  pook-1.0.0.tar.gz



Other differences:
--
++ python-pook.spec ++
--- /var/tmp/diff_new_pack.m592Lb/_old  2020-03-24 22:38:18.029263146 +0100
+++ /var/tmp/diff_new_pack.m592Lb/_new  2020-03-24 22:38:18.033263148 +0100
@@ -17,8 +17,10 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
+# requires python-aiohttp
+%define skip_python2 1
 Name:   python-pook
-Version:0.2.8
+Version:1.0.0
 Release:0
 Summary:HTTP traffic mocking and expectations
 License:MIT
@@ -26,8 +28,16 @@
 URL:https://github.com/h2non/pook
 Source: 
https://files.pythonhosted.org/packages/source/p/pook/pook-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
+BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+Requires:   python-aiohttp
+Requires:   python-furl >= 0.5.6
+Requires:   python-jsonschema >= 2.5.1
+Requires:   python-xmltodict >= 0.11.0
+Suggests:   python-mock >= 2.0.0
+BuildArch:  noarch
 # SECTION test requirements
+BuildRequires:  %{python_module aiohttp}
 BuildRequires:  %{python_module furl >= 0.5.6}
 BuildRequires:  %{python_module jsonschema >= 2.5.1}
 BuildRequires:  %{python_module mocket >= 1.6.0}
@@ -38,13 +48,6 @@
 BuildRequires:  %{python_module urllib3 >= 1.19.1}
 BuildRequires:  %{python_module xmltodict >= 0.10.2}
 # /SECTION
-BuildRequires:  fdupes
-Requires:   python-furl >= 0.5.6
-Requires:   python-jsonschema >= 2.5.1
-Requires:   python-xmltodict >= 0.10.2
-Suggests:   python-mock >= 2.0.0
-BuildArch:  noarch
-
 %python_subpackages
 
 %description

++ pook-0.2.8.tar.gz -> pook-1.0.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pook-0.2.8/LICENSE new/pook-1.0.0/LICENSE
--- old/pook-0.2.8/LICENSE  2019-10-22 21:27:11.0 +0200
+++ new/pook-1.0.0/LICENSE  2020-03-19 00:13:25.0 +0100
@@ -1,6 +1,6 @@
 MIT License
 
-Copyright (c) 2016-2019 Tomás Aparicio
+Copyright (c) 2016-2020 Tomás Aparicio
 
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pook-0.2.8/PKG-INFO new/pook-1.0.0/PKG-INFO
--- old/pook-0.2.8/PKG-INFO 2019-10-31 10:56:02.0 +0100
+++ new/pook-1.0.0/PKG-INFO 2020-03-19 00:15:30.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: pook
-Version: 0.2.8
+Version: 1.0.0
 Summary: HTTP traffic mocking and expectations made easy
 Home-page: https://github.com/h2non/pook
 Author: Tomas Aparicio
@@ -509,10 +509,7 @@
 Classifier: Development Status :: 5 - Production/Stable
 Classifier: Natural Language :: English
 Classifier: License :: OSI Approved :: MIT License
-Classifier: Programming Language :: Python :: 2.7
 Classifier: Programming Language :: Python :: 3
-Classifier: Programming Language :: Python :: 3.3
-Classifier: Programming Language :: Python :: 3.4
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
 Classifier: Programming Language :: Python :: 3.7
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pook-0.2.8/pook/__init__.py 
new/pook-1.0.0/pook/__init__.py
--- old/pook-0.2.8/pook/__init__.py 2019-10-31 10:49:43.0 +0100
+++ new/pook-1.0.0/pook/__init__.py 2020-03-19 00:12:59.0 +0100
@@ -9,4 +9,4 @@
 __license__ = 'MIT'
 
 # Current version
-__version__ = '0.2.8'
+__version__ = '1.0.0'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pook-0.2.8/pook/interceptors/__init__.py 
new/pook-1.0.0/pook/interceptors/__init__.py
--- 

commit praat for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package praat for openSUSE:Factory checked 
in at 2020-03-24 22:36:16

Comparing /work/SRC/openSUSE:Factory/praat (Old)
 and  /work/SRC/openSUSE:Factory/.praat.new.3160 (New)


Package is "praat"

Tue Mar 24 22:36:16 2020 rev:24 rq:787754 version:6.1.10

Changes:

--- /work/SRC/openSUSE:Factory/praat/praat.changes  2019-12-02 
11:36:10.626433356 +0100
+++ /work/SRC/openSUSE:Factory/.praat.new.3160/praat.changes2020-03-24 
22:38:19.849264031 +0100
@@ -1,0 +2,16 @@
+Tue Mar 24 10:35:57 UTC 2020 - Luigi Baldoni 
+
+- Update to version 6.1.10
+  * Faster formant computation.
+  * More LPC queries.
+  version 6.1.09
+  * Accept some more kinds of broken WAV files.
+  * Improved box plot drawing.
+  * More Network commands.
+  version 6.1.08
+  * Repaired a bug with automatic alignment for TextGrids
+(introduced in 6.1.07).
+
+- Refreshed praat-use_system_libs.patch
+
+---

Old:

  praat-6.1.07.tar.gz

New:

  praat-6.1.10.tar.gz



Other differences:
--
++ praat.spec ++
--- /var/tmp/diff_new_pack.E6znp5/_old  2020-03-24 22:38:22.309265226 +0100
+++ /var/tmp/diff_new_pack.E6znp5/_new  2020-03-24 22:38:22.313265228 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package praat
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   praat
-Version:6.1.07
+Version:6.1.10
 Release:0
 Summary:Phonetics by computer
 License:GPL-3.0-or-later

++ praat-6.1.07.tar.gz -> praat-6.1.10.tar.gz ++
/work/SRC/openSUSE:Factory/praat/praat-6.1.07.tar.gz 
/work/SRC/openSUSE:Factory/.praat.new.3160/praat-6.1.10.tar.gz differ: char 13, 
line 1

++ praat-use_system_libs.patch ++
--- /var/tmp/diff_new_pack.E6znp5/_old  2020-03-24 22:38:22.341265242 +0100
+++ /var/tmp/diff_new_pack.E6znp5/_new  2020-03-24 22:38:22.341265242 +0100
@@ -8,10 +8,10 @@
 other like espeak and FLAC are too heavily patched for the program
 to be compatible with upstream ones.
 
-Index: praat-6.1.07/fon/SoundRecorder.h
+Index: praat-6.1.10/fon/SoundRecorder.h
 ===
 praat-6.1.07.orig/fon/SoundRecorder.h
-+++ praat-6.1.07/fon/SoundRecorder.h
+--- praat-6.1.10.orig/fon/SoundRecorder.h
 praat-6.1.10/fon/SoundRecorder.h
 @@ -25,7 +25,7 @@
  
  #include "SoundRecorder_enums.h"
@@ -21,10 +21,10 @@
  #if defined (_WIN32)
  #elif defined (macintosh)
  #elif defined (linux)
-Index: praat-6.1.07/melder/NUMlinprog.cpp
+Index: praat-6.1.10/melder/NUMlinprog.cpp
 ===
 praat-6.1.07.orig/melder/NUMlinprog.cpp
-+++ praat-6.1.07/melder/NUMlinprog.cpp
+--- praat-6.1.10.orig/melder/NUMlinprog.cpp
 praat-6.1.10/melder/NUMlinprog.cpp
 @@ -17,7 +17,7 @@
   */
  
@@ -34,10 +34,10 @@
  
  struct structNUMlinprog {
glp_prob *linearProgram;
-Index: praat-6.1.07/dwtools/VowelEditor.cpp
+Index: praat-6.1.10/dwtools/VowelEditor.cpp
 ===
 praat-6.1.07.orig/dwtools/VowelEditor.cpp
-+++ praat-6.1.07/dwtools/VowelEditor.cpp
+--- praat-6.1.10.orig/dwtools/VowelEditor.cpp
 praat-6.1.10/dwtools/VowelEditor.cpp
 @@ -53,7 +53,7 @@ trajectory --> path 
  
  #include "FormantGrid.h"
@@ -47,58 +47,10 @@
  #include "PitchTier_to_PointProcess.h"
  #include "PitchTier_to_Sound.h"
  #include "PointProcess_and_Sound.h"
-Index: praat-6.1.07/Makefile
+Index: praat-6.1.10/melder/melder_audio.cpp
 ===
 praat-6.1.07.orig/Makefile
-+++ praat-6.1.07/Makefile
-@@ -13,11 +13,8 @@ include makefile.defs
- 
- # Makes the Praat executable in the source directory.
- all:
--  $(MAKE) -C external/gsl
--  $(MAKE) -C external/glpk
-   $(MAKE) -C external/mp3
-   $(MAKE) -C external/flac
--  $(MAKE) -C external/portaudio
-   $(MAKE) -C external/espeak
-   $(MAKE) -C kar
-   $(MAKE) -C melder
-@@ -40,9 +37,9 @@ all:
-   fon/libfon.a stat/libstat.a dwsys/libdwsys.a \
-   sys/libsys.a melder/libmelder.a kar/libkar.a \
-   external/espeak/libespeak.a \
--  external/portaudio/libportaudio.a \
-+  `pkg-config --libs portaudio-2.0` `pkg-config --libs gtk+-2.0` \
-   external/flac/libflac.a external/mp3/libmp3.a \
--  external/glpk/libglpk.a external/gsl/libgsl.a \
-+  `pkg-config --libs 

commit apache2-mod_maxminddb for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package apache2-mod_maxminddb for 
openSUSE:Factory checked in at 2020-03-24 22:36:05

Comparing /work/SRC/openSUSE:Factory/apache2-mod_maxminddb (Old)
 and  /work/SRC/openSUSE:Factory/.apache2-mod_maxminddb.new.3160 (New)


Package is "apache2-mod_maxminddb"

Tue Mar 24 22:36:05 2020 rev:4 rq:787707 version:1.2.0

Changes:

--- 
/work/SRC/openSUSE:Factory/apache2-mod_maxminddb/apache2-mod_maxminddb.changes  
2020-02-18 10:38:12.580675702 +0100
+++ 
/work/SRC/openSUSE:Factory/.apache2-mod_maxminddb.new.3160/apache2-mod_maxminddb.changes
2020-03-24 22:38:07.641258098 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 01:55:57 UTC 2020 - Marcus Rueckert 
+
+- update to 1.2.0
+  https://github.com/maxmind/mod_maxminddb/releases/tag/1.2.0 
+
+---

Old:

  mod_maxminddb-1.1.0.tar.gz

New:

  mod_maxminddb-1.2.0.tar.gz



Other differences:
--
++ apache2-mod_maxminddb.spec ++
--- /var/tmp/diff_new_pack.JUxpJy/_old  2020-03-24 22:38:08.693258609 +0100
+++ /var/tmp/diff_new_pack.JUxpJy/_new  2020-03-24 22:38:08.697258611 +0100
@@ -18,7 +18,7 @@
 
 %define modname mod_maxminddb
 Name:   apache2-mod_maxminddb
-Version:1.1.0
+Version:1.2.0
 Release:0
 Summary:MaxMind DB Apache Module
 License:Apache-2.0

++ mod_maxminddb-1.1.0.tar.gz -> mod_maxminddb-1.2.0.tar.gz ++
 2092 lines of diff (skipped)




commit rpmdevtools for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package rpmdevtools for openSUSE:Factory 
checked in at 2020-03-24 22:35:45

Comparing /work/SRC/openSUSE:Factory/rpmdevtools (Old)
 and  /work/SRC/openSUSE:Factory/.rpmdevtools.new.3160 (New)


Package is "rpmdevtools"

Tue Mar 24 22:35:45 2020 rev:6 rq:787684 version:8.10

Changes:

--- /work/SRC/openSUSE:Factory/rpmdevtools/rpmdevtools.changes  2020-01-08 
19:32:28.284590300 +0100
+++ /work/SRC/openSUSE:Factory/.rpmdevtools.new.3160/rpmdevtools.changes
2020-03-24 22:37:35.305242383 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 07:31:07 UTC 2020 - Martin Pluskal 
+
+- Clean up spec file with spec-cleaner
+- Update names of python bindings for rpm
+
+---



Other differences:
--
++ rpmdevtools.spec ++
--- /var/tmp/diff_new_pack.PfCkTo/_old  2020-03-24 22:37:35.989242715 +0100
+++ /var/tmp/diff_new_pack.PfCkTo/_new  2020-03-24 22:37:35.997242719 +0100
@@ -33,8 +33,7 @@
 Patch1: dont-drop-Groups.patch
 BuildRequires:  help2man
 BuildRequires:  pkgconfig
-BuildRequires:  rpm-python
-BuildRequires:  xz
+BuildRequires:  python2-rpm
 BuildRequires:  pkgconfig(bash-completion)
 # Required for bash-completion
 Requires:   bash-completion
@@ -44,8 +43,7 @@
 # Minimal RPM build requirements
 Requires:   distribution-release
 Requires:   fakeroot
-Requires:   python
-Requires:   rpm-python
+Requires:   python2-rpm
 BuildArch:  noarch
 
 %description
@@ -66,9 +64,7 @@
 ...and many more.
 
 %prep
-%setup -q
-%patch0 -p1
-%patch1 -p1
+%autosetup -p1
 cp -a %{SOURCE1} template.init
 
 # Use the "rpmdev-" prefix for spectool that conflicts with Redhat spectool
@@ -76,7 +72,7 @@
 
 %build
 %configure --libdir=%{_libexecdir}
-make %{?_smp_mflags}
+%make_build
 
 %install
 %make_install




commit openmpi3 for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package openmpi3 for openSUSE:Factory 
checked in at 2020-03-24 22:35:52

Comparing /work/SRC/openSUSE:Factory/openmpi3 (Old)
 and  /work/SRC/openSUSE:Factory/.openmpi3.new.3160 (New)


Package is "openmpi3"

Tue Mar 24 22:35:52 2020 rev:24 rq:787699 version:3.1.6

Changes:

--- /work/SRC/openSUSE:Factory/openmpi3/openmpi3.changes2020-03-21 
00:00:35.457067313 +0100
+++ /work/SRC/openSUSE:Factory/.openmpi3.new.3160/openmpi3.changes  
2020-03-24 22:37:54.801251858 +0100
@@ -1,0 +2,9 @@
+Fri Mar 20 11:26:15 UTC 2020 - Nicolas Morey-Chaisemartin 

+
+- Update to openmpi3 3.1.6
+  - See changelog in NEWS
+- Remove add-gen-p5-chip-pci-id-to-ini-file.patch that was merged upstream
+- Add patch memory-patcher-fix-compiler-warning.patch to fix cast warning
+  causing RPM to fail building
+
+---

Old:

  add-gen-p5-chip-pci-id-to-ini-file.patch
  openmpi-3.1.4.0.57629e7cffb0.tar.bz2

New:

  memory-patcher-fix-compiler-warning.patch
  openmpi-3.1.6.0.ea348728b4c8.tar.bz2



Other differences:
--
++ openmpi3.spec ++
--- /var/tmp/diff_new_pack.InV9pi/_old  2020-03-24 22:37:55.513252204 +0100
+++ /var/tmp/diff_new_pack.InV9pi/_new  2020-03-24 22:37:55.517252206 +0100
@@ -42,8 +42,8 @@
 # % define build_static_devel 1
 
 %define pname openmpi
-%define vers 3.1.4
-%define _vers 3_1_4
+%define vers 3.1.6
+%define _vers 3_1_6
 %define m_f_ver 3
 %bcond_with ringdisabled
 
@@ -115,7 +115,7 @@
 %global hpc_openmpi_pack_version %{hpc_openmpi_dep_version}
 %endif
 
-%define git_ver .0.57629e7cffb0
+%define git_ver .0.ea348728b4c8
 
 #
 #
@@ -137,7 +137,7 @@
 Source5:mpivars.csh
 Patch0: Build-warning-stringop-overflow-in.patch
 Patch1: reproducible.patch
-Patch2: add-gen-p5-chip-pci-id-to-ini-file.patch
+Patch2: memory-patcher-fix-compiler-warning.patch
 Provides:   mpi
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  autoconf

++ _service ++
--- /var/tmp/diff_new_pack.InV9pi/_old  2020-03-24 22:37:55.565252229 +0100
+++ /var/tmp/diff_new_pack.InV9pi/_new  2020-03-24 22:37:55.565252229 +0100
@@ -8,7 +8,7 @@
 @PARENT_TAG@.@TAG_OFFSET@.%h
 v(.*)
 \1
-57629e7cffb0a34ed95624f95faf1c26a0a5846a
+ea348728b4c856973b48252c8b843078b4784cc3
   
   
 openmpi*.tar

++ memory-patcher-fix-compiler-warning.patch ++
commit a0242346788a31050effb025b43da5f3e6a1bb9b
Author: Maxwell Coil 
Date:   Sun Dec 8 13:56:00 2019 -0500

memory/patcher: fix compiler warning

syscall() returns a long, but we are invoking shmat(), which returns
a void*.

Signed-off-by: Maxwell Coil 

diff --git opal/mca/memory/patcher/memory_patcher_component.c 
opal/mca/memory/patcher/memory_patcher_component.c
index 687d430fa362..272ec721225b 100644
--- opal/mca/memory/patcher/memory_patcher_component.c
+++ opal/mca/memory/patcher/memory_patcher_component.c
@@ -440,7 +440,7 @@ static void *_intercept_shmat(int shmid, const void 
*shmaddr, int shmflg)
 
 if (!original_shmat) {
 #if defined(SYS_shmat)
-result = memory_patcher_syscall(SYS_shmat, shmid, shmaddr, shmflg);
+result = (void*) memory_patcher_syscall(SYS_shmat, shmid, shmaddr, 
shmflg);
 #else // IPCOP_shmat
 unsigned long ret;
 ret = memory_patcher_syscall(SYS_ipc, IPCOP_shmat,
++ openmpi-3.1.4.0.57629e7cffb0.tar.bz2 -> 
openmpi-3.1.6.0.ea348728b4c8.tar.bz2 ++
 60195 lines of diff (skipped)




commit python-py-ubjson for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-py-ubjson for 
openSUSE:Factory checked in at 2020-03-24 22:35:40

Comparing /work/SRC/openSUSE:Factory/python-py-ubjson (Old)
 and  /work/SRC/openSUSE:Factory/.python-py-ubjson.new.3160 (New)


Package is "python-py-ubjson"

Tue Mar 24 22:35:40 2020 rev:5 rq:787693 version:0.15.0

Changes:

--- /work/SRC/openSUSE:Factory/python-py-ubjson/python-py-ubjson.changes
2019-07-23 22:38:58.546951589 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-py-ubjson.new.3160/python-py-ubjson.changes  
2020-03-24 22:37:27.653238664 +0100
@@ -1,0 +2,6 @@
+Tue Mar 24 07:26:32 UTC 2020 - pgaj...@suse.com
+
+- version update to 0.15.0
+  * Fix decimal encoding bug/assert (reported by mgorny)
+
+---

Old:

  py-ubjson-0.14.0.tar.gz

New:

  py-ubjson-0.15.0.tar.gz



Other differences:
--
++ python-py-ubjson.spec ++
--- /var/tmp/diff_new_pack.IONwC4/_old  2020-03-24 22:37:29.221239426 +0100
+++ /var/tmp/diff_new_pack.IONwC4/_new  2020-03-24 22:37:29.221239426 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-py-ubjson
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define modname py-ubjson
 Name:   python-py-ubjson
-Version:0.14.0
+Version:0.15.0
 Release:0
 Summary:Universal Binary JSON encoder/decoder
 License:Apache-2.0
@@ -27,6 +27,7 @@
 URL:https://github.com/Iotic-Labs/py-ubjson
 Source: 
https://files.pythonhosted.org/packages/source/p/py-ubjson/%{modname}-%{version}.tar.gz
 BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -44,7 +45,7 @@
 
 %check
 touch test/__init__.py
-%python_expand $python -munittest discover -v
+%pytest test/test.py
 
 %install
 %python_install

++ py-ubjson-0.14.0.tar.gz -> py-ubjson-0.15.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/py-ubjson-0.14.0/CHANGELOG 
new/py-ubjson-0.15.0/CHANGELOG
--- old/py-ubjson-0.14.0/CHANGELOG  2019-06-20 18:30:28.0 +0200
+++ new/py-ubjson-0.15.0/CHANGELOG  2020-03-17 11:56:38.0 +0100
@@ -1,3 +1,6 @@
+0.15.0
+- Fix decimal encoding bug/assert (reported by mgorny)
+
 0.14.0
 - Fix DecoderException not including offset when C-extension in use, expose
   property for it.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/py-ubjson-0.14.0/PKG-INFO 
new/py-ubjson-0.15.0/PKG-INFO
--- old/py-ubjson-0.14.0/PKG-INFO   2019-06-20 18:57:26.0 +0200
+++ new/py-ubjson-0.15.0/PKG-INFO   2020-03-17 12:46:10.821954500 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: py-ubjson
-Version: 0.14.0
+Version: 0.15.0
 Summary: Universal Binary JSON encoder/decoder
 Home-page: https://github.com/Iotic-Labs/py-ubjson
 Author: Iotic Labs Ltd
@@ -109,6 +109,7 @@
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
 Classifier: Programming Language :: Python :: 3.7
+Classifier: Programming Language :: Python :: 3.8
 Classifier: Topic :: Software Development :: Libraries
 Classifier: Topic :: Software Development :: Libraries :: Python Modules
 Description-Content-Type: text/markdown
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/py-ubjson-0.14.0/py_ubjson.egg-info/PKG-INFO 
new/py-ubjson-0.15.0/py_ubjson.egg-info/PKG-INFO
--- old/py-ubjson-0.14.0/py_ubjson.egg-info/PKG-INFO2019-06-20 
18:57:26.0 +0200
+++ new/py-ubjson-0.15.0/py_ubjson.egg-info/PKG-INFO2020-03-17 
12:46:10.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: py-ubjson
-Version: 0.14.0
+Version: 0.15.0
 Summary: Universal Binary JSON encoder/decoder
 Home-page: https://github.com/Iotic-Labs/py-ubjson
 Author: Iotic Labs Ltd
@@ -109,6 +109,7 @@
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
 Classifier: Programming Language :: Python :: 3.7
+Classifier: Programming Language :: Python :: 3.8
 Classifier: Topic :: Software Development :: Libraries
 Classifier: Topic :: Software Development :: Libraries :: Python Modules
 Description-Content-Type: text/markdown
diff -urN '--exclude=CVS' '--exclude=.cvsignore' 

commit python-pyScss for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pyScss for openSUSE:Factory 
checked in at 2020-03-24 22:35:35

Comparing /work/SRC/openSUSE:Factory/python-pyScss (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyScss.new.3160 (New)


Package is "python-pyScss"

Tue Mar 24 22:35:35 2020 rev:2 rq:787686 version:1.3.6

Changes:

--- /work/SRC/openSUSE:Factory/python-pyScss/python-pyScss.changes  
2018-05-15 10:31:14.468950091 +0200
+++ /work/SRC/openSUSE:Factory/.python-pyScss.new.3160/python-pyScss.changes
2020-03-24 22:37:19.453234678 +0100
@@ -1,0 +2,6 @@
+Mon Mar 23 15:28:04 UTC 2020 - pgaj...@suse.com
+
+- version update to 1.3.6
+  * no upstream changelog
+
+---

Old:

  pyScss-1.3.5.tar.gz

New:

  pyScss-1.3.6.tar.gz



Other differences:
--
++ python-pyScss.spec ++
--- /var/tmp/diff_new_pack.o9kCrl/_old  2020-03-24 22:37:20.561235217 +0100
+++ /var/tmp/diff_new_pack.o9kCrl/_new  2020-03-24 22:37:20.565235219 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pyScss
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 # Copyright (c) 2014 LISA GmbH, Bingen, Germany.
 #
 # All modifications and additions to the file contributed by third parties
@@ -13,29 +13,30 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pyScss
-Version:1.3.5
+Version:1.3.6
 Release:0
 Summary:pyScss, a Scss compiler for Python
 License:MIT
 Group:  Development/Languages/Python
-Url:http://github.com/Kronuz/pyScss
+URL:https://github.com/Kronuz/pyScss
 Source: 
https://files.pythonhosted.org/packages/source/p/pyScss/pyScss-%{version}.tar.gz
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  pcre-devel
 BuildRequires:  python-rpm-macros
-%ifpython2
-Requires:   python-enum34
-%endif
+Requires:   python-setuptools
 Requires:   python-six
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
+%ifpython2
+Requires:   python-enum34
+%endif
 %python_subpackages
 
 %description
@@ -74,7 +75,6 @@
 %python_uninstall_alternative less2scss
 
 %files %{python_files}
-%defattr(-,root,root,-)
 %license LICENSE
 %doc README.rst
 %{python_sitearch}/*

++ pyScss-1.3.5.tar.gz -> pyScss-1.3.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyScss-1.3.5/PKG-INFO new/pyScss-1.3.6/PKG-INFO
--- old/pyScss-1.3.5/PKG-INFO   2016-06-09 04:06:16.0 +0200
+++ new/pyScss-1.3.6/PKG-INFO   2020-03-21 19:34:27.0 +0100
@@ -1,12 +1,12 @@
 Metadata-Version: 1.1
 Name: pyScss
-Version: 1.3.5
+Version: 1.3.6
 Summary: pyScss, a Scss compiler for Python
 Home-page: http://github.com/Kronuz/pyScss
 Author: German M. Bravo (Kronuz)
 Author-email: german...@gmail.com
 License: MIT
-Download-URL: http://github.com/Kronuz/pyScss/tarball/v1.3.5
+Download-URL: http://github.com/Kronuz/pyScss/tarball/v1.3.6
 Description: pyScss, a Scss compiler for Python
 ==
 
@@ -26,7 +26,7 @@
 Quickstart
 --
 
-You need Python 2.6+ or 3.2+.  PyPy is also supported.
+You need Python 2.6+ or 3.3+.  PyPy is also supported.
 
 Installation::
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyScss-1.3.5/README.rst new/pyScss-1.3.6/README.rst
--- old/pyScss-1.3.5/README.rst 2014-10-18 01:03:22.0 +0200
+++ new/pyScss-1.3.6/README.rst 2020-03-21 19:33:40.0 +0100
@@ -17,7 +17,7 @@
 Quickstart
 --
 
-You need Python 2.6+ or 3.2+.  PyPy is also supported.
+You need Python 2.6+ or 3.3+.  PyPy is also supported.
 
 Installation::
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyScss-1.3.5/pyScss.egg-info/PKG-INFO 
new/pyScss-1.3.6/pyScss.egg-info/PKG-INFO
--- old/pyScss-1.3.5/pyScss.egg-info/PKG-INFO   2016-06-09 04:06:14.0 
+0200
+++ new/pyScss-1.3.6/pyScss.egg-info/PKG-INFO   2020-03-21 19:34:27.0 
+0100
@@ -1,12 +1,12 @@
 Metadata-Version: 1.1
 Name: pyScss
-Version: 1.3.5
+Version: 1.3.6
 Summary: pyScss, a Scss compiler for Python
 Home-page: http://github.com/Kronuz/pyScss
 Author: German M. Bravo (Kronuz)
 

commit elementary-xfce-icon-theme for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package elementary-xfce-icon-theme for 
openSUSE:Factory checked in at 2020-03-24 22:35:00

Comparing /work/SRC/openSUSE:Factory/elementary-xfce-icon-theme (Old)
 and  /work/SRC/openSUSE:Factory/.elementary-xfce-icon-theme.new.3160 (New)


Package is "elementary-xfce-icon-theme"

Tue Mar 24 22:35:00 2020 rev:16 rq:787552 version:0.15+git0.6fc555d6

Changes:

--- 
/work/SRC/openSUSE:Factory/elementary-xfce-icon-theme/elementary-xfce-icon-theme.changes
2020-03-20 23:55:09.468860656 +0100
+++ 
/work/SRC/openSUSE:Factory/.elementary-xfce-icon-theme.new.3160/elementary-xfce-icon-theme.changes
  2020-03-24 22:35:03.877168790 +0100
@@ -1,0 +2,14 @@
+Mon Mar 23 13:22:47 UTC 2020 - Maurizio Galli 
+
+- Build using buildsystem to take advantage of the SVG to PNG
+  conversion script. PNG load faster than SVG.
+
+---
+Mon Mar 23 11:14:16 UTC 2020 - Maurizio Galli 
+
+- Update to version 0.15+git0.6fc555d6:
+  * Run vacuum-defs
+  * Add 24px clipman icon
+  * Fixed dangling symlinks
+
+---

Old:

  elementary-xfce-0.14+git30.e40a2684.tar.xz

New:

  elementary-xfce-0.15+git0.6fc555d6.tar.xz



Other differences:
--
++ elementary-xfce-icon-theme.spec ++
--- /var/tmp/diff_new_pack.BdgHMe/_old  2020-03-24 22:35:04.609169146 +0100
+++ /var/tmp/diff_new_pack.BdgHMe/_new  2020-03-24 22:35:04.617169150 +0100
@@ -18,7 +18,7 @@
 
 %define _name elementary-xfce
 Name:   elementary-xfce-icon-theme
-Version:0.14+git30.e40a2684
+Version:0.15+git0.6fc555d6
 Release:0
 Summary:Icon theme inspired by Tango and Elementary
 License:GPL-2.0-only
@@ -26,8 +26,11 @@
 URL:https://github.com/shimmerproject/elementary-xfce
 Source: %{_name}-%{version}.tar.xz
 BuildRequires:  fdupes
-BuildRequires:  gtk3-tools
+BuildRequires:  gdk-pixbuf-loader-rsvg
 BuildRequires:  hicolor-icon-theme
+BuildRequires:  optipng
+BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
+BuildRequires:  pkgconfig(gtk+-3.0)
 Requires:   adwaita-icon-theme
 Requires:   gtk3-tools
 Requires:   hicolor-icon-theme
@@ -42,25 +45,22 @@
 
 %prep
 %setup -q -n %{_name}-%{version}
-# cleanup unecessary doc files
-rm %{_name}-darker/{CONTRIBUTORS,AUTHORS,README.md,LICENSE}
-rm %{_name}-dark/{CONTRIBUTORS,AUTHORS,README.md,LICENSE}
-rm %{_name}/{CONTRIBUTORS,AUTHORS,README.md,LICENSE}
 
 %build
-# Nothing to build
+%configure
+%make_build
 
 %install
-mkdir -p  %{buildroot}%{_datadir}/icons
-cp -a %{_name}  %{buildroot}%{_datadir}/icons
-cp -a %{_name}-dark  %{buildroot}%{_datadir}/icons
-cp -a %{_name}-darker  %{buildroot}%{_datadir}/icons
-chmod 0644  %{buildroot}%{_datadir}/icons/%{_name}/index.theme
-chmod 0644  %{buildroot}%{_datadir}/icons/%{_name}-dark/index.theme
-chmod 0644  %{buildroot}%{_datadir}/icons/%{_name}-darker/index.theme
+%make_install
+
+# Cleanup unused docs
+rm 
%{buildroot}%{_datadir}/icons/%{_name}{,-dark,-darker}/{CONTRIBUTORS,AUTHORS,README.md,LICENSE}
+
+# We don't want to install Darkest as it's not very useful
+rm -rf %{buildroot}%{_datadir}/icons/%{_name}-darkest/
 
 # fix duplicate files
-%fdupes -s %{buildroot}/%{_datadir}/icons/
+%fdupes -s %{buildroot}%{_datadir}/icons/
 
 %files
 %doc AUTHORS CONTRIBUTORS README.md

++ _servicedata ++
--- /var/tmp/diff_new_pack.BdgHMe/_old  2020-03-24 22:35:04.689169184 +0100
+++ /var/tmp/diff_new_pack.BdgHMe/_new  2020-03-24 22:35:04.689169184 +0100
@@ -1,4 +1,4 @@
 
 
 https://github.com/shimmerproject/elementary-xfce.git
-  cff3fbe61050296f4a4bdc9a4733791f20f9993c
\ No newline at end of file
+  6fc555d6fffb34f462ad87704d22e72448197bad
\ No newline at end of file

++ elementary-xfce-0.14+git30.e40a2684.tar.xz -> 
elementary-xfce-0.15+git0.6fc555d6.tar.xz ++
 9335 lines of diff (skipped)

++ elementary-xfce.obsinfo ++
--- /var/tmp/diff_new_pack.BdgHMe/_old  2020-03-24 22:36:47.665219230 +0100
+++ /var/tmp/diff_new_pack.BdgHMe/_new  2020-03-24 22:36:47.669219232 +0100
@@ -1,5 +1,5 @@
 name: elementary-xfce
-version: 0.14+git30.e40a2684
-mtime: 1584611279
-commit: e40a2684a3d945b187fa15fdaa65db94bf759d64
+version: 0.15+git0.6fc555d6
+mtime: 1584881689
+commit: 6fc555d6fffb34f462ad87704d22e72448197bad
 




commit laszip for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package laszip for openSUSE:Factory checked 
in at 2020-03-24 22:35:28

Comparing /work/SRC/openSUSE:Factory/laszip (Old)
 and  /work/SRC/openSUSE:Factory/.laszip.new.3160 (New)


Package is "laszip"

Tue Mar 24 22:35:28 2020 rev:6 rq:787694 version:3.4.1

Changes:

--- /work/SRC/openSUSE:Factory/laszip/laszip.changes2019-07-15 
22:43:57.423903127 +0200
+++ /work/SRC/openSUSE:Factory/.laszip.new.3160/laszip.changes  2020-03-24 
22:37:05.037227673 +0100
@@ -1,0 +2,5 @@
+Tue Mar 24 07:01:31 UTC 2020 - Max Lin 
+
+- Disable RPATH for building
+
+---



Other differences:
--
++ laszip.spec ++
--- /var/tmp/diff_new_pack.gGFvxG/_old  2020-03-24 22:37:06.573228419 +0100
+++ /var/tmp/diff_new_pack.gGFvxG/_new  2020-03-24 22:37:06.589228427 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package laszip
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 # Copyright (c) 2019 Bruno Friedmann, Ioda-Net Sàrl, Charmoille, Switzerland.
 #
 # All modifications and additions to the file contributed by third parties
@@ -26,7 +26,7 @@
 Summary:Compression library supporting ASPRS LAS format data
 License:LGPL-2.1-or-later
 Group:  Development/Libraries/C and C++
-Url:https://laszip.org/
+URL:https://laszip.org/
 Source0:
https://github.com/LASzip/LASzip/releases/download/%{version}/laszip-src-%{version}.tar.gz
 Source1:
https://github.com/LASzip/LASzip/releases/download/%{version}/laszip-src-%{version}.tar.gz.sha256sum
 BuildRequires:  cmake
@@ -84,13 +84,14 @@
 %build
 # laszip need dlopen,dlsym,dlclose
 %cmake \
+-DCMAKE_SKIP_RPATH:BOOL=ON \
 -DCMAKE_C_FLAGS="%{optflags} -fno-strict-aliasing -fPIC" \
 -DCMAKE_C_FLAGS_RELWITHDEBINFO="%{optflags} -fno-strict-aliasing -fPIC" \
 -DCMAKE_CXX_FLAGS="%{optflags} -fno-strict-aliasing -fPIC" \
 -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="%{optflags} -fno-strict-aliasing -fPIC" \
 -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,--no-undefined -Wl,-z,now 
-Wl,--no-as-needed -ldl"
 
-make V=1 %{?_smp_mflags}
+%cmake_build
 
 %install
 %cmake_install
@@ -110,7 +111,8 @@
 
 %files devel
 %defattr(-,root,root)
-%doc ChangeLog AUTHORS COPYING
+%license COPYING
+%doc ChangeLog AUTHORS
 %dir %{_includedir}/%{name}
 %{_includedir}/%{name}/%{name}_api_version.h
 %{_includedir}/%{name}/%{name}_api.h




commit os-autoinst for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package os-autoinst for openSUSE:Factory 
checked in at 2020-03-24 22:35:05

Comparing /work/SRC/openSUSE:Factory/os-autoinst (Old)
 and  /work/SRC/openSUSE:Factory/.os-autoinst.new.3160 (New)


Package is "os-autoinst"

Tue Mar 24 22:35:05 2020 rev:112 rq:787572 version:4.6.1584822453.7eb772a7

Changes:

--- /work/SRC/openSUSE:Factory/os-autoinst/os-autoinst.changes  2020-03-16 
10:17:57.135577801 +0100
+++ /work/SRC/openSUSE:Factory/.os-autoinst.new.3160/os-autoinst.changes
2020-03-24 22:36:53.181221911 +0100
@@ -1,0 +2,7 @@
+Sat Mar 21 20:27:49 UTC 2020 - ok...@suse.com
+
+- Update to version 4.6.1584822453.7eb772a7:
+  * Add support for cloning and checking out a single git commit through 
CASEDIR
+  * Simplify automatic coverage analysis with just statement coverage
+
+---

Old:

  os-autoinst-4.6.1583960405.4e3dec50.obscpio

New:

  os-autoinst-4.6.1584822453.7eb772a7.obscpio



Other differences:
--
++ os-autoinst-test.spec ++
--- /var/tmp/diff_new_pack.IulUNt/_old  2020-03-24 22:36:54.425222515 +0100
+++ /var/tmp/diff_new_pack.IulUNt/_new  2020-03-24 22:36:54.429222517 +0100
@@ -19,7 +19,7 @@
 %define name_ext -test
 %define short_name os-autoinst
 Name:   %{short_name}%{?name_ext}
-Version:4.6.1583960405.4e3dec50
+Version:4.6.1584822453.7eb772a7
 Release:0
 Summary:test package for os-autoinst
 #BuildRequires:  %{short_name} == %{version}

++ os-autoinst.spec ++
--- /var/tmp/diff_new_pack.IulUNt/_old  2020-03-24 22:36:54.445222525 +0100
+++ /var/tmp/diff_new_pack.IulUNt/_new  2020-03-24 22:36:54.449222527 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   os-autoinst
-Version:4.6.1583960405.4e3dec50
+Version:4.6.1584822453.7eb772a7
 Release:0
 Summary:OS-level test automation
 License:GPL-2.0-or-later

++ os-autoinst-4.6.1583960405.4e3dec50.obscpio -> 
os-autoinst-4.6.1584822453.7eb772a7.obscpio ++
/work/SRC/openSUSE:Factory/os-autoinst/os-autoinst-4.6.1583960405.4e3dec50.obscpio
 
/work/SRC/openSUSE:Factory/.os-autoinst.new.3160/os-autoinst-4.6.1584822453.7eb772a7.obscpio
 differ: char 49, line 1

++ os-autoinst.obsinfo ++
--- /var/tmp/diff_new_pack.IulUNt/_old  2020-03-24 22:36:54.485222545 +0100
+++ /var/tmp/diff_new_pack.IulUNt/_new  2020-03-24 22:36:54.485222545 +0100
@@ -1,5 +1,5 @@
 name: os-autoinst
-version: 4.6.1583960405.4e3dec50
-mtime: 1583960405
-commit: 4e3dec5034144dc98851fa3dfb514510af23c030
+version: 4.6.1584822453.7eb772a7
+mtime: 1584822453
+commit: 7eb772a787c5df1777490d55628aece0075f2ed6
 




commit c-toxcore for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package c-toxcore for openSUSE:Factory 
checked in at 2020-03-24 22:35:03

Comparing /work/SRC/openSUSE:Factory/c-toxcore (Old)
 and  /work/SRC/openSUSE:Factory/.c-toxcore.new.3160 (New)


Package is "c-toxcore"

Tue Mar 24 22:35:03 2020 rev:14 rq:787560 version:0.2.11

Changes:

--- /work/SRC/openSUSE:Factory/c-toxcore/c-toxcore.changes  2019-06-27 
15:26:14.833598372 +0200
+++ /work/SRC/openSUSE:Factory/.c-toxcore.new.3160/c-toxcore.changes
2020-03-24 22:36:49.533220138 +0100
@@ -1,0 +2,56 @@
+Mon Mar 23 16:49:05 UTC 2020 - Andrey Karepin 
+
+- update to 0.2.11
+  * #1403 Install libsodium from apt instead of from source.
+  * #1402 Remove bazel build from Travis.
+  * #1400 Disable bazel remote cache on CI.
+  * #1399 Periodically try to send direct packets when connected by TCP.
+  * #1398 Minor cleanup: use assoc_timeout function where possible.
+  * #1397 Check that LOGGER macros are only called with string literals.
+  * #1396 Make function defns match their decls regarding storage class.
+  * #1395 Mark file-local function definitions as static.
+  * #1394 Enable remote cache for bazel builds.
+  * #1393 Add another bootstrap node to the bootstrap test.
+  * #1392 Clear out old conference connections.
+  * #1391 Minor cleanups in network code.
+  * #1390 Avoid casting back and forth between void-ptr.
+  * #1389 Standardise on having a comma at the end of enums.
+  * #1388 Fix up comments a bit to start being more uniform.
+  * #1387 Use rules_cc instead of native cc_library rules.
+  * #1386 Use spdx license identifier instead of GPL blurb.
+  * #1383 Pass packet ID to custom packet handlers.
+  * #1382 Add a mutex lock/unlock inside every public API function.
+  * #1381 Use net_pack instead of casting bytes to ints.
+  * #1380 Disable FreeBSD travis build until it is fixed.
+  * #1379 Update and fix FreeBSD setup on Travis-CI
+  * #1378 Use ninja build system for the cmake-linux build.
+  * #1376 Remove testing/av_test.c.
+  * #1375 Add "cimple_test" to the bazel build.
+  * #1374 Handle invite to existing conference
+  * #1372 Upgrade bazel to 2.1.1.
+  * #1371 Bump to astyle-3.1 in travis build.
+  * #1370 use -1 rather than ~0 in unsigned integer types
+  * #1362 Workaround for message number saving
+  * #1358 Allow Bazel to rerun tests marked as flaky
+  * #1352 Update tests to use a working bootstrap node
+  * #1349 Fix tox-bootstrapd's README and update Dockerfile
+  * #1347 Fix pthread_mutex_destroy getting too many arguments
+  * #1346 Fix most TSAN failures
+  * #1345 fix concurrency issues in mono_time
+  * #1343 Fix TSAN failures in tests
+  * #1334 fix missing group title length check
+  * #1330 Force IPv4 for cirrus-ci tests
+  * #1329 bump libsodium version in appveyor.yml
+  * #1322 Clean-up of group.c code
+  * #1321 Some small fixes to groups.
+  * #1299 Add VScode folder to .gitignore
+  * #1297 Use net_pack/unpack instead of host_to_net.
+  * #1373 handle crashes after group invites
+  * #1368 Are tox clients also open source
+  * #1366 Generate a link for websites (Friendship and proxy)
+  * #1354 Unstable Tests
+  * #1316 Documentation claims toxav_iteration_interval is threadsafe but it's 
not
+  * #1274 build error
+  * #850 GPG App Usage
+
+---

Old:

  c-toxcore-0.2.10.tar.gz
  c-toxcore-0.2.10.tar.gz.asc

New:

  c-toxcore-0.2.11.tar.gz
  c-toxcore-0.2.11.tar.gz.asc



Other differences:
--
++ c-toxcore.spec ++
--- /var/tmp/diff_new_pack.beKrW0/_old  2020-03-24 22:36:51.449221069 +0100
+++ /var/tmp/diff_new_pack.beKrW0/_new  2020-03-24 22:36:51.453221071 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package c-toxcore
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 # Copyright (c) 2013 Markus Kolb, Innsbruck, Austria.
 #
 # All modifications and additions to the file contributed by third parties
@@ -20,12 +20,12 @@
 # See also http://en.opensuse.org/openSUSE:Specfile_guidelines
 %define _soversion 2
 Name:   c-toxcore
-Version:0.2.10
+Version:0.2.11
 Release:0
 Summary:Secure decentralized instant messaging application
 License:GPL-3.0-only
 Group:  Productivity/Networking/Instant Messenger
-Url:https://tox.chat/
+URL:https://tox.chat/
 Source0:
https://github.com/TokTok/c-toxcore/archive/v%{version}.tar.gz#./%{name}-%{version}.tar.gz
 Source1:%{name}.tmpfiles.d
 Source2:
https://github.com/TokTok/c-toxcore/releases/download/v%{version}/%{name}-%{version}.tar.gz.asc

++ c-toxcore-0.2.10.tar.gz -> c-toxcore-0.2.11.tar.gz ++
 12505 lines of 

commit patterns-server for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package patterns-server for openSUSE:Factory 
checked in at 2020-03-24 22:35:27

Comparing /work/SRC/openSUSE:Factory/patterns-server (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-server.new.3160 (New)


Package is "patterns-server"

Tue Mar 24 22:35:27 2020 rev:7 rq:787594 version:20200312

Changes:

--- /work/SRC/openSUSE:Factory/patterns-server/patterns-server.changes  
2018-12-13 19:50:02.080577665 +0100
+++ 
/work/SRC/openSUSE:Factory/.patterns-server.new.3160/patterns-server.changes
2020-03-24 22:37:00.933225678 +0100
@@ -1,0 +2,12 @@
+Mon Mar 23 10:24:43 UTC 2020 - Antoine Ginies 
+
+- fix reordering of pattern()
+
+---
+Thu Mar 12 08:13:47 UTC 2020 - Antoine Ginies 
+
+- kvm-server for arm: fix missing qemu-ipxe packages and 
+  improve arm detection (bsc#1158430) 
+- version 20200312
+
+---



Other differences:
--
++ patterns-server.spec ++
--- /var/tmp/diff_new_pack.mZ7zXl/_old  2020-03-24 22:37:01.857226128 +0100
+++ /var/tmp/diff_new_pack.mZ7zXl/_new  2020-03-24 22:37:01.861226129 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package patterns-server
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %bcond_with betatest
 Name:   patterns-server
-Version:20180718
+Version:20200312
 Release:0
 Summary:Patterns for Installation (server patterns)
 License:MIT
@@ -217,8 +217,9 @@
 %ifarch s390x
 Requires:   qemu-s390
 %endif
-%ifarch %arm
+%ifarch %arm aarch64 armv7hl
 Requires:   qemu-arm
+Requires:   qemu-ipxe
 %endif
 
 %description kvm_server




commit openQA for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package openQA for openSUSE:Factory checked 
in at 2020-03-24 22:35:11

Comparing /work/SRC/openSUSE:Factory/openQA (Old)
 and  /work/SRC/openSUSE:Factory/.openQA.new.3160 (New)


Package is "openQA"

Tue Mar 24 22:35:11 2020 rev:133 rq:787573 version:4.6.1584957320.c50fd7cfd

Changes:

openQA-test.changes: same change
openQA-worker-test.changes: same change
--- /work/SRC/openSUSE:Factory/openQA/openQA.changes2020-03-22 
14:18:00.222088907 +0100
+++ /work/SRC/openSUSE:Factory/.openQA.new.3160/openQA.changes  2020-03-24 
22:36:57.869224189 +0100
@@ -1,0 +2,11 @@
+Mon Mar 23 18:48:18 UTC 2020 - co...@suse.com
+
+- Update to version 4.6.1584957320.c50fd7cfd:
+  * Simplify 'prepare_data_function' as followup to #2793
+  * t: Bail out early on Selenium reported errors for concise log
+  * t: Ensure necessary test dirs exist for ui/21-admin-needles.t
+  * Extract common screenshot DB insertion function
+  * Fix extracting compressed downloaded files
+  * Validation for Asset controller
+
+---

Old:

  openQA-4.6.1584727112.296692355.obscpio

New:

  openQA-4.6.1584957320.c50fd7cfd.obscpio



Other differences:
--
++ openQA-devel-test.spec ++
--- /var/tmp/diff_new_pack.cgqXqg/_old  2020-03-24 22:36:59.329224899 +0100
+++ /var/tmp/diff_new_pack.cgqXqg/_new  2020-03-24 22:36:59.329224899 +0100
@@ -18,7 +18,7 @@
 
 %define short_name openQA-devel
 Name:   %{short_name}-test
-Version:4.6.1584727112.296692355
+Version:4.6.1584957320.c50fd7cfd
 Release:0
 Summary:Test package for %{short_name}
 License:GPL-2.0-or-later

++ openQA-test.spec ++
--- /var/tmp/diff_new_pack.cgqXqg/_old  2020-03-24 22:36:59.345224906 +0100
+++ /var/tmp/diff_new_pack.cgqXqg/_new  2020-03-24 22:36:59.349224909 +0100
@@ -18,7 +18,7 @@
 
 %define short_name openQA
 Name:   %{short_name}-test
-Version:4.6.1584727112.296692355
+Version:4.6.1584957320.c50fd7cfd
 Release:0
 Summary:Test package for openQA
 License:GPL-2.0-or-later

++ openQA-worker-test.spec ++
--- /var/tmp/diff_new_pack.cgqXqg/_old  2020-03-24 22:36:59.361224914 +0100
+++ /var/tmp/diff_new_pack.cgqXqg/_new  2020-03-24 22:36:59.365224916 +0100
@@ -18,7 +18,7 @@
 
 %define short_name openQA-worker
 Name:   %{short_name}-test
-Version:4.6.1584727112.296692355
+Version:4.6.1584957320.c50fd7cfd
 Release:0
 Summary:Test package for %{short_name}
 License:GPL-2.0-or-later

++ openQA.spec ++
--- /var/tmp/diff_new_pack.cgqXqg/_old  2020-03-24 22:36:59.381224924 +0100
+++ /var/tmp/diff_new_pack.cgqXqg/_new  2020-03-24 22:36:59.385224926 +0100
@@ -65,7 +65,7 @@
 %define devel_requires %build_requires %test_requires rsync chromedriver curl 
postgresql-devel %qemu tar xorg-x11-fonts sudo perl(Devel::Cover) 
perl(Devel::Cover::Report::Codecov) perl(Perl::Tidy)
 
 Name:   openQA
-Version:4.6.1584727112.296692355
+Version:4.6.1584957320.c50fd7cfd
 Release:0
 Summary:The openQA web-frontend, scheduler and tools
 License:GPL-2.0-or-later


++ openQA-4.6.1584727112.296692355.obscpio -> 
openQA-4.6.1584957320.c50fd7cfd.obscpio ++
/work/SRC/openSUSE:Factory/openQA/openQA-4.6.1584727112.296692355.obscpio 
/work/SRC/openSUSE:Factory/.openQA.new.3160/openQA-4.6.1584957320.c50fd7cfd.obscpio
 differ: char 50, line 1

++ openQA.obsinfo ++
--- /var/tmp/diff_new_pack.cgqXqg/_old  2020-03-24 22:36:59.437224951 +0100
+++ /var/tmp/diff_new_pack.cgqXqg/_new  2020-03-24 22:36:59.437224951 +0100
@@ -1,5 +1,5 @@
 name: openQA
-version: 4.6.1584727112.296692355
-mtime: 1584727112
-commit: 296692355b51fb9fd82c398bd8cceede40225a04
+version: 4.6.1584957320.c50fd7cfd
+mtime: 1584957320
+commit: c50fd7cfd8e2bc47a2a382fc924f5ca8b0c809d2
 




commit python-pytaglib for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pytaglib for openSUSE:Factory 
checked in at 2020-03-24 22:35:34

Comparing /work/SRC/openSUSE:Factory/python-pytaglib (Old)
 and  /work/SRC/openSUSE:Factory/.python-pytaglib.new.3160 (New)


Package is "python-pytaglib"

Tue Mar 24 22:35:34 2020 rev:6 rq:787685 version:1.4.6

Changes:

--- /work/SRC/openSUSE:Factory/python-pytaglib/python-pytaglib.changes  
2019-10-16 09:15:33.491425373 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-pytaglib.new.3160/python-pytaglib.changes
2020-03-24 22:37:15.625232818 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 11:44:33 UTC 2020 - pgaj...@suse.com
+
+- version update to 1.4.6
+  - fix #65: use tox for testing. Request re-cythonizing module with 
environment variable `PYTAGLIB_CYTHONIZE` instead of argument to `setup.py` now.
+  - fix #63: python2 tests did not pass
+  - fix #62: pyprinttags module did not work
+- deleted patches
+  - python-pytaglib-python2-localpath.patch (upstreamed)
+
+---

Old:

  python-pytaglib-python2-localpath.patch
  v1.4.5.tar.gz

New:

  v1.4.6.tar.gz



Other differences:
--
++ python-pytaglib.spec ++
--- /var/tmp/diff_new_pack.vbQ0on/_old  2020-03-24 22:37:16.629233306 +0100
+++ /var/tmp/diff_new_pack.vbQ0on/_new  2020-03-24 22:37:16.633233308 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pytaglib
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,15 +18,12 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pytaglib
-Version:1.4.5
+Version:1.4.6
 Release:0
 Summary:Metadata "tagging" library based on TagLib
 License:GPL-3.0-only OR MIT
 URL:https://github.com/supermihi/pytaglib
 Source: 
https://github.com/supermihi/pytaglib/archive/v%{version}.tar.gz
-# https://github.com/supermihi/pytaglib/issues/63
-# fix  'LocalPath'object has no attribute 'endswith' for python2
-Patch0: python-pytaglib-python2-localpath.patch
 BuildRequires:  %{python_module Cython}
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module pytest-runner}
@@ -35,6 +32,7 @@
 BuildRequires:  gcc-c++
 BuildRequires:  libtag-devel
 BuildRequires:  python-rpm-macros
+Requires:   python-setuptools
 %python_subpackages
 
 %description
@@ -43,32 +41,37 @@
 
 %prep
 %setup -q -n "pytaglib-%{version}"
-%patch0 -p1
 # Remove pre-generated source
 rm -vf src/taglib.cpp
 sed -i -e "1d" src/pyprinttags.py
 
 %build
-%python_build "--cython"
+sed -i "s:\(script_name =\).*:\1 'pyprinttags':" setup.py
+export PYTAGLIB_CYTHONIZE=1
+%python_build
 
 %install
 %python_install
-mv %{buildroot}%{_bindir}/pyprinttags3 %{buildroot}/%{_bindir}/pyprinttags
 %python_expand %fdupes %{buildroot}%{$python_sitearch}
-# https://github.com/supermihi/pytaglib/issues/62
-mkdir -p %{buildroot}%{python3_sitelib}
-install -m 644 src/pyprinttags.py %{buildroot}%{python3_sitelib}
+%python_clone -a %{buildroot}%{_bindir}/pyprinttags
 
 %check
 export LANG=en_US.UTF-8
-%python_exec setup.py test
+%pytest_arch
+
+%post
+%python_install_alternative pyprinttags
+
+%postun
+%python_uninstall_alternative pyprinttags
 
 %files %{python_files}
 %license COPYING
 %doc README.md
-%python3_only %{_bindir}/pyprinttags
-%python3_only %{python3_sitelib}/pyprinttags.py
 %{python_sitearch}/taglib*.so
+%{python_sitearch}/pyprinttags.*
 %{python_sitearch}/pytaglib-%{version}-py%{python_version}.egg-info/
+%pycache_only %{python_sitearch}/__pycache__/pyprinttags.*
+%python_alternative %{_bindir}/pyprinttags
 
 %changelog

++ v1.4.5.tar.gz -> v1.4.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pytaglib-1.4.5/.circleci/config.yml 
new/pytaglib-1.4.6/.circleci/config.yml
--- old/pytaglib-1.4.5/.circleci/config.yml 2019-03-26 21:49:35.0 
+0100
+++ new/pytaglib-1.4.6/.circleci/config.yml 2020-02-26 19:51:52.0 
+0100
@@ -1,8 +1,14 @@
 version: 2
+workflows:
+  version: 2
+  test:
+jobs:
+  - tox
+
 jobs:
-  build:
+  tox:
 docker:
-  - image: python:3.7-stretch
+  - image: python:3.8-buster
 
 working_directory: ~/repo
 
@@ -10,32 +16,20 @@
   - checkout
   - restore_cache:
   keys:
-- v1-dependencies-{{ checksum "requirements.txt" }}
-# fallback to using the latest cache if no exact match is found
-- v1-dependencies-
-
+- 

commit fontawesome-fonts for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package fontawesome-fonts for 
openSUSE:Factory checked in at 2020-03-24 22:35:30

Comparing /work/SRC/openSUSE:Factory/fontawesome-fonts (Old)
 and  /work/SRC/openSUSE:Factory/.fontawesome-fonts.new.3160 (New)


Package is "fontawesome-fonts"

Tue Mar 24 22:35:30 2020 rev:8 rq:787672 version:5.13.0

Changes:

--- /work/SRC/openSUSE:Factory/fontawesome-fonts/fontawesome-fonts.changes  
2020-03-11 18:50:48.911553320 +0100
+++ 
/work/SRC/openSUSE:Factory/.fontawesome-fonts.new.3160/fontawesome-fonts.changes
2020-03-24 22:37:10.573230363 +0100
@@ -1,0 +2,15 @@
+Tue Mar 24 07:06:20 UTC 2020 - Martin Pluskal 
+
+- Update to version 5.13.0:
+  * Added new icons related to COVID-19.
+  * Fixed font family name to be 'Font Awesome 5 Free' for free
+kits when using pseudo-elements.
+  * Added the ability to specify mask ID and title ID for SVG with
+JS which allows snapshot testing tools to get a predictable
+result when executing tests.
+  * Corrected version 4 font face shim src attribute declaration
+that was warning of incorrect font file format.
+  * Explicitly set font-display to block which supresses warnings
+of font-display in tools like Lighthouse.
+
+---

Old:

  fontawesome-free-5.12.1-desktop.zip
  fontawesome-free-5.12.1-web.zip

New:

  fontawesome-free-5.13.0-desktop.zip
  fontawesome-free-5.13.0-web.zip



Other differences:
--
++ fontawesome-fonts.spec ++
--- /var/tmp/diff_new_pack.fB2n7T/_old  2020-03-24 22:37:15.333232676 +0100
+++ /var/tmp/diff_new_pack.fB2n7T/_new  2020-03-24 22:37:15.337232678 +0100
@@ -17,17 +17,17 @@
 
 
 Name:   fontawesome-fonts
-Version:5.12.1
+Version:5.13.0
 Release:0
 Summary:Iconic font set
 License:OFL-1.1
 Group:  System/X11/Fonts
 URL:http://fontawesome.io/
-Source0:
https://github.com/FortAwesome/Font-Awesome/releases/download/5.12.1/fontawesome-free-%{version}-desktop.zip
-Source1:LICENSE.txt
+Source0:
https://github.com/FortAwesome/Font-Awesome/releases/download/%{version}/fontawesome-free-%{version}-desktop.zip
+Source1:
https://github.com/FortAwesome/Font-Awesome/releases/download/%{version}/fontawesome-free-%{version}-web.zip
+Source2:LICENSE.txt
 BuildRequires:  fontpackages-devel
 BuildRequires:  unzip
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 %reconfigure_fonts_prereq
 
@@ -42,15 +42,14 @@
 Summary:Web files for font-awesome
 License:MIT
 Group:  System/X11/Fonts
-Source2:
https://github.com/FortAwesome/Font-Awesome/releases/download/5.12.1/fontawesome-free-%{version}-web.zip
 
 %description web
 Web files (css, less, scss, etc) for font-awesome.
 
 %prep
-%setup -c -q -n %{name}-%{version}
-%setup -T -D -a 2
-cp -p %{SOURCE1} .
+%setup -q -c
+%setup -q -T -D -a 1
+cp -p %{SOURCE2} .
 
 %build
 
@@ -66,7 +65,7 @@
 
 %files
 %defattr(-, root,root)
-%doc LICENSE.txt
+%license LICENSE.txt
 %dir %{_ttfontsdir}/
 %{_ttfontsdir}/*
 




commit python-pynetbox for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pynetbox for openSUSE:Factory 
checked in at 2020-03-24 22:34:27

Comparing /work/SRC/openSUSE:Factory/python-pynetbox (Old)
 and  /work/SRC/openSUSE:Factory/.python-pynetbox.new.3160 (New)


Package is "python-pynetbox"

Tue Mar 24 22:34:27 2020 rev:11 rq:787519 version:4.3.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pynetbox/python-pynetbox.changes  
2020-02-11 22:25:44.599578682 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-pynetbox.new.3160/python-pynetbox.changes
2020-03-24 22:34:31.513153061 +0100
@@ -1,0 +2,6 @@
+Mon Mar 23 14:49:20 UTC 2020 - pgaj...@suse.com
+
+- version update to 4.3.0
+  * Adds the ability to thread calls to NetBox from .filter() and .all() 
methods. (PR #216)
+
+---

Old:

  pynetbox-4.2.5.tar.gz

New:

  pynetbox-4.3.0.tar.gz



Other differences:
--
++ python-pynetbox.spec ++
--- /var/tmp/diff_new_pack.MRlyd1/_old  2020-03-24 22:34:32.089153341 +0100
+++ /var/tmp/diff_new_pack.MRlyd1/_new  2020-03-24 22:34:32.093153343 +0100
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pynetbox
-Version:4.2.5
+Version:4.3.0
 Release:0
 Summary:NetBox API client library
 License:Apache-2.0
@@ -35,7 +35,7 @@
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 Requires:   python-netaddr
-Requires:   python-requests
+Requires:   python-requests >= 2.20.0
 BuildArch:  noarch
 %python_subpackages
 

++ pynetbox-4.2.5.tar.gz -> pynetbox-4.3.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pynetbox-4.2.5/PKG-INFO new/pynetbox-4.3.0/PKG-INFO
--- old/pynetbox-4.2.5/PKG-INFO 2020-02-11 04:34:29.0 +0100
+++ new/pynetbox-4.3.0/PKG-INFO 2020-03-16 22:20:52.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: pynetbox
-Version: 4.2.5
+Version: 4.3.0
 Summary: NetBox API client library
 Home-page: https://github.com/digitalocean/pynetbox
 Author: Zach Moody
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pynetbox-4.2.5/README.md new/pynetbox-4.3.0/README.md
--- old/pynetbox-4.2.5/README.md2020-02-11 04:34:14.0 +0100
+++ new/pynetbox-4.3.0/README.md2020-03-16 22:20:37.0 +0100
@@ -38,3 +38,13 @@
 [test1-leaf1, test1-leaf2]
 ```
 
+### Threading
+
+pynetbox supports multithreaded calls (in Python 3 only) for `.filter()` and 
`.all()` queries. It is **highly recommended** you have `MAX_PAGE_SIZE` in your 
Netbox install set to anything *except* `0` or `None`. The default value of 
`1000` is usually a good value to use. To enable threading, add 
`threading=True` parameter to the `.api`:
+
+```python
+nb = pynetbox.api(
+'http://localhost:8000',
+threading=True,
+)
+```
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pynetbox-4.2.5/pynetbox/api.py 
new/pynetbox-4.3.0/pynetbox/api.py
--- old/pynetbox-4.2.5/pynetbox/api.py  2020-02-11 04:34:14.0 +0100
+++ new/pynetbox-4.3.0/pynetbox/api.py  2020-03-16 22:20:37.0 +0100
@@ -13,6 +13,8 @@
 See the License for the specific language governing permissions and
 limitations under the License.
 """
+import sys
+
 import requests
 
 from pynetbox.core.endpoint import Endpoint
@@ -152,6 +154,7 @@
 private_key=None,
 private_key_file=None,
 ssl_verify=True,
+threading=False,
 ):
 if private_key and private_key_file:
 raise ValueError(
@@ -165,6 +168,10 @@
 self.ssl_verify = ssl_verify
 self.session_key = None
 self.http_session = requests.Session()
+if threading and sys.version_info.major == 2:
+raise NotImplementedError("Threaded pynetbox calls not supported \
+in Python 2")
+self.threading = threading
 
 if self.private_key_file:
 with open(self.private_key_file, "r") as kf:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pynetbox-4.2.5/pynetbox/core/endpoint.py 
new/pynetbox-4.3.0/pynetbox/core/endpoint.py
--- old/pynetbox-4.2.5/pynetbox/core/endpoint.py2020-02-11 
04:34:14.0 +0100
+++ new/pynetbox-4.3.0/pynetbox/core/endpoint.py2020-03-16 
22:20:37.0 +0100
@@ -96,6 +96,7 @@
 session_key=self.session_key,
 ssl_verify=self.ssl_verify,
 http_session=self.api.http_session,
+threading=self.api.threading,
 )
 
 return 

commit python-onnx for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-onnx for openSUSE:Factory 
checked in at 2020-03-24 22:34:57

Comparing /work/SRC/openSUSE:Factory/python-onnx (Old)
 and  /work/SRC/openSUSE:Factory/.python-onnx.new.3160 (New)


Package is "python-onnx"

Tue Mar 24 22:34:57 2020 rev:5 rq:787522 version:1.6.0

Changes:

--- /work/SRC/openSUSE:Factory/python-onnx/python-onnx.changes  2020-03-16 
10:20:57.971651458 +0100
+++ /work/SRC/openSUSE:Factory/.python-onnx.new.3160/python-onnx.changes
2020-03-24 22:34:58.333166095 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 15:08:10 UTC 2020 - Tomáš Chvátal 
+
+- Do also provide/obsolete for the devel to support migration
+
+---
+Wed Mar 18 09:45:36 UTC 2020 - Christian Goll 
+
+- provide also python-onnx-devel for backcompat 
+
+---
@@ -5,0 +16,6 @@
+
+---
+Wed Mar  4 09:44:15 UTC 2020 - Christian Goll 
+
+- created just one package, as other packages require the 
+  source file within the package



Other differences:
--
++ python-onnx.spec ++
--- /var/tmp/diff_new_pack.Z8LBrZ/_old  2020-03-24 22:34:58.993166416 +0100
+++ /var/tmp/diff_new_pack.Z8LBrZ/_new  2020-03-24 22:34:59.005166422 +0100
@@ -45,17 +45,15 @@
 Requires:   python-protobuf
 Requires:   python-six
 Requires:   python-typing_extensions >= 3.6.2.1
+Provides:   python-onnx-devel = %{version}-%{release}
+Obsoletes:  python-onnx-devel < %{version}-%{release}
 %python_subpackages
 
 %description
-Open format to represent deep learning models. With ONNX, AI developers can 
more easily move models between state-of-the-art tools and choose the 
combination that is best for them. ONNX is developed and supported by a 
community of partners.
-
-%package devel
-Summary:C/C++ - header files which are used for development
-Requires:   %{name} = %{version}
-
-%description devel
-The headers and other files needed for the development.
+Open format to represent deep learning models. With ONNX, AI developers can
+more easily move models between state-of-the-art tools and choose the
+combination that is best for them. ONNX is developed and supported by a
+community of partners.
 
 %prep
 %setup -q -n onnx-%{version}
@@ -108,18 +106,6 @@
 %python3_only %{_bindir}/check-model
 %python3_only %{_bindir}/check-node
 %python3_only %{_bindir}/backend-test-tools
-%{python_sitearch}/*
-%exclude %{python_sitearch}/onnx/*.[hc]
-%exclude %{python_sitearch}/onnx/common
-%exclude %{python_sitearch}/onnx/optimizer
-%exclude %{python_sitearch}/onnx/version_converter
-%exclude %{python_sitearch}/onnx/shape_inference
-
-%files %{python_files devel}
-%{python_sitearch}/onnx/*.[hc]
-%{python_sitearch}/onnx/common
-%{python_sitearch}/onnx/optimizer
-%{python_sitearch}/onnx/version_converter
-%{python_sitearch}/onnx/shape_inference
+%{python_sitearch}/onnx*
 
 %changelog




commit rubygem-mustermann for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package rubygem-mustermann for 
openSUSE:Factory checked in at 2020-03-24 22:34:42

Comparing /work/SRC/openSUSE:Factory/rubygem-mustermann (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-mustermann.new.3160 (New)


Package is "rubygem-mustermann"

Tue Mar 24 22:34:42 2020 rev:5 rq:787517 version:1.1.1

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-mustermann/rubygem-mustermann.changes
2018-10-17 08:42:35.209795437 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-mustermann.new.3160/rubygem-mustermann.changes
  2020-03-24 22:34:45.977160091 +0100
@@ -1,0 +2,6 @@
+Mon Feb 10 15:13:38 UTC 2020 - Stephan Kulow 
+
+- updated to version 1.1.1
+  no changelog found
+
+---

Old:

  mustermann-1.0.3.gem

New:

  mustermann-1.1.1.gem



Other differences:
--
++ rubygem-mustermann.spec ++
--- /var/tmp/diff_new_pack.FQihAm/_old  2020-03-24 22:34:46.693160439 +0100
+++ /var/tmp/diff_new_pack.FQihAm/_new  2020-03-24 22:34:46.697160441 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-mustermann
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-mustermann
-Version:1.0.3
+Version:1.1.1
 Release:0
 %define mod_name mustermann
 %define mod_full_name %{mod_name}-%{version}
@@ -32,7 +32,7 @@
 BuildRequires:  %{ruby >= 2.2.0}
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  ruby-macros >= 5
-Url:https://github.com/sinatra/mustermann
+URL:https://github.com/sinatra/mustermann
 Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:Your personal string matching expert

++ mustermann-1.0.3.gem -> mustermann-1.1.1.gem ++
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/mustermann/ast/compiler.rb 
new/lib/mustermann/ast/compiler.rb
--- old/lib/mustermann/ast/compiler.rb  2018-08-16 18:41:42.0 +0200
+++ new/lib/mustermann/ast/compiler.rb  2020-01-03 16:27:30.0 +0100
@@ -40,7 +40,7 @@
 
 # @!visibility private
 def translate(**options)
-  return pattern(options) if options[:no_captures]
+  return pattern(**options) if options[:no_captures]
   "(?<#{name}>#{translate(no_captures: true, **options)})"
 end
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/mustermann/ast/expander.rb 
new/lib/mustermann/ast/expander.rb
--- old/lib/mustermann/ast/expander.rb  2018-08-16 18:41:42.0 +0200
+++ new/lib/mustermann/ast/expander.rb  2020-01-03 16:27:30.0 +0100
@@ -1,6 +1,7 @@
 # frozen_string_literal: true
 require 'mustermann/ast/translator'
 require 'mustermann/ast/compiler'
+require 'ruby2_keywords'
 
 module Mustermann
   module AST
@@ -92,11 +93,11 @@
   # @see Mustermann::Pattern#expand
   # @!visibility private
   def expand(values)
-values = values.each_with_object({}){ |(key, value), new_hash|
+adjusted = values.each_with_object({}){ |(key, value), new_hash|
   new_hash[value.instance_of?(Array) ? [key] * value.length : key] = 
value }
-keys, pattern, filters = mappings.fetch(values.keys.flatten.sort) { 
error_for(values) }
-filters.each { |key, filter| values[key] &&= escape(values[key], 
also_escape: filter) }
-pattern % (values[keys] || values.values_at(*keys))
+keys, pattern, filters = mappings.fetch(adjusted.keys.flatten.sort) { 
error_for(values) }
+filters.each { |key, filter| adjusted[key] &&= escape(adjusted[key], 
also_escape: filter) }
+pattern % (adjusted[keys] || adjusted.values_at(*keys))
   end
 
   # @see Mustermann::Pattern#expandable?
@@ -122,7 +123,7 @@
 
   # @see Mustermann::AST::Translator#expand
   # @!visibility private
-  def escape(string, *args)
+  ruby2_keywords def escape(string, *args)
 # URI::Parser is pretty slow, let's not send every string to it, even 
if it's unnecessary
 string =~ /\A\w*\Z/ ? string : super
   end
@@ -137,7 

commit shairport-sync for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package shairport-sync for openSUSE:Factory 
checked in at 2020-03-24 22:34:23

Comparing /work/SRC/openSUSE:Factory/shairport-sync (Old)
 and  /work/SRC/openSUSE:Factory/.shairport-sync.new.3160 (New)


Package is "shairport-sync"

Tue Mar 24 22:34:23 2020 rev:8 rq:787485 version:3.3.6

Changes:

--- /work/SRC/openSUSE:Factory/shairport-sync/shairport-sync.changes
2020-01-19 20:58:19.292078110 +0100
+++ /work/SRC/openSUSE:Factory/.shairport-sync.new.3160/shairport-sync.changes  
2020-03-24 22:34:25.905150336 +0100
@@ -1,0 +2,9 @@
+Mon Mar 23 13:21:55 UTC 2020 - Hillwood Yang 
+
+- Update version to 3.3.6
+  * Resampling has been added for the Jack Audio backend. This can be 
+used to up-sample to 192kHz.
+  * Fix bugs. Please refer to 
+
https://github.com/mikebrady/shairport-sync/blob/master/RELEASENOTES.md#version-336
+
+---

Old:

  shairport-sync-3.3.5.tar.gz

New:

  shairport-sync-3.3.6.tar.gz



Other differences:
--
++ shairport-sync.spec ++
--- /var/tmp/diff_new_pack.RWTBA2/_old  2020-03-24 22:34:26.521150635 +0100
+++ /var/tmp/diff_new_pack.RWTBA2/_new  2020-03-24 22:34:26.521150635 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   shairport-sync
-Version:3.3.5
+Version:3.3.6
 Release:0
 Summary:An AirPlay audio player
 License:GPL-3.0-only
@@ -78,7 +78,7 @@
--with-metadata \
--with-configfiles \
--with-convolution
-make %{?_smp_mflags}
+%make_build
 
 %install
 %make_install

++ shairport-sync-3.3.5.tar.gz -> shairport-sync-3.3.6.tar.gz ++
 2889 lines of diff (skipped)




commit rubygem-ruby2_keywords for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package rubygem-ruby2_keywords for 
openSUSE:Factory checked in at 2020-03-24 22:34:40

Comparing /work/SRC/openSUSE:Factory/rubygem-ruby2_keywords (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-ruby2_keywords.new.3160 (New)


Package is "rubygem-ruby2_keywords"

Tue Mar 24 22:34:40 2020 rev:1 rq:787516 version:0.0.2

Changes:

New Changes file:

--- /dev/null   2020-03-10 18:28:06.918142398 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-ruby2_keywords.new.3160/rubygem-ruby2_keywords.changes
  2020-03-24 22:34:41.893158106 +0100
@@ -0,0 +1,4 @@
+---
+Mon Mar 23 14:56:57 UTC 2020 - Stephan Kulow 
+
+- initial package (version 0.0.2)

New:

  gem2rpm.yml
  ruby2_keywords-0.0.2.gem
  rubygem-ruby2_keywords.changes
  rubygem-ruby2_keywords.spec



Other differences:
--
++ rubygem-ruby2_keywords.spec ++
#
# spec file for package rubygem-ruby2_keywords
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:   rubygem-ruby2_keywords
Version:0.0.2
Release:0
%define mod_name ruby2_keywords
%define mod_full_name %{mod_name}-%{version}
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:https://github.com/ruby/ruby2_keywords
Source: https://rubygems.org/gems/%{mod_full_name}.gem
Source1:gem2rpm.yml
Summary:Shim library for Module#ruby2_keywords
License:Ruby
Group:  Development/Languages/Ruby

%description
Shim library for Module#ruby2_keywords.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
++ gem2rpm.yml ++
# ---
# ## used by gem2rpm
# :summary: this is a custom summary
# ## used by gem2rpm
# :description: |-
#   this is a custom description
#
#   it can be multiline
# ## used by gem2rpm
# :license: MIT or Ruby
# ## used by gem2rpm and gem_packages
# :version_suffix: -x_y
# ## used by gem2rpm and gem_packages
# :disable_docs: true
# ## used by gem2rpm
# :disable_automatic_rdoc_dep: true
# ## used by gem2rpm
# :preamble: |-
#   BuildRequires: foobar
#   Requires: foobar
# ## used by gem2rpm
# :patches:
#   foo.patch: -p1
#   bar.patch:
# :post_patch:
#   if you need to fiddle with the source dir before rebuilding the gem
# ## used by gem2rpm
:sources:
# - foo.desktop
# - bar.desktop
# :gem_install_args: ''
# ## used by gem2rpm
# :pre_install: |-
#   %if 0%{?use_system_libev}
#   export USE_VENDORED_LIBEV="no"
#   %endif
# ## used by gem2rpm
# :post_install: |-
#   # delete custom files here or do other fancy stuff
#   install -D -m 0644 %{S:1} %{buildroot}%{_bindir}/gem2rpm-opensuse
# ## used by gem2rpm
# :testsuite_command: |-
#   (pushd %{buildroot}%{gem_base}/gems/%{mod_full_name} && rake test)
# ## used by gem2rpm
# :filelist: |-
#   /usr/bin/gem2rpm-opensuse
# ## used by gem2rpm
# :scripts:
#   :post: |-
# /bin/echo foo
# ## used by gem_packages
# :main:
#   :preamble: |-
# Requires: util-linux
# Recommends: pwgen
#   :filelist: |-
# /usr/bin/gem2rpm-opensuse
# ## used by gem_packages
# :custom_pkgs:
#   apache:
# :preamble: |-
#   Requires: .
# :filelist: |-
#   /etc/apache2/conf.d/passenger.conf
# :summary: Custom summary is optional
# :description: |-
#   Custom description is optional
#
#   bar
# :post: |-
#   /bin/echo foo
# :preamble: |-
# %if 0%{?suse_version} && 0%{?suse_version} < 1330
# %define rb_build_versions ruby24 ruby25
# %define rb_default_ruby_abi ruby:2.4.0 ruby:2.5.0
# %endif



commit rubygem-rest-client for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package rubygem-rest-client for 
openSUSE:Factory checked in at 2020-03-24 22:34:35

Comparing /work/SRC/openSUSE:Factory/rubygem-rest-client (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rest-client.new.3160 (New)


Package is "rubygem-rest-client"

Tue Mar 24 22:34:35 2020 rev:11 rq:787515 version:2.1.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-rest-client/rubygem-rest-client.changes  
2017-06-08 15:01:08.638766206 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-rest-client.new.3160/rubygem-rest-client.changes
2020-03-24 22:34:38.393156404 +0100
@@ -1,0 +2,43 @@
+Mon Feb 10 15:36:04 UTC 2020 - Stephan Kulow 
+
+- updated to version 2.1.0
+ see installed history.md
+
+  # 2.1.0
+  
+  - Add a dependency on http-accept for parsing Content-Type charset headers.
+This works around a bad memory leak introduced in MRI Ruby 2.4.0 and fixed 
in
+Ruby 2.4.2. (#615)
+  - Use mime/types/columnar from mime-types 2.6.1+, which is leaner in memory
+usage than the older storage model of mime-types. (#393)
+  - Add `:log` option to individual requests. This allows users to set a log 
on a
+per-request / per-resource basis instead of the kludgy global log. (#538)
+  - Log request duration by tracking request start and end times. Make
+`log_response` a method on the Response object, and ensure the `size` 
method
+works on RawResponse objects. (#126)
+- `# => 200 OK | text/html 1270 bytes, 0.08s`
+- Also add a new `:stream_log_percent` parameter, which is applicable only
+  when `:raw_response => true` is set. This causes progress logs to be
+  emitted only on every N% (default 10%) of the total download size rather
+  than on every chunk.
+  - Drop custom handling of compression and use built-in Net::HTTP support for
+supported Content-Encodings like gzip and deflate. Don't set any explicit
+`Accept-Encoding` header, rely instead on Net::HTTP defaults. (#597)
+- Note: this changes behavior for compressed responses when using
+  `:raw_response => true`. Previously the raw response would not have been
+  uncompressed by rest-client, but now Net::HTTP will uncompress it.
+  - The previous fix to avoid having Netrc username/password override an
+Authorization header was case-sensitive and incomplete. Fix this by
+respecting existing Authorization headers, regardless of letter case. 
(#550)
+  - Handle ParamsArray payloads. Previously, rest-client would silently drop a
+ParamsArray passed as the payload. Instead, automatically use
+Payload::Multipart if the ParamsArray contains a file handle, or use
+Payload::UrlEncoded if it doesn't. (#508)
+  - Gracefully handle Payload objects (Payload::Base or subclasses) that are
+passed as a payload argument. Previously, `Payload.generate` would wrap a
+Payload object in Payload::Streamed, creating a pointlessly nested payload.
+Also add a `closed?` method to Payload objects, and don't error in
+`short_inspect` if `size` returns nil. (#603)
+  - Test with an image in the public domain to avoid licensing complexity. 
(#607)
+
+---

Old:

  rest-client-2.0.2.gem

New:

  rest-client-2.1.0.gem



Other differences:
--
++ rubygem-rest-client.spec ++
--- /var/tmp/diff_new_pack.4r88cJ/_old  2020-03-24 22:34:40.105157237 +0100
+++ /var/tmp/diff_new_pack.4r88cJ/_new  2020-03-24 22:34:40.109157239 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-rest-client
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-rest-client
-Version:2.0.2
+Version:2.1.0
 Release:0
 %define mod_name rest-client
 %define mod_full_name %{mod_name}-%{version}
@@ -33,8 +33,8 @@
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  ruby-macros >= 5
 BuildRequires:  update-alternatives
-Url:https://github.com/rest-client/rest-client
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+URL:https://github.com/rest-client/rest-client
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:Simple HTTP and REST 

commit python-openstacksdk for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-openstacksdk for 
openSUSE:Factory checked in at 2020-03-24 22:33:24

Comparing /work/SRC/openSUSE:Factory/python-openstacksdk (Old)
 and  /work/SRC/openSUSE:Factory/.python-openstacksdk.new.3160 (New)


Package is "python-openstacksdk"

Tue Mar 24 22:33:24 2020 rev:12 rq:787565 version:0.36.2

Changes:

--- /work/SRC/openSUSE:Factory/python-openstacksdk/python-openstacksdk.changes  
2019-12-04 14:19:10.746377391 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-openstacksdk.new.3160/python-openstacksdk.changes
2020-03-24 22:33:31.049123676 +0100
@@ -1,0 +2,27 @@
+Mon Mar 23 17:21:41 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Mon Mar 23 17:21:31 UTC 2020 - cloud-de...@suse.de
+
+- update to version 0.36.2
+  - Fix error handling in network trunks operations
+  - Handle HTTP errors in add/remove router interface calls
+  - Consistent normalization of Machine objects in the cloud layer
+  - Fix error handling on add/remove router iface calls
+  - Include "fields" to "SecurityGroup" query parameters
+  - Use has_service in functional test's require_service
+  - Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
+  - Fix microversion negotiation in some bare metal node call
+  - Keep connection backrefs with weakref.proxy
+  - Update .gitreview for stable/train
+  - Fix server for later microversion
+  - baremetal node: 'error' is a failed state
+
+---
+Sat Mar 14 15:37:35 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---

Old:

  openstacksdk-0.36.0.tar.gz

New:

  openstacksdk-0.36.2.tar.gz



Other differences:
--
++ python-openstacksdk.spec ++
--- /var/tmp/diff_new_pack.d77gC3/_old  2020-03-24 22:33:31.857124068 +0100
+++ /var/tmp/diff_new_pack.d77gC3/_new  2020-03-24 22:33:31.873124077 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-openstacksdk
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,48 +16,19 @@
 #
 
 
+# and cause timeouts due to swapping. Disabling for now
+%define with_tests 0
 Name:   python-openstacksdk
-Version:0.36.0
+Version:0.36.2
 Release:0
 Summary:An SDK for building applications to work with OpenStack
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://launchpad.net/openstacksdk
-Source0:
https://files.pythonhosted.org/packages/source/o/openstacksdk/openstacksdk-0.36.0.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/o/openstacksdk/openstacksdk-0.36.2.tar.gz
 # https://review.opendev.org/692323
 Patch0: 0001-Increase-test-timeout-for-2-tests-in-TestImageProxy-.patch
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-PyYAML >= 3.12
-BuildRequires:  python2-appdirs >= 1.3.0
-BuildRequires:  python2-beautifulsoup4
-BuildRequires:  python2-decorator >= 3.4.0
-BuildRequires:  python2-deprecation
-BuildRequires:  python2-dogpile.cache >= 0.6.2
-BuildRequires:  python2-extras
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-futures >= 3.0.0
-BuildRequires:  python2-ipaddress >= 1.0.17
-BuildRequires:  python2-jmespath >= 0.9.0
-BuildRequires:  python2-jsonpatch >= 1.16
-BuildRequires:  python2-jsonschema
-BuildRequires:  python2-keystoneauth1 >= 3.16.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-munch >= 2.1.0
-BuildRequires:  python2-netifaces >= 0.10.4
-BuildRequires:  python2-os-service-types >= 1.7.0
-BuildRequires:  python2-oslo.config
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-python-subunit
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-requestsexceptions >= 1.2.0
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-statsd
-BuildRequires:  python2-stestr
-BuildRequires:  python2-stevedore
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PyYAML >= 3.12
 BuildRequires:  python3-appdirs >= 1.3.0
 BuildRequires:  python3-beautifulsoup4
@@ -87,31 +58,40 @@
 BuildRequires:  python3-stevedore
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-PyYAML >= 3.12
-Requires:   python-appdirs >= 1.3.0
-Requires:   python-cryptography >= 2.1
-Requires:   python-decorator >= 

commit lucene for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package lucene for openSUSE:Factory checked 
in at 2020-03-24 22:33:40

Comparing /work/SRC/openSUSE:Factory/lucene (Old)
 and  /work/SRC/openSUSE:Factory/.lucene.new.3160 (New)


Package is "lucene"

Tue Mar 24 22:33:40 2020 rev:29 rq:787467 version:7.1.0

Changes:

--- /work/SRC/openSUSE:Factory/lucene/lucene.changes2019-10-21 
12:29:48.852056838 +0200
+++ /work/SRC/openSUSE:Factory/.lucene.new.3160/lucene.changes  2020-03-24 
22:33:43.269129615 +0100
@@ -1,0 +2,7 @@
+Mon Mar 23 11:35:30 UTC 2020 - Fridrich Strba 
+
+- Modified patch:
+  * lucene-osgi-manifests.patch
++ add the OSGi manifest to queryparser module too
+
+---



Other differences:
--
++ lucene.spec ++
--- /var/tmp/diff_new_pack.lwnVtM/_old  2020-03-24 22:33:44.365130148 +0100
+++ /var/tmp/diff_new_pack.lwnVtM/_new  2020-03-24 22:33:44.365130148 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package lucene
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed

++ lucene-osgi-manifests.patch ++
--- /var/tmp/diff_new_pack.lwnVtM/_old  2020-03-24 22:33:44.581130253 +0100
+++ /var/tmp/diff_new_pack.lwnVtM/_new  2020-03-24 22:33:44.581130253 +0100
@@ -1,5 +1,5 @@
 lucene-7.1.0/analysis/common/build.xml 2019-10-11 13:17:41.552060592 
+0200
-+++ lucene-7.1.0/analysis/common/build.xml 2019-10-11 13:18:07.948213493 
+0200
+--- lucene-7.1.0/analysis/common/build.xml 2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/common/build.xml 2020-03-23 10:54:26.609388906 
+0100
 @@ -136,4 +136,24 @@


@@ -25,8 +25,8 @@
 +  
 +
  
 lucene-7.1.0/analysis/icu/build.xml2019-10-11 13:17:41.556060614 
+0200
-+++ lucene-7.1.0/analysis/icu/build.xml2019-10-11 13:34:16.329842090 
+0200
+--- lucene-7.1.0/analysis/icu/build.xml2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/icu/build.xml2020-03-23 10:54:26.713389469 
+0100
 @@ -115,4 +115,22 @@
  

@@ -50,8 +50,8 @@
 +  
 +
  
 lucene-7.1.0/analysis/kuromoji/build.xml   2019-10-11 13:17:41.556060614 
+0200
-+++ lucene-7.1.0/analysis/kuromoji/build.xml   2019-10-11 13:34:08.593797050 
+0200
+--- lucene-7.1.0/analysis/kuromoji/build.xml   2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/kuromoji/build.xml   2020-03-23 10:54:26.717389490 
+0100
 @@ -141,4 +141,22 @@
  

@@ -75,8 +75,8 @@
 +  
 +
  
 lucene-7.1.0/analysis/morfologik/build.xml 2019-10-11 13:17:41.576060731 
+0200
-+++ lucene-7.1.0/analysis/morfologik/build.xml 2019-10-11 13:37:06.726834152 
+0200
+--- lucene-7.1.0/analysis/morfologik/build.xml 2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/morfologik/build.xml 2020-03-23 10:54:26.725389533 
+0100
 @@ -37,4 +37,23 @@

  
@@ -101,8 +101,8 @@
 +  
 +
  
 lucene-7.1.0/analysis/phonetic/build.xml   2019-10-11 13:17:41.576060731 
+0200
-+++ lucene-7.1.0/analysis/phonetic/build.xml   2019-10-11 13:39:55.891819039 
+0200
+--- lucene-7.1.0/analysis/phonetic/build.xml   2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/phonetic/build.xml   2020-03-23 10:54:26.729389555 
+0100
 @@ -32,4 +32,23 @@

  
@@ -127,8 +127,8 @@
 +  
 +
  
 lucene-7.1.0/analysis/smartcn/build.xml2019-10-11 13:17:41.580060753 
+0200
-+++ lucene-7.1.0/analysis/smartcn/build.xml2019-10-11 13:18:07.948213493 
+0200
+--- lucene-7.1.0/analysis/smartcn/build.xml2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/smartcn/build.xml2020-03-23 10:54:26.729389555 
+0100
 @@ -31,4 +31,23 @@

  
@@ -153,8 +153,8 @@
 +  
 +
  
 lucene-7.1.0/analysis/stempel/build.xml2019-10-11 13:17:41.596060847 
+0200
-+++ lucene-7.1.0/analysis/stempel/build.xml2019-10-11 13:18:07.948213493 
+0200
+--- lucene-7.1.0/analysis/stempel/build.xml2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/stempel/build.xml2020-03-23 10:54:26.733389577 
+0100
 @@ -30,5 +30,23 @@
  

@@ -179,8 +179,8 @@
 +

  
 lucene-7.1.0/analysis/uima/build.xml   2019-10-11 13:17:41.600060869 
+0200
-+++ lucene-7.1.0/analysis/uima/build.xml   2019-10-11 14:54:54.677934836 
+0200
+--- lucene-7.1.0/analysis/uima/build.xml   2020-03-23 12:25:15.584631906 
+0100
 lucene-7.1.0/analysis/uima/build.xml   2020-03-23 10:54:26.737389598 
+0100
 @@ -47,4 +47,23 @@

  
@@ -205,8 +205,8 @@
 +  
 +
  
 lucene-7.1.0/backward-codecs/build.xml 2019-10-11 13:17:41.608060915 

commit python-openstackclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-openstackclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:31

Comparing /work/SRC/openSUSE:Factory/python-openstackclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-openstackclient.new.3160 (New)


Package is "python-openstackclient"

Tue Mar 24 22:33:31 2020 rev:20 rq:787716 version:4.0.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-openstackclient/python-openstackclient.changes
2019-12-04 14:18:58.654367198 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-openstackclient.new.3160/python-openstackclient.changes
  2020-03-24 22:33:32.825124539 +0100
@@ -1,0 +2,15 @@
+Tue Mar 24 09:48:59 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Mon Mar 23 14:46:35 UTC 2020 - Dirk Mueller 
+
+- remove nonsensical update-alternatives, which leaves an empty file behind 
+
+---
+Thu Mar 12 08:31:58 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only package
+
+---



Other differences:
--
++ python-openstackclient.spec ++
--- /var/tmp/diff_new_pack.1QZUzK/_old  2020-03-24 22:33:33.953125088 +0100
+++ /var/tmp/diff_new_pack.1QZUzK/_new  2020-03-24 22:33:33.957125090 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-openstackclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,25 +25,6 @@
 URL:https://launchpad.net/python-openstackclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-openstackclient/python-openstackclient-4.0.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-cinderclient >= 3.3.0
-BuildRequires:  python2-cliff >= 2.8.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-glanceclient >= 2.8.0
-BuildRequires:  python2-keystoneclient >= 3.17.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-novaclient >= 15.0.0
-BuildRequires:  python2-openstacksdk >= 0.17.0
-BuildRequires:  python2-os-client-config
-BuildRequires:  python2-osc-lib >= 1.14.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-osprofiler
-BuildRequires:  python2-requests
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-stestr
-BuildRequires:  python2-stevedore
-BuildRequires:  python2-testtools
-BuildRequires:  python2-wrapt
 BuildRequires:  python3-cinderclient >= 3.3.0
 BuildRequires:  python3-cliff >= 2.8.0
 BuildRequires:  python3-devel
@@ -63,55 +44,60 @@
 BuildRequires:  python3-stevedore
 BuildRequires:  python3-testtools
 BuildRequires:  python3-wrapt
-Requires:   python-Babel >= 2.3.4
-Requires:   python-cinderclient >= 3.3.0
-Requires:   python-cliff >= 2.8.0
-Requires:   python-glanceclient >= 2.8.0
-Requires:   python-heatclient
-Requires:   python-keystoneauth1 >= 3.6.2
-Requires:   python-keystoneclient >= 3.17.0
-Requires:   python-novaclient >= 15.0.0
-Requires:   python-openstacksdk >= 0.17.0
-Requires:   python-osc-lib >= 1.14.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+python-openstackclient is a unified command-line client for the OpenStack APIs.
+It is a thin wrapper to the stock python-*client modules that implement the
+actual REST API client actions.
+
+%package -n python3-openstackclient
+Summary:OpenStack Command-line Client
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-cinderclient >= 3.3.0
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-glanceclient >= 2.8.0
+Requires:   python3-heatclient
+Requires:   python3-keystoneauth1 >= 3.6.2
+Requires:   python3-keystoneclient >= 3.17.0
+Requires:   python3-novaclient >= 15.0.0
+Requires:   python3-openstacksdk >= 0.17.0
+Requires:   python3-osc-lib >= 1.14.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-openstackclient < 4.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-openstackclient
 

commit grafana-piechart-panel for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package grafana-piechart-panel for 
openSUSE:Factory checked in at 2020-03-24 22:34:05

Comparing /work/SRC/openSUSE:Factory/grafana-piechart-panel (Old)
 and  /work/SRC/openSUSE:Factory/.grafana-piechart-panel.new.3160 (New)


Package is "grafana-piechart-panel"

Tue Mar 24 22:34:05 2020 rev:2 rq:787469 version:1.4.0

Changes:

--- 
/work/SRC/openSUSE:Factory/grafana-piechart-panel/grafana-piechart-panel.changes
2020-01-09 22:52:39.462771231 +0100
+++ 
/work/SRC/openSUSE:Factory/.grafana-piechart-panel.new.3160/grafana-piechart-panel.changes
  2020-03-24 22:34:10.409142805 +0100
@@ -1,0 +2,8 @@
+Fri Mar 20 14:18:24 UTC 2020 - Sumit Jamgade 
+
+- Update to v1.4.0
+- Use files from the dist folders
+  this is precomiled version to javscript from upstream
+- Include README in the dist folder to show up on grafana UI
+
+---

Old:

  piechart-panel-1.3.9.tar.xz

New:

  piechart-panel-1.4.0.tar.xz



Other differences:
--
++ grafana-piechart-panel.spec ++
--- /var/tmp/diff_new_pack.YqD1iG/_old  2020-03-24 22:34:10.901143044 +0100
+++ /var/tmp/diff_new_pack.YqD1iG/_new  2020-03-24 22:34:10.901143044 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package grafana-piechart-panel
 #
-# Copyright (c) 2019 SUSE LLC, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   grafana-piechart-panel
-Version:1.3.9
+Version:1.4.0
 Release:0
 Summary:Grafana Piechart panel
 License:MIT
@@ -42,22 +42,21 @@
 %install
 %define grafana_plugin_dir %{_localstatedir}/lib/grafana/plugins
 %define plugin_subdir grafana-piechart-panel
-install -Dd -m0755 %{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src/img
-install -Dd -m0755 %{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src/lib
-install -Dd -m0755 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src/styles
-install -D -m0644 package.json 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/
-install -D -m0644 yarn.lock %{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/
-install -D -m0644 tsconfig.json 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/
-install -D -m0644 src/editor.html 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/legend.ts 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/module.html 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/module.ts 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/plugin.json 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/piechart_ctrl.ts 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/rendering.ts 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src
-install -D -m0644 src/img/*.png 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src/img
-install -D -m0644 src/lib/*.js 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src/lib
-install -D -m0644 src/styles/*.scss 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/src/styles
+%define destination %{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/dist
+
+install -Dd -m0755 %{destination}/img/
+install -Dd -m0755 %{destination}/styles/
+install -D -m0644 dist/img/*.png %{destination}/img/
+install -D -m0644 dist/styles/*.css %{destination}/styles/
+install -D -m0644 dist/dark.js %{destination}/
+install -D -m0644 dist/light.js %{destination}/
+install -D -m0644 dist/editor.html %{destination}/
+install -D -m0644 dist/module.html %{destination}/
+install -D -m0644 dist/module.js %{destination}/
+install -D -m0644 dist/plugin.json %{destination}/
+
+install -D -m0644 README.md 
%{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/dist
+install -D -m0644 LICENSE %{buildroot}%{grafana_plugin_dir}/%{plugin_subdir}/
 
 %files
 %attr(0755,grafana,grafana) %dir %{_localstatedir}/lib/grafana
@@ -66,22 +65,18 @@
 %doc README.md
 %license LICENSE
 %dir %{grafana_plugin_dir}/%{plugin_subdir}
-%dir %{grafana_plugin_dir}/%{plugin_subdir}/src
-%dir %{grafana_plugin_dir}/%{plugin_subdir}/src/img
-%dir %{grafana_plugin_dir}/%{plugin_subdir}/src/lib
-%dir %{grafana_plugin_dir}/%{plugin_subdir}/src/styles
-%{grafana_plugin_dir}/%{plugin_subdir}/package.json
-%{grafana_plugin_dir}/%{plugin_subdir}/yarn.lock
-%{grafana_plugin_dir}/%{plugin_subdir}/tsconfig.json
-%{grafana_plugin_dir}/%{plugin_subdir}/src/editor.html
-%{grafana_plugin_dir}/%{plugin_subdir}/src/module.html

commit raspberrypi-firmware for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package raspberrypi-firmware for 
openSUSE:Factory checked in at 2020-03-24 22:33:59

Comparing /work/SRC/openSUSE:Factory/raspberrypi-firmware (Old)
 and  /work/SRC/openSUSE:Factory/.raspberrypi-firmware.new.3160 (New)


Package is "raspberrypi-firmware"

Tue Mar 24 22:33:59 2020 rev:62 rq:787457 version:2020.02.20

Changes:

--- 
/work/SRC/openSUSE:Factory/raspberrypi-firmware/raspberrypi-firmware-config.changes
 2020-03-12 23:12:25.459326720 +0100
+++ 
/work/SRC/openSUSE:Factory/.raspberrypi-firmware.new.3160/raspberrypi-firmware-config.changes
   2020-03-24 22:34:04.873140114 +0100
@@ -1,0 +2,6 @@
+Fri Mar 20 14:52:11 UTC 2020 - Nicolas Patricio Saenz Julienne 

+
+- Add rpi4-firmware-dma-ranges overaly which fixes touch input on the official
+  7" display (bsc#1167147)
+
+---
raspberrypi-firmware.changes: same change



Other differences:
--
raspberrypi-firmware.spec: same change
++ config.txt ++
--- /var/tmp/diff_new_pack.e6qDiu/_old  2020-03-24 22:34:05.965140645 +0100
+++ /var/tmp/diff_new_pack.e6qDiu/_new  2020-03-24 22:34:05.965140645 +0100
@@ -63,6 +63,7 @@
 dtoverlay=rpi4-cma
 dtoverlay=rpi4-thermal
 dtoverlay=rpi4-gpio-names
+dtoverlay=rpi4-firmware-dma-ranges
 
 [all]
 




commit gmmlib for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package gmmlib for openSUSE:Factory checked 
in at 2020-03-24 22:34:21

Comparing /work/SRC/openSUSE:Factory/gmmlib (Old)
 and  /work/SRC/openSUSE:Factory/.gmmlib.new.3160 (New)


Package is "gmmlib"

Tue Mar 24 22:34:21 2020 rev:7 rq:787479 version:19.4.1

Changes:

--- /work/SRC/openSUSE:Factory/gmmlib/gmmlib.changes2019-11-08 
15:28:54.143204042 +0100
+++ /work/SRC/openSUSE:Factory/.gmmlib.new.3160/gmmlib.changes  2020-03-24 
22:34:22.365148615 +0100
@@ -1,0 +2,6 @@
+Mon Mar 23 11:08:00 UTC 2020 - Martin Pluskal 
+
+- Update to version 19.4.1:
+  * No upstream changelog available
+
+---
@@ -40 +45,0 @@
-

Old:

  intel-gmmlib-19.3.3.tar.gz

New:

  intel-gmmlib-19.4.1.tar.gz



Other differences:
--
++ gmmlib.spec ++
--- /var/tmp/diff_new_pack.CQyrmL/_old  2020-03-24 22:34:24.565149685 +0100
+++ /var/tmp/diff_new_pack.CQyrmL/_new  2020-03-24 22:34:24.565149685 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package gmmlib
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,75 +15,67 @@
 # Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
-
-%define so_ver 11
-
+%global somajor 11
+%global libname libigdgmm%{somajor}
 Name:   gmmlib
-Version:19.3.3
+Version:19.4.1
 Release:0
-Summary:Intel Graphics Memory Management Library
+Summary:Intel(R) Graphics Memory Management Library Package
 License:MIT
-Group:  System/Libraries
+Group:  Development/Libraries/C and C++
 URL:https://github.com/intel/gmmlib
-Source: 
https://github.com/intel/gmmlib/archive/intel-gmmlib-%{version}.tar.gz
+Source0:
https://github.com/intel/gmmlib/archive/intel-gmmlib-%{version}.tar.gz
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
 BuildRequires:  pkgconfig
 ExclusiveArch:  x86_64
 
 %description
-The Intel Graphics Memory Management Library provides device specific and
-buffer management for the Intel Graphics Compute Runtime for OpenCL and
-the Intel Media Driver for VAAPI.
-
-%package -n libigdgmm%{so_ver}
-Summary:Intel Graphics Memory Management Library
-Group:  System/Libraries
-
-%description -n libigdgmm%{so_ver}
-The Intel Graphics Memory Management Library provides device specific and
-buffer management for the Intel Graphics Compute Runtime for OpenCL and
-the Intel Media Driver for VAAPI.
+The Intel(R) Graphics Memory Management Library provides device specific
+and buffer management for the Intel(R) Graphics Compute Runtime for
+OpenCL(TM) and the Intel(R) Media Driver for VAAPI.
+
+%package -n %{libname}
+Summary:Intel(R) Graphics Memory Management Library development package
+
+%description -n %{libname}
+The Intel(R) Graphics Memory Management Library provides device specific
+and buffer management for the Intel(R) Graphics Compute Runtime for
+OpenCL(TM) and the Intel(R) Media Driver for VAAPI.
+
+This package contains shared library.
+
+%packagedevel
+Summary:Intel(R) Graphics Memory Management Library development package
+Requires:   %{libname} = %{version}
+Provides:   libigdgmm-devel = %{version}
+Obsoletes:  libigdgmm-devel < %{version}
+
+%description   devel
+The Intel(R) Graphics Memory Management Library provides device specific
+and buffer management for the Intel(R) Graphics Compute Runtime for
+OpenCL(TM) and the Intel(R) Media Driver for VAAPI.
 
-%package -n libigdgmm-devel
-Summary:Development files for Intel Graphics Memory Management Library
-Group:  Development/Libraries/C and C++
-Requires:   libigdgmm%{so_ver} = %{version}
-Provides:   gmmlib-devel
-
-%description -n libigdgmm-devel
-The Intel Graphics Memory Management Library provides device specific and
-buffer management for the Intel Graphics Compute Runtime for OpenCL and
-the Intel Media Driver for VAAPI.
-
-This package contains the development headers for the library found in
-libigdgmm%{so_ver}.
+This package provides development files.
 
 %prep
-%setup -q -c -a 0
-mv gmmlib-intel-gmmlib-* gmmlib
-chmod -x gmmlib/*.md gmmlib/*.rst
-
-%define __sourcedir gmmlib
+%autosetup -n %{name}-intel-%{name}-%{version}
 
 %build
-srcroot=`pwd`
 %cmake
-%make_jobs
+%cmake_build
 
 %install
 %cmake_install
-rm -f %{buildroot}%{_libdir}/*.a
 
-%post -n libigdgmm%{so_ver} -p /sbin/ldconfig
-%postun -n libigdgmm%{so_ver} -p /sbin/ldconfig
+%post -n %{libname} -p /sbin/ldconfig
+%postun -n 

commit python-aiosmtplib for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-aiosmtplib for 
openSUSE:Factory checked in at 2020-03-24 22:34:10

Comparing /work/SRC/openSUSE:Factory/python-aiosmtplib (Old)
 and  /work/SRC/openSUSE:Factory/.python-aiosmtplib.new.3160 (New)


Package is "python-aiosmtplib"

Tue Mar 24 22:34:10 2020 rev:3 rq:787470 version:1.1.2

Changes:

--- /work/SRC/openSUSE:Factory/python-aiosmtplib/python-aiosmtplib.changes  
2020-01-17 16:08:27.916527415 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-aiosmtplib.new.3160/python-aiosmtplib.changes
2020-03-24 22:34:15.009145040 +0100
@@ -1,0 +2,5 @@
+Mon Mar 23 13:06:24 UTC 2020 - Tomáš Chvátal 
+
+- Remove docs/tests folders that were not supposed to be installed
+
+---



Other differences:
--
++ python-aiosmtplib.spec ++
--- /var/tmp/diff_new_pack.tzZwoV/_old  2020-03-24 22:34:15.757145403 +0100
+++ /var/tmp/diff_new_pack.tzZwoV/_new  2020-03-24 22:34:15.761145406 +0100
@@ -47,6 +47,7 @@
 
 %install
 %python_install
+%python_expand rm -r %{buildroot}%{$python_sitelib}/{tests,docs}
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check




commit python-python-barcode for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-python-barcode for 
openSUSE:Factory checked in at 2020-03-24 22:34:17

Comparing /work/SRC/openSUSE:Factory/python-python-barcode (Old)
 and  /work/SRC/openSUSE:Factory/.python-python-barcode.new.3160 (New)


Package is "python-python-barcode"

Tue Mar 24 22:34:17 2020 rev:4 rq:787472 version:0.11.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-python-barcode/python-python-barcode.changes  
2019-05-27 08:39:29.819044974 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-python-barcode.new.3160/python-python-barcode.changes
2020-03-24 22:34:21.117148009 +0100
@@ -1,0 +2,16 @@
+Mon Mar 23 13:08:48 UTC 2020 - Tomáš Chvátal 
+
+- Remove tests folder that was installed in sitelib
+
+---
+Fri Mar 20 13:50:51 UTC 2020 - pgaj...@suse.com
+
+- version update to 0.11.0
+  * Added basic support for multiline text.
+  * Dropped lots of older compat-only code and other cleanups.
+  * Fixed a bug in the API when combining certain barcodes and writers.
+  * Published documentation again and updated all project references.
+  * Fix python_barcode.get mixups between options as writer_options. 
Previously, some writer/barcode combinations worked fine, while others failed. 
Now all work consistently.
+  * The cli tool has been fixed and should now work as expected again.
+
+---

Old:

  python-barcode-0.10.0.tar.gz

New:

  python-barcode-0.11.0.tar.gz



Other differences:
--
++ python-python-barcode.spec ++
--- /var/tmp/diff_new_pack.PGMvs3/_old  2020-03-24 22:34:21.925148402 +0100
+++ /var/tmp/diff_new_pack.PGMvs3/_new  2020-03-24 22:34:21.933148406 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-python-barcode
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 # Copyright (c) 2019 Dr. Axel Braun
 #
 # All modifications and additions to the file contributed by third parties
@@ -21,7 +21,7 @@
 %define skip_python2 1
 %define base_name python-barcode
 Name:   python-%{base_name}
-Version:0.10.0
+Version:0.11.0
 Release:0
 Summary:Library to create Barcodes with Python
 License:MIT
@@ -30,6 +30,7 @@
 Source: 
https://files.pythonhosted.org/packages/source/p/%{base_name}/%{base_name}-%{version}.tar.gz
 BuildRequires:  %{python_module Pillow}
 BuildRequires:  %{python_module pathlib}
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools_scm}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  dejavu-fonts
@@ -49,20 +50,22 @@
 # Fix rpmlint warning about too many +x perms when these files get installed 
later.
 find . -type f -exec chmod a-x {} +
 # doc buildscripts we don't wanna ship
-rm docs/{Makefile,make.bat}
+rm docs/Makefile
 
 %build
 %python_build
 
 %install
 %python_install
+%python_expand rm -r %{buildroot}%{$python_sitelib}/tests
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 find "%{buildroot}" -type f -name "*.ttf" | while read i; do
ln -fs "%{_datadir}/fonts/truetype/${i##*/}" "$i"
 done
 
 %check
-%python_exec test.py
+sed -i '/cov/d' setup.cfg
+%pytest
 
 %files %{python_files}
 %doc docs/*

++ python-barcode-0.10.0.tar.gz -> python-barcode-0.11.0.tar.gz ++
 4173 lines of diff (skipped)




commit raspberrypi-firmware-dt for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package raspberrypi-firmware-dt for 
openSUSE:Factory checked in at 2020-03-24 22:33:53

Comparing /work/SRC/openSUSE:Factory/raspberrypi-firmware-dt (Old)
 and  /work/SRC/openSUSE:Factory/.raspberrypi-firmware-dt.new.3160 (New)


Package is "raspberrypi-firmware-dt"

Tue Mar 24 22:33:53 2020 rev:20 rq:787456 version:2020.02.03

Changes:

--- 
/work/SRC/openSUSE:Factory/raspberrypi-firmware-dt/raspberrypi-firmware-dt.changes
  2020-03-12 23:11:59.987316665 +0100
+++ 
/work/SRC/openSUSE:Factory/.raspberrypi-firmware-dt.new.3160/raspberrypi-firmware-dt.changes
2020-03-24 22:33:55.397135509 +0100
@@ -1,0 +2,11 @@
+Fri Mar 20 13:58:19 UTC 2020 - Nicolas Patricio Saenz Julienne 

+
+- Add rpi4-firware-dma-ranges-overlay.dts which fixes touch input on the
+  official 7" display (bsc#1167147)
+
+---
+Fri Mar 13 11:13:45 UTC 2020 - Nicolas Patricio Saenz Julienne 

+
+- Get rid of remove-vmmc-emmc2.patch now that the kernel supports it 
(bsc#1165954)
+
+---

Old:

  remove-vmmc-emmc2.patch

New:

  rpi4-firmware-dma-ranges-overlay.dts



Other differences:
--
++ raspberrypi-firmware-dt.spec ++
--- /var/tmp/diff_new_pack.tmzm3K/_old  2020-03-24 22:33:57.113136343 +0100
+++ /var/tmp/diff_new_pack.tmzm3K/_new  2020-03-24 22:33:57.113136343 +0100
@@ -29,10 +29,10 @@
 Source3:rpi4-thermal.dts
 Source4:rpi4-gpio-names-overlay.dts
 Source5:uboot-bcm2835-pl011-overlay.dts
+Source6:rpi4-firmware-dma-ranges-overlay.dts
 Source100:  get-from-git.sh
-Patch0: remove-vmmc-emmc2.patch
-Patch1: pcie-dma-ranges.patch
-Patch2: emmc2bus.patch
+Patch0: pcie-dma-ranges.patch
+Patch1: emmc2bus.patch
 Requires:   raspberrypi-firmware
 BuildRequires:  dtc
 BuildRequires:  raspberrypi-firmware
@@ -47,7 +47,6 @@
 %setup
 %patch0 -p1
 %patch1 -p1
-%patch2 -p1
 
 %build
 SRCDIR=`pwd`
@@ -62,7 +61,7 @@
 done
 
 export DTC_FLAGS="-R 0 -p 0 -@ -H epapr"
-for dts in arch/arm/boot/dts/overlays/*dts %{SOURCE1} %{SOURCE2} %{SOURCE3} 
%{SOURCE4} %{SOURCE5}; do
+for dts in arch/arm/boot/dts/overlays/*dts %{SOURCE1} %{SOURCE2} %{SOURCE3} 
%{SOURCE4} %{SOURCE5} %{SOURCE6}; do
 target=$(basename ${dts%*.dts})
 target=${target%*-overlay}
 mkdir -p $PPDIR/overlays

++ rpi4-firmware-dma-ranges-overlay.dts ++
/*
 * The firmware bus is virtual and devices have to inherit their DMA
 * constraints from the underlying interconnect. So add an empty dma-ranges
 * property to the bus node, implying the firmware bus' DMA constraints are
 * identical to its parent's.
 *
 * This was sent upstream and will be removed when available.
 */
/dts-v1/;
/plugin/;

/{
compatible = "brcm,bcm2711";

fragment@0 {
target = <>;
__overlay__ {
dma-ranges;
};
};
};



commit python-python-crontab for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-python-crontab for 
openSUSE:Factory checked in at 2020-03-24 22:33:49

Comparing /work/SRC/openSUSE:Factory/python-python-crontab (Old)
 and  /work/SRC/openSUSE:Factory/.python-python-crontab.new.3160 (New)


Package is "python-python-crontab"

Tue Mar 24 22:33:49 2020 rev:2 rq:787448 version:2.4.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-python-crontab/python-python-crontab.changes  
2019-09-27 14:50:08.260501208 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-python-crontab.new.3160/python-python-crontab.changes
2020-03-24 22:33:51.933133826 +0100
@@ -1,0 +2,6 @@
+Mon Mar 23 11:22:46 UTC 2020 - pgaj...@suse.com
+
+- version update to 2.4.0
+  * no upstream changelog found
+
+---

Old:

  python-crontab-2.3.8.tar.gz

New:

  python-crontab-v2.4.0.tar.gz



Other differences:
--
++ python-python-crontab.spec ++
--- /var/tmp/diff_new_pack.EaxmBt/_old  2020-03-24 22:33:52.857134275 +0100
+++ /var/tmp/diff_new_pack.EaxmBt/_new  2020-03-24 22:33:52.861134277 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-python-crontab
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,13 +18,14 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-python-crontab
-Version:2.3.8
+Version:2.4.0
 Release:0
 Summary:Python Crontab API
 License:LGPL-3.0-only
 Group:  Development/Languages/Python
 URL:https://gitlab.com/doctormo/python-crontab/
-Source: 
https://gitlab.com/doctormo/python-crontab/-/archive/v2.3.8/python-crontab-v%{version}.tar.gz#/python-crontab-%{version}.tar.gz
+# https://gitlab.com/doctormo/python-crontab/-/issues/69
+Source: 
https://gitlab.com/doctormo/python-crontab/-/archive/v%{version}/python-crontab-v%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -60,8 +61,7 @@
 
 %check
 export LANG=en_US.UTF-8
-# Bug in tests https://gitlab.com/doctormo/python-crontab/issues/55
-%pytest -k 'not test_06_backwards and not test_04_schedule_ten'
+%pytest
 
 %files %{python_files}
 %doc README.rst




commit rapid-photo-downloader for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package rapid-photo-downloader for 
openSUSE:Factory checked in at 2020-03-24 22:33:37

Comparing /work/SRC/openSUSE:Factory/rapid-photo-downloader (Old)
 and  /work/SRC/openSUSE:Factory/.rapid-photo-downloader.new.3160 (New)


Package is "rapid-photo-downloader"

Tue Mar 24 22:33:37 2020 rev:11 rq:787504 version:0.9.20

Changes:

--- 
/work/SRC/openSUSE:Factory/rapid-photo-downloader/rapid-photo-downloader.changes
2020-03-18 12:47:45.505044472 +0100
+++ 
/work/SRC/openSUSE:Factory/.rapid-photo-downloader.new.3160/rapid-photo-downloader.changes
  2020-03-24 22:33:41.601128805 +0100
@@ -1,0 +2,40 @@
+Mon Mar 23 14:15:10 UTC 2020 - Marcus Rueckert 
+
+- removed all manual typelib requires again as we fixed the
+  underlying problem in libdbusmenu 
+
+---
+Sun Mar 22 20:59:08 UTC 2020 - Marcus Rueckert 
+
+- Update to version 0.9.20 
+  - Added support for program icon progress bars and badge counts
+on any desktop that supports the Unity LauncherEntry API, not
+just Ubuntu Unity or Gnome running under Ubuntu. (The Unity
+LauncherEntry API is used by desktops other than Unity and
+Ubuntu Gnome, e.g. KDE, Dash to Panel.)
+  - Added missing property StartupWMClass to the program's desktop
+file. It's now possible to add the Rapid Photo Downloader
+launcher as a Favorite to the Gnome Shell dock and not have it
+appear as a duplicate entry when the program runs. This fix
+also enables program icon progress bars and badge counts under
+Gnome Shell extensions that support them.
+  - Implemented feature request in bug #1810102: cannot change
+language in program preferences. You can now specify the
+language you want the user interface to display in regardless
+of the system locale setting.
+  - Fixed problems in setup.py. Made requirements.txt more
+conformant.
+  - Better handle missing ExifTool on startup.
+- refreshed disable-version-check.patch
+- remove the typelib requires exclude as rpd now shows the progress
+  with libunity
+- add requires for new dependencies:
+  - python3-Babel
+  - libQt5Svg5
+  - typelib(Unity) = 7.0
+  - typelib(UnityExtras) = 7.0
+- add temporary requires that should be pulled by typelib(Unity)
+  - typelib(Dbusmenu) = 0.4
+  - typelib(Dee) = 1.0
+
+---

Old:

  rapid-photo-downloader-0.9.19.tar.gz
  rapid-photo-downloader-0.9.19.tar.gz.asc

New:

  rapid-photo-downloader-0.9.20.tar.gz
  rapid-photo-downloader-0.9.20.tar.gz.asc



Other differences:
--
++ rapid-photo-downloader.spec ++
--- /var/tmp/diff_new_pack.1geSe9/_old  2020-03-24 22:33:43.025129496 +0100
+++ /var/tmp/diff_new_pack.1geSe9/_new  2020-03-24 22:33:43.029129498 +0100
@@ -18,9 +18,8 @@
 #
 
 
-%global __requires_exclude ^typelib\\(Unity\\).*$
 Name:   rapid-photo-downloader
-Version:0.9.19
+Version:0.9.20
 Release:0
 Summary:Parallel downloader for camera and smartphone photos
 License:GPL-3.0-or-later
@@ -46,6 +45,8 @@
 Requires:   python3-arrow >= 0.9.0
 BuildRequires:  python3-cairo >= 1.11.1
 Requires:   python3-cairo >= 1.11.1
+BuildRequires:  python3-Babel
+Requires:   python3-Babel
 BuildRequires:  python3-colorlog
 Requires:   python3-colorlog
 BuildRequires:  python3-colour
@@ -78,6 +79,9 @@
 Requires:   python3-tornado
 BuildRequires:  python3-tenacity
 Requires:   python3-tenacity
+# needed since 0.9.20 for SVG assets
+BuildRequires:  libQt5Svg5
+Requires:   libQt5Svg5
 
 BuildArch:  noarch
 %if 0%{?suse_version} < 1500

++ disable-version-check.patch ++
--- /var/tmp/diff_new_pack.1geSe9/_old  2020-03-24 22:33:43.061129514 +0100
+++ /var/tmp/diff_new_pack.1geSe9/_new  2020-03-24 22:33:43.065129516 +0100
@@ -5,10 +5,10 @@
 Set variable so that there is no automated version
 update check inside the program.
 
-Index: rapid-photo-downloader-0.9.13/raphodo/constants.py
+Index: rapid-photo-downloader-0.9.20/raphodo/constants.py
 ===
 rapid-photo-downloader-0.9.13.orig/raphodo/constants.py
-+++ rapid-photo-downloader-0.9.13/raphodo/constants.py
+--- rapid-photo-downloader-0.9.20.orig/raphodo/constants.py
 rapid-photo-downloader-0.9.20/raphodo/constants.py
 @@ -31,7 +31,7 @@ remote_versions_file = 'https://www.damo
  
  # If set to True, the ability to check for a new version will be removed
@@ -18,10 +18,3 @@
  
  
  class CheckNewVersionDialogResult(IntEnum):
-@@ -773,4 +773,4 @@ class Plural(Enum):
- 
- # Use the character . to for download_name and path to 

commit python-kazoo for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-kazoo for openSUSE:Factory 
checked in at 2020-03-24 22:34:15

Comparing /work/SRC/openSUSE:Factory/python-kazoo (Old)
 and  /work/SRC/openSUSE:Factory/.python-kazoo.new.3160 (New)


Package is "python-kazoo"

Tue Mar 24 22:34:15 2020 rev:9 rq:787471 version:2.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-kazoo/python-kazoo.changes
2020-03-19 19:51:46.248235075 +0100
+++ /work/SRC/openSUSE:Factory/.python-kazoo.new.3160/python-kazoo.changes  
2020-03-24 22:34:15.945145495 +0100
@@ -1,0 +2,5 @@
+Mon Mar 16 13:00:50 UTC 2020 - Dirk Mueller 
+
+- add dependency on pure-sasl, move python 2.x deps inside a conditional
+
+---



Other differences:
--
++ python-kazoo.spec ++
--- /var/tmp/diff_new_pack.hFJUZQ/_old  2020-03-24 22:34:16.877145948 +0100
+++ /var/tmp/diff_new_pack.hFJUZQ/_new  2020-03-24 22:34:16.877145948 +0100
@@ -29,12 +29,16 @@
 BuildRequires:  %{python_module gevent >= 1.2}
 BuildRequires:  %{python_module mock}
 BuildRequires:  %{python_module nose}
+BuildRequires:  %{python_module pure-sasl}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  %{python_module six}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+%ifpython2
 Requires:   python-eventlet >= 0.17.1
 Requires:   python-gevent >= 1.2
+%endif
+Requires:   python-pure-sasl
 Requires:   python-six
 BuildArch:  noarch
 %python_subpackages




commit python-oslo.log for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.log for openSUSE:Factory 
checked in at 2020-03-24 22:33:20

Comparing /work/SRC/openSUSE:Factory/python-oslo.log (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.log.new.3160 (New)


Package is "python-oslo.log"

Tue Mar 24 22:33:20 2020 rev:17 rq:787564 version:3.44.1

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.log/python-oslo.log.changes  
2020-02-18 10:41:40.409099743 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.log.new.3160/python-oslo.log.changes
2020-03-24 22:33:24.845120661 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 17:21:04 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Sat Mar 14 11:45:12 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.log.spec ++
--- /var/tmp/diff_new_pack.evTU4D/_old  2020-03-24 22:33:25.817121134 +0100
+++ /var/tmp/diff_new_pack.evTU4D/_new  2020-03-24 22:33:25.861121155 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.log
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,20 +25,6 @@
 URL:https://launchpad.net/oslo.log
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.log/oslo.log-3.44.1.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-mock
-BuildRequires:  python2-monotonic >= 1.4
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.context >= 2.20.0
-BuildRequires:  python2-oslo.i18n >= 3.20.0
-BuildRequires:  python2-oslo.serialization >= 2.25.0
-BuildRequires:  python2-oslo.utils >= 3.36.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 3.1.1
-BuildRequires:  python2-pyinotify >= 0.9.6
-BuildRequires:  python2-python-dateutil >= 2.7.0
-BuildRequires:  python2-six >= 1.11.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testtools
 BuildRequires:  python3-mock
 BuildRequires:  python3-monotonic >= 1.4
 BuildRequires:  python3-oslo.config >= 5.2.0
@@ -53,33 +39,38 @@
 BuildRequires:  python3-six >= 1.11.0
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testtools
-Requires:   python-debtcollector >= 1.19.0
-Requires:   python-monotonic >= 1.4
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.context >= 2.20.0
-Requires:   python-oslo.i18n >= 3.20.0
-Requires:   python-oslo.serialization >= 2.25.0
-Requires:   python-oslo.utils >= 3.36.0
-Requires:   python-pyinotify >= 0.9.6
-Requires:   python-python-dateutil >= 2.7.0
-Requires:   python-six >= 1.11.0
-Requires:   python-systemd
 BuildArch:  noarch
+
+%description
+OpenStack logging configuration library provides standardized configuration
+for all openstack projects.It also provides custom formatters, handlers and
+support for context specific logging (like resource id's etc).
+
+%package -n python3-oslo.log
+Summary:OpenStack log library
+Group:  Development/Languages/Python
+Requires:   python3-debtcollector >= 1.19.0
+Requires:   python3-monotonic >= 1.4
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.context >= 2.20.0
+Requires:   python3-oslo.i18n >= 3.20.0
+Requires:   python3-oslo.serialization >= 2.25.0
+Requires:   python3-oslo.utils >= 3.36.0
+Requires:   python3-pyinotify >= 0.9.6
+Requires:   python3-python-dateutil >= 2.7.0
+Requires:   python3-six >= 1.11.0
+Requires:   python3-systemd
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-oslo.log < 4.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-oslo.log
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects.It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 
+This package contains the Python 3.x module.
+
 %package -n python-oslo.log-doc
 Summary:Documentation for OpenStack log library
 Group:  Development/Languages/Python
@@ -94,31 +85,24 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # generate html docs
 PYTHONPATH=. PBR_VERSION=3.44.1 %sphinx_build -b html doc/source doc/build/html
 rm -rf 

commit python-smmap for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-smmap for openSUSE:Factory 
checked in at 2020-03-24 22:33:44

Comparing /work/SRC/openSUSE:Factory/python-smmap (Old)
 and  /work/SRC/openSUSE:Factory/.python-smmap.new.3160 (New)


Package is "python-smmap"

Tue Mar 24 22:33:44 2020 rev:10 rq:787441 version:3.0.1

Changes:

--- /work/SRC/openSUSE:Factory/python-smmap/python-smmap.changes
2018-12-24 11:44:01.329312220 +0100
+++ /work/SRC/openSUSE:Factory/.python-smmap.new.3160/python-smmap.changes  
2020-03-24 22:33:45.101130505 +0100
@@ -1,0 +2,8 @@
+Mon Mar 16 12:09:46 UTC 2020 - Dirk Mueller 
+
+- update to 3.0.1:
+  * Switched back to the smmap package name on PyPI and fixed the smmap2 
mirror package (#44)
+  * Fixed setup.py long_description rendering (#40)
+- remove delete_platform_specific_test.patch (upstream)
+
+---

Old:

  delete_platform_specific_test.patch
  smmap-0.9.0.tar.gz

New:

  smmap-3.0.1.tar.gz



Other differences:
--
++ python-smmap.spec ++
--- /var/tmp/diff_new_pack.khi8t5/_old  2020-03-24 22:33:46.857131359 +0100
+++ /var/tmp/diff_new_pack.khi8t5/_new  2020-03-24 22:33:46.857131359 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-smmap
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,15 +19,13 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %bcond_without test
 Name:   python-smmap
-Version:0.9.0
+Version:3.0.1
 Release:0
 Summary:A pure git implementation of a sliding window memory map 
manager
 License:BSD-2-Clause
 Group:  Development/Languages/Python
-Url:https://github.com/gitpython-developers/smmap
+URL:https://github.com/gitpython-developers/smmap
 Source: 
https://files.pythonhosted.org/packages/source/s/smmap/smmap-%{version}.tar.gz
-# PATCH-FIX-OPENSUSE delete_platform_specific_test.patch -- fix tests on 
powerpc
-Patch0: delete_platform_specific_test.patch
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  python-rpm-macros
 # SECTION test requirements
@@ -56,7 +54,6 @@
 
 %prep
 %setup -q -n smmap-%{version}
-%patch0 -p1
 
 %build
 %python_build

++ smmap-0.9.0.tar.gz -> smmap-3.0.1.tar.gz ++
 4080 lines of diff (skipped)




commit python-oslo.middleware for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.middleware for 
openSUSE:Factory checked in at 2020-03-24 22:32:42

Comparing /work/SRC/openSUSE:Factory/python-oslo.middleware (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.middleware.new.3160 (New)


Package is "python-oslo.middleware"

Tue Mar 24 22:32:42 2020 rev:14 rq:786401 version:3.38.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.middleware/python-oslo.middleware.changes
2020-02-18 10:41:44.781108663 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.middleware.new.3160/python-oslo.middleware.changes
  2020-03-24 22:32:43.313100477 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 12:04:52 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.middleware.spec ++
--- /var/tmp/diff_new_pack.e0U061/_old  2020-03-24 22:32:43.953100788 +0100
+++ /var/tmp/diff_new_pack.e0U061/_new  2020-03-24 22:32:43.957100790 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.middleware
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,24 +25,6 @@
 URL:https://launchpad.net/oslo.middleware
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.middleware/oslo.middleware-3.38.1.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-Jinja2 >= 2.10
-BuildRequires:  python2-WebOb >= 1.8.0
-BuildRequires:  python2-debtcollector >= 1.2.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.context >= 2.19.2
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.serialization
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-statsd >= 3.2.1
-BuildRequires:  python2-stestr
-BuildRequires:  python2-stevedore >= 1.20.0
-BuildRequires:  python2-testtools
 BuildRequires:  python3-Jinja2 >= 2.10
 BuildRequires:  python3-WebOb >= 1.8.0
 BuildRequires:  python3-debtcollector >= 1.2.0
@@ -61,19 +43,7 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-stevedore >= 1.20.0
 BuildRequires:  python3-testtools
-Requires:   python-Jinja2 >= 2.10
-Requires:   python-WebOb >= 1.8.0
-Requires:   python-debtcollector >= 1.2.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.context >= 2.19.2
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-six >= 1.10.0
-Requires:   python-statsd >= 3.2.1
-Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 Oslo middleware library includes components that can be injected into wsgi
@@ -81,13 +51,36 @@
 with functionality like add/delete/modification of http headers and support
 for limiting size/connection etc.
 
-%package -n python-oslo-middleware-doc
+%package -n python3-oslo.middleware
+Summary:OpenStack oslo.middleware library
+Group:  Development/Languages/Python
+Requires:   python3-Jinja2 >= 2.10
+Requires:   python3-WebOb >= 1.8.0
+Requires:   python3-debtcollector >= 1.2.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.context >= 2.19.2
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-six >= 1.10.0
+Requires:   python3-statsd >= 3.2.1
+Requires:   python3-stevedore >= 1.20.0
+
+%description -n python3-oslo.middleware
+Oslo middleware library includes components that can be injected into wsgi
+pipelines to intercept request/response flows. The base class can be enhanced
+with functionality like add/delete/modification of http headers and support
+for limiting size/connection etc.
+
+This package contains the Python 3.x module.
+
+%package -n python3-oslo.middleware-doc
 Summary:Documentation for OpenStack middleware library
 Group:  Development/Languages/Python
 BuildRequires:  python3-Sphinx
 BuildRequires:  python3-openstackdocstheme
 
-%description -n python-oslo-middleware-doc
+%description -n python3-oslo.middleware-doc
 Oslo middleware library includes components that can be injected into wsgi
 pipelines to intercept request/response flows. The base 

commit python-osprofiler for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-osprofiler for 
openSUSE:Factory checked in at 2020-03-24 22:32:44

Comparing /work/SRC/openSUSE:Factory/python-osprofiler (Old)
 and  /work/SRC/openSUSE:Factory/.python-osprofiler.new.3160 (New)


Package is "python-osprofiler"

Tue Mar 24 22:32:44 2020 rev:11 rq:787442 version:2.8.2

Changes:

--- /work/SRC/openSUSE:Factory/python-osprofiler/python-osprofiler.changes  
2019-12-04 14:18:41.718361042 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-osprofiler.new.3160/python-osprofiler.changes
2020-03-24 22:32:45.649101612 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:16:26 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Sat Mar 14 11:45:55 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-osprofiler.spec ++
--- /var/tmp/diff_new_pack.CkE24e/_old  2020-03-24 22:32:46.345101951 +0100
+++ /var/tmp/diff_new_pack.CkE24e/_new  2020-03-24 22:32:46.345101951 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-osprofiler
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,22 +25,6 @@
 URL:https://launchpad.net/osprofiler
 Source0:
https://files.pythonhosted.org/packages/source/o/osprofiler/osprofiler-2.8.2.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PrettyTable >= 0.7.2
-BuildRequires:  python2-WebOb >= 1.7.1
-BuildRequires:  python2-ddt
-BuildRequires:  python2-docutils
-BuildRequires:  python2-elasticsearch
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.concurrency >= 3.26.0
-BuildRequires:  python2-oslo.config
-BuildRequires:  python2-oslo.log
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-pymongo
-BuildRequires:  python2-python-subunit
-BuildRequires:  python2-redis
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PrettyTable >= 0.7.2
 BuildRequires:  python3-WebOb >= 1.7.1
 BuildRequires:  python3-ddt
@@ -57,25 +41,31 @@
 BuildRequires:  python3-six >= 1.10.0
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testtools
-Requires:   python-PrettyTable >= 0.7.2
-Requires:   python-WebOb >= 1.7.1
-Requires:   python-oslo.concurrency >= 3.26.0
-Requires:   python-oslo.config
-Requires:   python-oslo.log
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+OSProfiler provides a tiny but powerful library that is used by
+most (soon to be all) OpenStack projects and their python clients. It
+provides functionality to be able to generate 1 trace per request, that goes
+through all involved services. This trace can then be extracted and used
+to build a tree of calls which can be quite handy for a variety of
+reasons (for example in isolating cross-project performance issues).
+
+%package -n python3-osprofiler
+Summary:OpenStack Profiler Library
+Group:  Development/Languages/Python
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-WebOb >= 1.7.1
+Requires:   python3-oslo.concurrency >= 3.26.0
+Requires:   python3-oslo.config
+Requires:   python3-oslo.log
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-osprofiler < 3.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-osprofiler
 OSProfiler provides a tiny but powerful library that is used by
 most (soon to be all) OpenStack projects and their python clients. It
 provides functionality to be able to generate 1 trace per request, that goes
@@ -83,6 +73,8 @@
 to build a tree of calls which can be quite handy for a variety of
 reasons (for example in isolating cross-project performance issues).
 
+This package contains the Python 3.x module
+
 %package -n python-osprofiler-doc
 Summary:Documentation for OSProfiler
 Group:  Development/Languages/Python
@@ -97,32 +89,25 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/osprofiler
+%{py3_install}
 
 # generate html docs
 

commit python-oslo.privsep for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.privsep for 
openSUSE:Factory checked in at 2020-03-24 22:32:48

Comparing /work/SRC/openSUSE:Factory/python-oslo.privsep (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.privsep.new.3160 (New)


Package is "python-oslo.privsep"

Tue Mar 24 22:32:48 2020 rev:12 rq:787446 version:1.33.3

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.privsep/python-oslo.privsep.changes  
2020-02-18 10:41:47.109113413 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.privsep.new.3160/python-oslo.privsep.changes
2020-03-24 22:32:53.485105421 +0100
@@ -1,0 +2,15 @@
+Mon Mar 23 12:20:24 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Tue Mar 17 17:19:31 UTC 2020 - cloud-de...@suse.de
+
+- added 0001-Disable-logger-validation-during-unit-testing.patch
+
+---
+Fri Mar 13 08:47:26 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---

New:

  0001-Disable-logger-validation-during-unit-testing.patch



Other differences:
--
++ python-oslo.privsep.spec ++
--- /var/tmp/diff_new_pack.9QCfcY/_old  2020-03-24 22:32:54.249105791 +0100
+++ /var/tmp/diff_new_pack.9QCfcY/_new  2020-03-24 22:32:54.253105794 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.privsep
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,20 +24,9 @@
 Group:  Development/Languages/Python
 URL:https://launchpad.net/oslo.privsep
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.privsep/oslo.privsep-1.33.3.tar.gz
+# https://review.opendev.org/#/c/713337/
+Patch1: 0001-Disable-logger-validation-during-unit-testing.patch
 BuildRequires:  openstack-macros
-BuildRequires:  python2-cffi >= 1.7.0
-BuildRequires:  python2-eventlet >= 0.18.2
-BuildRequires:  python2-greenlet >= 0.4.10
-BuildRequires:  python2-mock
-BuildRequires:  python2-msgpack >= 0.5.0
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.log >= 3.36.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
 BuildRequires:  python3-cffi >= 1.7.0
 BuildRequires:  python3-eventlet >= 0.18.2
 BuildRequires:  python3-greenlet >= 0.4.10
@@ -51,32 +40,27 @@
 BuildRequires:  python3-pbr
 BuildRequires:  python3-setuptools
 BuildRequires:  python3-stestr
-Requires:   python-cffi >= 1.7.0
-Requires:   python-eventlet >= 0.18.2
-Requires:   python-greenlet >= 0.4.10
-Requires:   python-msgpack >= 0.5.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.utils >= 3.33.0
 BuildArch:  noarch
-%ifpython2
-BuildRequires:  python-enum34 >= 1.0.4
-BuildRequires:  python-futures >= 3.1.1
-Requires:   python-enum34 >= 1.0.4
-Requires:   python-futures >= 3.1.1
-%endif
+
+%description
+OpenStack library for privilege separation
+
+%package -n python3-oslo.privsep
+Summary:OpenStack library for privilege separation
+Group:  Development/Languages/Python
+Requires:   python3-cffi >= 1.7.0
+Requires:   python3-eventlet >= 0.18.2
+Requires:   python3-greenlet >= 0.4.10
+Requires:   python3-msgpack >= 0.5.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.log >= 3.36.0
+Requires:   python3-oslo.utils >= 3.33.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-oslo.privsep < 2.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-oslo.privsep
 OpenStack library for privilege separation
 
 %package -n python-oslo.privsep-doc
@@ -94,33 +78,25 @@
 %py_req_cleanup
 
 %build
-%python_build
+%py3_build
 # generate html docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
 # remove the sphinx-build leftovers
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%python_install
-%python_clone -a %{buildroot}%{_bindir}/privsep-helper
-
-%post
-%python_install_alternative 

commit python-monascaclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-monascaclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:13

Comparing /work/SRC/openSUSE:Factory/python-monascaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-monascaclient.new.3160 (New)


Package is "python-monascaclient"

Tue Mar 24 22:33:13 2020 rev:11 rq:787458 version:1.16.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-monascaclient/python-monascaclient.changes
2019-12-04 14:18:55.522364558 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-monascaclient.new.3160/python-monascaclient.changes
  2020-03-24 22:33:14.277115525 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:28:21 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 12:45:00 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only
+
+---



Other differences:
--
++ python-monascaclient.spec ++
--- /var/tmp/diff_new_pack.LI01XG/_old  2020-03-24 22:33:14.925115840 +0100
+++ /var/tmp/diff_new_pack.LI01XG/_new  2020-03-24 22:33:14.925115840 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-monascaclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,22 +25,6 @@
 URL:https://launchpad.net/python-monascaclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-monascaclient/python-monascaclient-1.16.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PrettyTable >= 0.7.2
-BuildRequires:  python2-PyYAML >= 3.12
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-mock
-BuildRequires:  python2-mox3
-BuildRequires:  python2-openstackdocstheme
-BuildRequires:  python2-osc-lib >= 1.8.0
-BuildRequires:  python2-oslo.concurrency
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PrettyTable >= 0.7.2
 BuildRequires:  python3-PyYAML >= 3.12
 BuildRequires:  python3-fixtures
@@ -57,28 +41,31 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.2
-Requires:   python-PyYAML >= 3.12
-Requires:   python-iso8601 >= 0.1.11
-Requires:   python-osc-lib >= 1.8.0
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-requests
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+This is a client library for Monasca built to interface with the Monasca API. 
It
+provides a Python API (the ``monascaclient`` module) and a command-line tool
+(``monasca``).
+
+%package -n python3-monascaclient
+Summary:Python API and CLI for OpenStack Monasca
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-PyYAML >= 3.12
+Requires:   python3-iso8601 >= 0.1.11
+Requires:   python3-osc-lib >= 1.8.0
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-requests
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-monascaclient < 2.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-monascaclient
 This is a client library for Monasca built to interface with the Monasca API. 
It
 provides a Python API (the ``monascaclient`` module) and a command-line tool
 (``monasca``).
@@ -90,26 +77,19 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/monasca
-
-%post
-%python_install_alternative monasca
-
-%postun
-%python_uninstall_alternative monasca
+%{py3_install}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-monascaclient
 %doc README.rst
 %license LICENSE
-%{python_sitelib}/monascaclient

commit python-oslo.utils for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.utils for 
openSUSE:Factory checked in at 2020-03-24 22:32:36

Comparing /work/SRC/openSUSE:Factory/python-oslo.utils (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.utils.new.3160 (New)


Package is "python-oslo.utils"

Tue Mar 24 22:32:36 2020 rev:20 rq:786268 version:3.41.5

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.utils/python-oslo.utils.changes  
2020-03-17 13:09:41.849778334 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.utils.new.3160/python-oslo.utils.changes
2020-03-24 22:32:37.565097683 +0100
@@ -1,0 +2,17 @@
+Wed Mar 18 20:56:50 UTC 2020 - cloud-de...@suse.de
+
+- update to version 3.41.5
+  - Fix regex to correctly recognize scientific notation with QemuImgInfo
+
+---
+Tue Mar 17 19:18:18 UTC 2020 - cloud-de...@suse.de
+
+- update to version 3.41.4
+  - Update .gitreview for stable/train
+  - Support "qemu-img info" virtual size in QEMU 4.1 and later
+  - Make mask_password case insensitive, and add new patterns
+  - Verify the sanitize keys are lowered
+  - Make mask_dict_password case insensitive and add new patterns
+  - Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
+
+---

Old:

  oslo.utils-3.41.1.tar.gz

New:

  oslo.utils-3.41.5.tar.gz



Other differences:
--
++ python-oslo.utils.spec ++
--- /var/tmp/diff_new_pack.aCCXIn/_old  2020-03-24 22:32:38.413098095 +0100
+++ /var/tmp/diff_new_pack.aCCXIn/_new  2020-03-24 22:32:38.417098097 +0100
@@ -17,13 +17,13 @@
 
 
 Name:   python-oslo.utils
-Version:3.41.1
+Version:3.41.5
 Release:0
 Summary:OpenStack Utils Library
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://launchpad.net/oslo.utils
-Source0:
https://files.pythonhosted.org/packages/source/o/oslo.utils/oslo.utils-3.41.1.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.utils/oslo.utils-3.41.5.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python3-Babel
 BuildRequires:  python3-ddt
@@ -76,7 +76,7 @@
 Documentation for OpenStack utils library.
 
 %prep
-%autosetup -p1 -n oslo.utils-3.41.1
+%autosetup -p1 -n oslo.utils-3.41.5
 
 %py_req_cleanup
 
@@ -87,11 +87,12 @@
 %py3_install
 
 # generate html docs
-PBR_VERSION=3.41.1 %sphinx_build -b html doc/source doc/build/html
+PBR_VERSION=3.41.5 %sphinx_build -b html doc/source doc/build/html
 # remove the sphinx-build leftovers
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %check
+# tests fail with python 3.8
 rm -v oslo_utils/tests/test_reflection.py
 python3 -m stestr.cli run
 

++ oslo.utils-3.41.1.tar.gz -> oslo.utils-3.41.5.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslo.utils-3.41.1/AUTHORS 
new/oslo.utils-3.41.5/AUTHORS
--- old/oslo.utils-3.41.1/AUTHORS   2019-09-04 16:26:49.0 +0200
+++ new/oslo.utils-3.41.5/AUTHORS   2020-03-04 02:02:34.0 +0100
@@ -32,6 +32,7 @@
 Costin Galan 
 Cyril Roelandt 
 Cyril Roelandt 
+Cédric Jeanneret 
 Dan Prince 
 Dan Smith 
 Dariusz Smigiel 
@@ -46,6 +47,7 @@
 Dolph Mathews 
 Doug Hellmann 
 Doug Hellmann 
+Dougal Matthews 
 Drew Varner 
 Elena Ezhova 
 Eoghan Glynn 
@@ -59,6 +61,7 @@
 Ghe Rivero 
 Guang Yee 
 Hanxi Liu 
+Hervé Beraud 
 Ian Wienand 
 Ihar Hrachyshka 
 Ildiko 
@@ -84,6 +87,7 @@
 Kenneth Giusti 
 Kevin Houdebert 
 Lucas Alvares Gomes 
+Mark Mielke 
 Matthew Booth 
 Mehdi Abaakouk 
 Michael Wilson 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslo.utils-3.41.1/ChangeLog 
new/oslo.utils-3.41.5/ChangeLog
--- old/oslo.utils-3.41.1/ChangeLog 2019-09-04 16:26:49.0 +0200
+++ new/oslo.utils-3.41.5/ChangeLog 2020-03-04 02:02:34.0 +0100
@@ -1,6 +1,29 @@
 CHANGES
 ===
 
+3.41.5
+--
+
+* Fix regex to correctly recognize scientific notation with QemuImgInfo
+
+3.41.4
+--
+
+* Verify the sanitize keys are lowered
+* Make mask\_dict\_password case insensitive and add new patterns
+
+3.41.3
+--
+
+* Make mask\_password case insensitive, and add new patterns
+
+3.41.2
+--
+
+* Support "qemu-img info" virtual size in QEMU 4.1 and later
+* Update TOX/UPPER\_CONSTRAINTS\_FILE for stable/train
+* Update .gitreview for stable/train
+
 3.41.1
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslo.utils-3.41.1/PKG-INFO 
new/oslo.utils-3.41.5/PKG-INFO
--- old/oslo.utils-3.41.1/PKG-INFO  2019-09-04 16:26:49.0 +0200
+++ 

commit python-cinderclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-cinderclient for 
openSUSE:Factory checked in at 2020-03-24 22:32:59

Comparing /work/SRC/openSUSE:Factory/python-cinderclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-cinderclient.new.3160 (New)


Package is "python-cinderclient"

Tue Mar 24 22:32:59 2020 rev:37 rq:787450 version:5.0.0

Changes:

--- /work/SRC/openSUSE:Factory/python-cinderclient/python-cinderclient.changes  
2019-12-04 14:18:47.546361784 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-cinderclient.new.3160/python-cinderclient.changes
2020-03-24 22:32:59.377108284 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:24:49 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 17:09:15 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-cinderclient.spec ++
--- /var/tmp/diff_new_pack.n0r9RI/_old  2020-03-24 22:33:00.089108630 +0100
+++ /var/tmp/diff_new_pack.n0r9RI/_new  2020-03-24 22:33:00.093108632 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-cinderclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,18 +25,6 @@
 URL:https://launchpad.net/python-cinderclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-cinderclient/python-cinderclient-5.0.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PrettyTable >= 0.7.1
-BuildRequires:  python2-ddt
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-keystoneauth1 >= 3.4.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.serialization
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests >= 2.14.2
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PrettyTable >= 0.7.1
 BuildRequires:  python3-ddt
 BuildRequires:  python3-fixtures
@@ -49,30 +37,35 @@
 BuildRequires:  python3-requests-mock
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-simplejson >= 3.5.1
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+This is a client for the OpenStack Cinder API (Block Storage. There's a
+Python API (the cinderclient module), and a command-line script (cinder).
+Each implements 100% of the OpenStack Cinder API.
+
+%package -n python3-cinderclient
+Summary:Python API and CLI for OpenStack Cinder
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.1
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-simplejson >= 3.5.1
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-cinderclient < 6.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-cinderclient
 This is a client for the OpenStack Cinder API (Block Storage. There's a
 Python API (the cinderclient module), and a command-line script (cinder).
 Each implements 100% of the OpenStack Cinder API.
 
+This package contains the Python 3.x module.
+
 %package -n python-cinderclient-doc
 Summary:Documentation for OpenStack Cinder API Client
 Group:  Documentation/HTML
@@ -91,7 +84,7 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 PBR_VERSION=5.0.0 %sphinx_build -b html doc/source doc/build/html
 PBR_VERSION=5.0.0 %sphinx_build -b man doc/source doc/build/man
@@ -99,33 +92,24 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
+%{py3_install}
 # man page
 install -p -D -m 644 doc/build/man/cinder.1 
%{buildroot}%{_mandir}/man1/cinder.1
 # bash completion
 install -p -D -m 644 tools/cinder.bash_completion 
%{buildroot}%{_sysconfdir}/bash_completion.d/cinder.bash_completion

commit python-barbicanclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-barbicanclient for 
openSUSE:Factory checked in at 2020-03-24 22:32:56

Comparing /work/SRC/openSUSE:Factory/python-barbicanclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-barbicanclient.new.3160 (New)


Package is "python-barbicanclient"

Tue Mar 24 22:32:56 2020 rev:13 rq:787449 version:4.9.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-barbicanclient/python-barbicanclient.changes  
2019-12-04 14:18:46.846361695 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-barbicanclient.new.3160/python-barbicanclient.changes
2020-03-24 22:32:58.157107690 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:24:18 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 17:07:09 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-barbicanclient.spec ++
--- /var/tmp/diff_new_pack.ahWARC/_old  2020-03-24 22:32:59.149108173 +0100
+++ /var/tmp/diff_new_pack.ahWARC/_new  2020-03-24 22:32:59.157108177 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-barbicanclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,18 +25,6 @@
 URL:https://launchpad.net/python-barbicanclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-barbicanclient/python-barbicanclient-4.9.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-cliff >= 2.8.0
-BuildRequires:  python2-keystoneauth1 >= 3.4.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests >= 2.14.2
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-cliff >= 2.8.0
 BuildRequires:  python3-keystoneauth1 >= 3.4.0
 BuildRequires:  python3-mock
@@ -49,14 +37,6 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-cliff >= 2.8.0
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 %if 0%{?suse_version}
 Requires(post): update-alternatives
@@ -66,14 +46,33 @@
 Requires(post): chkconfig
 Requires(postun): chkconfig
 %endif
-%python_subpackages
 
 %description
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 
-This package contains the Python 2.x module.
+%package -n python3-barbicanclient
+Summary:Client for the Barbican Key Management API
+Group:  Development/Languages/Python
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+%if 0%{?suse_version}
+Obsoletes:  python2-barbicanclient < 4.10.0
+%endif
+
+%description -n python3-barbicanclient
+This is a client for the Barbican Key Management API. This package includes a
+Python library for accessing the API (the barbicanclient module), and a
+command-line script (barbican).
+
+This package contains the Python 3.x module.
 
 %package -n python-barbicanclient-doc
 Summary:Documentation for OpenStack Key Management API Client
@@ -90,7 +89,7 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # generate html docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
@@ -98,17 +97,16 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/barbican
+%{py3_install}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-barbicanclient
 %license LICENSE
-%{python_sitelib}/python_barbicanclient-%{version}-py?.?.egg-info

commit python-oslo.cache for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.cache for 
openSUSE:Factory checked in at 2020-03-24 22:32:40

Comparing /work/SRC/openSUSE:Factory/python-oslo.cache (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.cache.new.3160 (New)


Package is "python-oslo.cache"

Tue Mar 24 22:32:40 2020 rev:10 rq:786398 version:1.37.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.cache/python-oslo.cache.changes  
2020-02-18 10:41:21.993062168 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.cache.new.3160/python-oslo.cache.changes
2020-03-24 22:32:42.209099940 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 12:02:39 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.cache.spec ++
--- /var/tmp/diff_new_pack.rjmAWO/_old  2020-03-24 22:32:42.929100290 +0100
+++ /var/tmp/diff_new_pack.rjmAWO/_new  2020-03-24 22:32:42.929100290 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.cache
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,18 +25,6 @@
 URL:https://launchpad.net/%{sname}
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.cache/oslo.cache-1.37.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-dogpile.cache >= 0.6.2
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.log >= 3.36.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr
-BuildRequires:  python2-pymongo
-BuildRequires:  python2-python-memcached
-BuildRequires:  python2-six >= 1.11.0
-BuildRequires:  python2-stestr
 BuildRequires:  python3-dogpile.cache >= 0.6.2
 BuildRequires:  python3-mock
 BuildRequires:  python3-oslo.config >= 5.2.0
@@ -49,15 +37,7 @@
 BuildRequires:  python3-python-memcached
 BuildRequires:  python3-six >= 1.11.0
 BuildRequires:  python3-stestr
-Requires:   python-dogpile.cache >= 0.6.2
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-python-memcached
-Requires:   python-six >= 1.11.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
@@ -65,6 +45,23 @@
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 
+%package -n python3-oslo.cache
+Summary:Cache storage for Openstack projects
+Group:  Development/Languages/Python
+Requires:   python3-dogpile.cache >= 0.6.2
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.log >= 3.36.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-python-memcached
+Requires:   python3-six >= 1.11.0
+
+%description -n python3-oslo.cache
+oslo.cache aims to provide a generic caching mechanism for OpenStack projects
+by wrapping the dogpile.cache library. The dogpile.cache library provides
+support memoization, key value storage and interfaces to common caching
+backends such as Memcached.
+
 %package -n python-oslo.cache-doc
 Summary:Documentation for the OpenStack Oslo Cache library
 Group:  Development/Languages/Python
@@ -80,10 +77,10 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 %install
-%{python_install}
+%{py3_install}
 
 # generate html docs
 PBR_VERSION=1.37.0 %sphinx_build -b html doc/source doc/build/html
@@ -91,13 +88,13 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-oslo.cache
 %license LICENSE
 %doc README.rst ChangeLog
-%{python_sitelib}/oslo_cache
-%{python_sitelib}/*.egg-info
+%{python3_sitelib}/oslo_cache
+%{python3_sitelib}/*.egg-info
 
 %files -n python-oslo.cache-doc
 %license LICENSE




commit python-glanceclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-glanceclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:00

Comparing /work/SRC/openSUSE:Factory/python-glanceclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-glanceclient.new.3160 (New)


Package is "python-glanceclient"

Tue Mar 24 22:33:00 2020 rev:31 rq:787452 version:2.17.0

Changes:

--- /work/SRC/openSUSE:Factory/python-glanceclient/python-glanceclient.changes  
2020-02-19 12:41:28.699732967 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-glanceclient.new.3160/python-glanceclient.changes
2020-03-24 22:33:03.181110133 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:25:22 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 17:07:41 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-glanceclient.spec ++
--- /var/tmp/diff_new_pack.Yk3q6E/_old  2020-03-24 22:33:04.285110669 +0100
+++ /var/tmp/diff_new_pack.Yk3q6E/_new  2020-03-24 22:33:04.289110671 +0100
@@ -25,19 +25,6 @@
 URL:https://launchpad.net/python-glanceclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-glanceclient/python-glanceclient-2.17.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PrettyTable >= 0.7.1
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-keystoneclient
-BuildRequires:  python2-mock
-BuildRequires:  python2-os-client-config
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-pyOpenSSL >= 17.1.0
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
-BuildRequires:  python2-warlock >= 1.2.0
 BuildRequires:  python3-PrettyTable >= 0.7.1
 BuildRequires:  python3-fixtures
 BuildRequires:  python3-keystoneclient
@@ -51,28 +38,31 @@
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
 BuildRequires:  python3-warlock >= 1.2.0
-Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-keystoneauth1 >= 3.6.2
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-pyOpenSSL >= 17.1.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
-Requires:   python-warlock >= 1.2.0
-Requires:   python-wrapt >= 1.7.0
 BuildArch:  noarch
+
+%description
+This is a client for the OpenStack Glance API. There's a Python API (the
+glanceclient module), and a command-line script (glance). Each implements
+100% of the OpenStack Glance API.
+
+%package -n python3-glanceclient
+Summary:Python API and CLI for OpenStack Glance
+Group:  Development/Languages/Python
+Requires:   python3-PrettyTable >= 0.7.1
+Requires:   python3-keystoneauth1 >= 3.6.2
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-pyOpenSSL >= 17.1.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-warlock >= 1.2.0
+Requires:   python3-wrapt >= 1.7.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-glanceclient < 2.18.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-glanceclient
 This is a client for the OpenStack Glance API. There's a Python API (the
 glanceclient module), and a command-line script (glance). Each implements
 100% of the OpenStack Glance API.
@@ -96,7 +86,7 @@
 %py_req_cleanup
 
 %build
-%python_build
+%py3_build
 
 # generate html docs
 PBR_VERSION=2.17.0 %sphinx_build -b html doc/source doc/build/html
@@ -106,34 +96,20 @@
 rm -rf doc/build/man/.{doctrees,buildinfo}
 
 %install
-%python_install
+%py3_install
 #man pages
 install -p -D -m 644 doc/build/man/glance.1 
%{buildroot}%{_mandir}/man1/glance.1
-%python_clone -a %{buildroot}%{_bindir}/glance
-%python_clone -a %{buildroot}%{_mandir}/man1/glance.1
-
-%post
-%{python_install_alternative glance glance.1}
-
-%postun
-%python_uninstall_alternative glance
 
 %check
-%if 0%{?rhel} || 0%{?fedora}
-# disable tests until rdo updated to requests > 2.14
-true
-%else
-%python_exec -m stestr.cli run
-
-%endif
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-glanceclient
 %license LICENSE
 %doc README.rst ChangeLog

commit python-oslo.messaging for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.messaging for 
openSUSE:Factory checked in at 2020-03-24 22:32:47

Comparing /work/SRC/openSUSE:Factory/python-oslo.messaging (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.messaging.new.3160 (New)


Package is "python-oslo.messaging"

Tue Mar 24 22:32:47 2020 rev:19 rq:787445 version:10.2.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.messaging/python-oslo.messaging.changes  
2020-02-18 10:41:42.197103391 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.messaging.new.3160/python-oslo.messaging.changes
2020-03-24 22:32:48.305102903 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:19:43 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Sat Mar 14 12:04:03 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.messaging.spec ++
--- /var/tmp/diff_new_pack.XCOAN3/_old  2020-03-24 22:32:49.173103325 +0100
+++ /var/tmp/diff_new_pack.XCOAN3/_new  2020-03-24 22:32:49.177103327 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.messaging
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,35 +25,6 @@
 URL:https://launchpad.net/oslo.messaging
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.messaging/oslo.messaging-10.2.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PyYAML >= 3.12
-BuildRequires:  python2-WebOb >= 1.7.1
-BuildRequires:  python2-amqp >= 2.4.1
-BuildRequires:  python2-cachetools >= 2.0.0
-BuildRequires:  python2-confluent-kafka
-BuildRequires:  python2-debtcollector >= 1.2.0
-BuildRequires:  python2-eventlet
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-futurist >= 1.2.0
-BuildRequires:  python2-greenlet
-BuildRequires:  python2-kombu >= 4.6.1
-BuildRequires:  python2-mock
-BuildRequires:  python2-monotonic >= 0.6
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.i18n
-BuildRequires:  python2-oslo.log >= 3.36.0
-BuildRequires:  python2-oslo.middleware >= 3.31.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.service >= 1.24.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-pifpaf
-BuildRequires:  python2-pyngus
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-stevedore >= 1.20.0
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PyYAML >= 3.12
 BuildRequires:  python3-WebOb >= 1.7.1
 BuildRequires:  python3-amqp >= 2.4.1
@@ -66,6 +37,7 @@
 BuildRequires:  python3-greenlet
 BuildRequires:  python3-kombu >= 4.6.1
 BuildRequires:  python3-mock
+BuildRequires:  python3-monotonic >= 0.6
 BuildRequires:  python3-oslo.config >= 5.2.0
 BuildRequires:  python3-oslo.i18n
 BuildRequires:  python3-oslo.log >= 3.36.0
@@ -75,55 +47,55 @@
 BuildRequires:  python3-oslo.utils >= 3.33.0
 BuildRequires:  python3-oslotest
 BuildRequires:  python3-pbr >= 2.0.0
-BuildRequires:  python3-pifpaf
 BuildRequires:  python3-pyngus
 BuildRequires:  python3-six >= 1.10.0
 BuildRequires:  python3-stestr
 BuildRequires:  python3-stevedore >= 1.20.0
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-PyYAML >= 3.12
-Requires:   python-WebOb >= 1.7.1
-Requires:   python-amqp >= 2.4.1
-Requires:   python-cachetools >= 2.0.0
-Requires:   python-debtcollector >= 1.2.0
-Requires:   python-futurist >= 1.2.0
-Requires:   python-greenlet
-Requires:   python-kombu >= 4.6.1
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.i18n
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.middleware >= 3.31.0
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.service >= 1.24.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
-%ifpython2
-Requires:   python-monotonic >= 0.6
-%endif
+
+%description
+The Oslo messaging API supports RPC and notifications over a number
+of different messaging transports.
+
+%package -n python3-oslo.messaging
+Summary:OpenStack oslo.messaging library
+Group:  Development/Languages/Python
+Requires:   python3-PyYAML >= 

commit python-neutronclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-neutronclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:15

Comparing /work/SRC/openSUSE:Factory/python-neutronclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-neutronclient.new.3160 (New)


Package is "python-neutronclient"

Tue Mar 24 22:33:15 2020 rev:23 rq:787460 version:6.14.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-neutronclient/python-neutronclient.changes
2019-12-04 14:18:56.322365232 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-neutronclient.new.3160/python-neutronclient.changes
  2020-03-24 22:33:17.133116913 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:28:50 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 17:02:39 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-neutronclient.spec ++
--- /var/tmp/diff_new_pack.RQbvvm/_old  2020-03-24 22:33:17.829117251 +0100
+++ /var/tmp/diff_new_pack.RQbvvm/_new  2020-03-24 22:33:17.833117253 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-neutronclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,30 +24,7 @@
 Group:  Development/Languages/Python
 URL:https://launchpad.net/%{name}
 Source0:
https://files.pythonhosted.org/packages/source/p/python-neutronclient/python-neutronclient-6.14.0.tar.gz
-# https://review.openstack.org/585387
-# Needed for osprofiler==2.3.0
 BuildRequires:  openstack-macros
-BuildRequires:  python2-cliff >= 2.8.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-keystoneauth1 >= 3.4.0
-BuildRequires:  python2-keystoneclient >= 3.8.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-mox3
-BuildRequires:  python2-netaddr >= 0.7.18
-BuildRequires:  python2-os-client-config >= 1.28.0
-BuildRequires:  python2-osc-lib >= 1.8.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.log >= 3.36.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-osprofiler
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-cliff >= 2.8.0
 BuildRequires:  python3-fixtures
 BuildRequires:  python3-keystoneauth1 >= 3.4.0
@@ -69,43 +46,47 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-cliff >= 2.8.0
-Requires:   python-debtcollector >= 1.2.0
-Requires:   python-iso8601 >= 0.1.11
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-keystoneclient >= 3.8.0
-Requires:   python-netaddr >= 0.7.18
-Requires:   python-os-client-config >= 1.28.0
-Requires:   python-osc-lib >= 1.8.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-simplejson >= 3.5.1
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+Client library and command line utility for interacting with OpenStack
+Neutron's API.
+
+%package -n python3-neutronclient
+Summary:Python API and CLI for OpenStack Neutron
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-debtcollector >= 1.2.0
+Requires:   python3-iso8601 >= 0.1.11
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-keystoneclient >= 3.8.0
+Requires:   python3-netaddr >= 0.7.18
+Requires:   python3-os-client-config >= 1.28.0
+Requires:   python3-osc-lib >= 1.8.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-simplejson >= 3.5.1
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig

commit python-magnumclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-magnumclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:11

Comparing /work/SRC/openSUSE:Factory/python-magnumclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-magnumclient.new.3160 (New)


Package is "python-magnumclient"

Tue Mar 24 22:33:11 2020 rev:8 rq:787455 version:2.15.0

Changes:

--- /work/SRC/openSUSE:Factory/python-magnumclient/python-magnumclient.changes  
2019-12-04 14:18:53.938363222 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-magnumclient.new.3160/python-magnumclient.changes
2020-03-24 22:33:11.413114133 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:26:54 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 13:14:13 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only
+
+---



Other differences:
--
++ python-magnumclient.spec ++
--- /var/tmp/diff_new_pack.j6BYuU/_old  2020-03-24 22:33:12.109114471 +0100
+++ /var/tmp/diff_new_pack.j6BYuU/_new  2020-03-24 22:33:12.117114475 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-magnumclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,26 +25,6 @@
 URL:https://launchpad.net/python-magnumclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-magnumclient/python-magnumclient-2.15.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PrettyTable >= 0.7.2
-BuildRequires:  python2-cryptography >= 2.1
-BuildRequires:  python2-decorator >= 3.4.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-keystoneauth1 >= 3.4.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-openstackclient
-BuildRequires:  python2-os-client-config >= 1.28.0
-BuildRequires:  python2-osc-lib >= 1.8.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-osprofiler
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-python-subunit
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PrettyTable >= 0.7.2
 BuildRequires:  python3-cryptography >= 2.1
 BuildRequires:  python3-decorator >= 3.4.0
@@ -65,36 +45,40 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.2
-Requires:   python-cryptography >= 2.1
-Requires:   python-decorator >= 3.4.0
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-os-client-config >= 1.28.0
-Requires:   python-osc-lib >= 1.8.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
+
+%description
+Client library for Magnum built on the Magnum API. It provides a Python API
+(the magnumclient module) and a command-line tool (magnum).
+
+%package -n python3-magnumclient
+Summary:Python API and CLI for OpenStack Magnum
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-cryptography >= 2.1
+Requires:   python3-decorator >= 3.4.0
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-os-client-config >= 1.28.0
+Requires:   python3-osc-lib >= 1.8.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.log >= 3.36.0
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-stevedore >= 1.20.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-magnumclient < 2.17.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-magnumclient
 Client 

commit python-manilaclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-manilaclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:09

Comparing /work/SRC/openSUSE:Factory/python-manilaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-manilaclient.new.3160 (New)


Package is "python-manilaclient"

Tue Mar 24 22:33:09 2020 rev:16 rq:787454 version:1.29.0

Changes:

--- /work/SRC/openSUSE:Factory/python-manilaclient/python-manilaclient.changes  
2019-12-04 14:18:54.826363971 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-manilaclient.new.3160/python-manilaclient.changes
2020-03-24 22:33:10.581113729 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:26:24 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 12:42:38 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only
+
+---



Other differences:
--
++ python-manilaclient.spec ++
--- /var/tmp/diff_new_pack.WaPUPR/_old  2020-03-24 22:33:11.221114040 +0100
+++ /var/tmp/diff_new_pack.WaPUPR/_new  2020-03-24 22:33:11.221114040 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-manilaclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,17 +25,6 @@
 URL:https://launchpad.net/python-manilaclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-manilaclient/python-manilaclient-1.29.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-ddt
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-mock
-BuildRequires:  python2-openstackclient
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.log >= 3.36.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testrepository
-BuildRequires:  python2-testtools
 BuildRequires:  python3-ddt
 BuildRequires:  python3-fixtures
 BuildRequires:  python3-mock
@@ -47,29 +36,31 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testrepository
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-debtcollector >= 1.2.0
-Requires:   python-keystoneclient >= 3.8.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-simplejson >= 3.5.1
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+Client library and command line utility for interacting with Openstack
+Share API.
+
+%package -n python3-manilaclient
+Summary:Client Library for OpenStack Share API
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.1
+Requires:   python3-debtcollector >= 1.2.0
+Requires:   python3-keystoneclient >= 3.8.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.log >= 3.36.0
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-simplejson >= 3.5.1
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-manilaclient < 2.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-manilaclient
 Client library and command line utility for interacting with Openstack
 Share API.
 
@@ -90,39 +81,31 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 PBR_VERSION=1.29.0 %sphinx_build -b html doc/source doc/build/html
 # remove the sphinx-build leftovers
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
+%{py3_install}
 # bash completion
 install -p -D -m 644 tools/manila.bash_completion 
%{buildroot}%{_sysconfdir}/bash_completion.d/manila.bash_completion
-%python_clone -a %{buildroot}%{_bindir}/manila
-%python_clone -a 
%{buildroot}%{_sysconfdir}/bash_completion.d/manila.bash_completion
-
-%post
-%{python_install_alternative manila 
%{_sysconfdir}/bash_completion.d/manila.bash_completion}
-
-%postun
-%python_uninstall_alternative manila
 
 %check
 # we dont want to depend 

commit python-osc-lib for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-osc-lib for openSUSE:Factory 
checked in at 2020-03-24 22:32:29

Comparing /work/SRC/openSUSE:Factory/python-osc-lib (Old)
 and  /work/SRC/openSUSE:Factory/.python-osc-lib.new.3160 (New)


Package is "python-osc-lib"

Tue Mar 24 22:32:29 2020 rev:11 rq:785571 version:1.14.1

Changes:

--- /work/SRC/openSUSE:Factory/python-osc-lib/python-osc-lib.changes
2019-11-06 14:06:15.688795797 +0100
+++ /work/SRC/openSUSE:Factory/.python-osc-lib.new.3160/python-osc-lib.changes  
2020-03-24 22:32:30.309094157 +0100
@@ -1,0 +2,5 @@
+Thu Mar 12 08:33:35 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only client
+
+---



Other differences:
--
++ python-osc-lib.spec ++
--- /var/tmp/diff_new_pack.GLDLQo/_old  2020-03-24 22:32:31.081094532 +0100
+++ /var/tmp/diff_new_pack.GLDLQo/_new  2020-03-24 22:32:31.081094532 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-osc-lib
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,23 +25,6 @@
 URL:https://docs.openstack.org/developer/osc-lib
 Source0:
https://files.pythonhosted.org/packages/source/o/osc-lib/osc-lib-1.14.1.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-Babel >= 2.3.4
-BuildRequires:  python2-cliff >= 2.8.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-keystoneauth1 >= 3.7.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-openstacksdk >= 0.15.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-osprofiler
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-simplejson >= 3.5.1
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-stevedore >= 1.20.0
-BuildRequires:  python2-testtools
 BuildRequires:  python3-Babel >= 2.3.4
 BuildRequires:  python3-cliff >= 2.8.0
 BuildRequires:  python3-fixtures
@@ -59,23 +42,32 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-stevedore >= 1.20.0
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-cliff >= 2.8.0
-Requires:   python-keystoneauth1 >= 3.7.0
-Requires:   python-openstacksdk >= 0.15.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-simplejson >= 3.5.1
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 OpenStackClient (aka OSC) is a command-line client for OpenStack.  osc-lib
 is a package of common support modules for writing OSC plugins.
 
+%package -n python3-osc-lib
+Summary:OpenStackClient Library
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-keystoneauth1 >= 3.7.0
+Requires:   python3-openstacksdk >= 0.15.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-simplejson >= 3.5.1
+Requires:   python3-six >= 1.10.0
+Requires:   python3-stevedore >= 1.20.0
+
+%description -n python3-osc-lib
+OpenStackClient (aka OSC) is a command-line client for OpenStack.  osc-lib
+is a package of common support modules for writing OSC plugins.
+
+This package contains the Python 3.x module.
+
 %package -n python-osc-lib-doc
 Summary:Documentation for the OpenStack client library
 Group:  Development/Languages/Python
@@ -92,10 +84,10 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 %install
-%{python_install}
+%{py3_install}
 
 # generate html docs
 PBR_VERSION=%{version} PYTHONPATH=. %sphinx_build -a -E -d doc/build/doctrees 
-b html doc/source doc/build/html
@@ -103,13 +95,13 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-osc-lib
 %license LICENSE
 %doc README.rst ChangeLog
-%{python_sitelib}/osc_lib
-%{python_sitelib}/*.egg-info
+%{python3_sitelib}/osc_lib
+%{python3_sitelib}/*.egg-info
 
 %files -n python-osc-lib-doc
 %license LICENSE




commit python-keystoneauth1 for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-keystoneauth1 for 
openSUSE:Factory checked in at 2020-03-24 22:32:34

Comparing /work/SRC/openSUSE:Factory/python-keystoneauth1 (Old)
 and  /work/SRC/openSUSE:Factory/.python-keystoneauth1.new.3160 (New)


Package is "python-keystoneauth1"

Tue Mar 24 22:32:34 2020 rev:12 rq:786267 version:3.17.2

Changes:

--- 
/work/SRC/openSUSE:Factory/python-keystoneauth1/python-keystoneauth1.changes
2019-12-04 14:18:46.174361609 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-keystoneauth1.new.3160/python-keystoneauth1.changes
  2020-03-24 22:32:36.461097147 +0100
@@ -1,0 +2,18 @@
+Sat Mar 14 11:44:31 UTC 2020 - Dirk Mueller 
+
+- fix doc requirements
+
+---
+Fri Mar 13 08:50:13 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---
+Tue Mar 10 18:01:54 UTC 2020 - Dirk Mueller 
+
+- update to 3.17.2:
+  * Make tests pass in 2020
+  * Update TOX/UPPER\_CONSTRAINTS\_FILE for stable/train
+  * Update .gitreview for stable/train
+
+---

Old:

  keystoneauth1-3.17.1.tar.gz

New:

  keystoneauth1-3.17.2.tar.gz



Other differences:
--
++ python-keystoneauth1.spec ++
--- /var/tmp/diff_new_pack.wkDrfB/_old  2020-03-24 22:32:37.161097487 +0100
+++ /var/tmp/diff_new_pack.wkDrfB/_new  2020-03-24 22:32:37.165097489 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-keystoneauth1
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,33 +16,15 @@
 #
 
 
-%global sname keystoneauth1
 Name:   python-keystoneauth1
-Version:3.17.1
+Version:3.17.2
 Release:0
 Summary:OpenStack authenticating tools
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://launchpad.net/keystoneauth
-Source0:
https://files.pythonhosted.org/packages/source/k/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/k/keystoneauth1/keystoneauth1-3.17.2.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PyYAML
-BuildRequires:  python2-betamax
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-iso8601 >= 0.1.11
-BuildRequires:  python2-lxml
-BuildRequires:  python2-mock
-BuildRequires:  python2-oauthlib
-BuildRequires:  python2-os-service-types >= 1.2.0
-BuildRequires:  python2-oslo.config
-BuildRequires:  python2-oslo.utils
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-kerberos
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testresources
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PyYAML
 BuildRequires:  python3-betamax
 BuildRequires:  python3-fixtures
@@ -60,17 +42,7 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testresources
 BuildRequires:  python3-testtools
-Requires:   python-PyYAML
-Requires:   python-iso8601 >= 0.1.11
-Requires:   python-lxml
-Requires:   python-oauthlib
-Requires:   python-os-service-types >= 1.2.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-requests-kerberos
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 Tools for authenticating to an OpenStack-based cloud. These tools include:
@@ -79,28 +51,49 @@
 * A session that is used to maintain client settings across requests
   (based on the requests Python library)
 
+%package -n python3-keystoneauth1
+Summary:OpenStack authenticating tools
+Group:  Development/Languages/Python
+Requires:   python3-PyYAML
+Requires:   python3-iso8601 >= 0.1.11
+Requires:   python3-lxml
+Requires:   python3-oauthlib
+Requires:   python3-os-service-types >= 1.2.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-requests-kerberos
+Requires:   python3-six >= 1.10.0
+Requires:   python3-stevedore >= 1.20.0
+
+%description -n python3-keystoneauth1
+Tools for authenticating to an OpenStack-based cloud. These tools include:
+* Authentication plugins (password, token, and federation based)
+* Discovery mechanisms to determine API version support
+* A session that is used to maintain client settings across requests
+  (based on the requests Python library)
+
+This package contains the Python 

commit python-novaclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-novaclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:17

Comparing /work/SRC/openSUSE:Factory/python-novaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-novaclient.new.3160 (New)


Package is "python-novaclient"

Tue Mar 24 22:33:17 2020 rev:34 rq:787461 version:15.1.0

Changes:

--- /work/SRC/openSUSE:Factory/python-novaclient/python-novaclient.changes  
2019-12-04 14:18:57.246366011 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-novaclient.new.3160/python-novaclient.changes
2020-03-24 22:33:18.117117392 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:29:20 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 21:01:21 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-novaclient.spec ++
--- /var/tmp/diff_new_pack.PxDAhu/_old  2020-03-24 22:33:18.737117693 +0100
+++ /var/tmp/diff_new_pack.PxDAhu/_new  2020-03-24 22:33:18.757117702 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-novaclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,20 +25,6 @@
 Source0:
https://files.pythonhosted.org/packages/source/p/python-novaclient/python-novaclient-15.1.0.tar.gz
 BuildRequires:  openssl
 BuildRequires:  openstack-macros
-BuildRequires:  python2-cinderclient
-BuildRequires:  python2-ddt
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-glanceclient
-BuildRequires:  python2-keystoneclient
-BuildRequires:  python2-mock
-BuildRequires:  python2-os-client-config
-BuildRequires:  python2-osprofiler
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-cinderclient
 BuildRequires:  python3-ddt
 BuildRequires:  python3-fixtures
@@ -53,29 +39,32 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   openssl
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.2
-Requires:   python-iso8601 >= 0.1.11
-Requires:   python-keystoneauth1 >= 3.5.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pbr >= 2.0.0
-Requires:   python-simplejson >= 3.5.1
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+
+%description
+This is a client for the OpenStack Nova API. There's a Python API (the
+novaclient module), and a command-line script (nova). Each implements 100% of
+the OpenStack Nova API.
+
+%package -n python3-novaclient
+Summary:Python API and CLI for OpenStack Nova
+Group:  Development/Languages/Python
+Requires:   openssl
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-iso8601 >= 0.1.11
+Requires:   python3-keystoneauth1 >= 3.5.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-simplejson >= 3.5.1
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-novaclient < 16.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-novaclient
 This is a client for the OpenStack Nova API. There's a Python API (the
 novaclient module), and a command-line script (nova). Each implements 100% of
 the OpenStack Nova API.
@@ -100,31 +89,24 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 PBR_VERSION=15.1.0 %sphinx_build -b html -d doc/build/doctrees doc/source 
doc/build/html
 # Fix hidden-file-or-dir warnings
 rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/nova
-
-%post
-%python_install_alternative nova
-
-%postun
-%python_uninstall_alternative nova
+%{py3_install}
 
 %check
 export OS_TEST_PATH=novaclient/tests/unit
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n 

commit python-swiftclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-swiftclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:19

Comparing /work/SRC/openSUSE:Factory/python-swiftclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-swiftclient.new.3160 (New)


Package is "python-swiftclient"

Tue Mar 24 22:33:19 2020 rev:28 rq:787462 version:3.8.1

Changes:

--- /work/SRC/openSUSE:Factory/python-swiftclient/python-swiftclient.changes
2019-12-04 14:19:01.262369397 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-swiftclient.new.3160/python-swiftclient.changes
  2020-03-24 22:33:20.637118616 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:30:07 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 17:04:50 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-swiftclient.spec ++
--- /var/tmp/diff_new_pack.I0P936/_old  2020-03-24 22:33:21.333118954 +0100
+++ /var/tmp/diff_new_pack.I0P936/_new  2020-03-24 22:33:21.349118962 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-swiftclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,39 +25,33 @@
 URL:https://launchpad.net/python-swiftclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-swiftclient/python-swiftclient-3.8.1.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-futures >= 3.0.0
-BuildRequires:  python2-keystoneclient
-BuildRequires:  python2-mock
-BuildRequires:  python2-pbr
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
 BuildRequires:  python3-keystoneclient
 BuildRequires:  python3-mock
 BuildRequires:  python3-pbr
 BuildRequires:  python3-setuptools
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
-Requires:   python-requests >= 1.1.0
-Requires:   python-six >= 1.9.0
 BuildArch:  noarch
-%ifpython2
-Requires:   python-futures >= 3.0.0
-%endif
+
+%description
+This is a python client for the Swift API. There's a Python API (the
+swiftclient module), and a command-line script (swift).
+
+%package -n python3-swiftclient
+Summary:OpenStack Object Storage API Client Library
+Group:  Development/Languages/Python
+Requires:   python3-requests >= 1.1.0
+Requires:   python3-six >= 1.9.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-swiftclient < 3.9.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-swiftclient
 This is a python client for the Swift API. There's a Python API (the
 swiftclient module), and a command-line script (swift).
 
+This package contains the Python 3.x module.
+
 %package -n python-swiftclient-doc
 Summary:%{summary} - Documentation
 Group:  Documentation/HTML
@@ -75,31 +69,23 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/swift
-%python_clone -a %{buildroot}%{_mandir}/man1/swift.1
-
-%post
-%{python_install_alternative swift swift.1}
-
-%postun
-%python_uninstall_alternative swift
+%{py3_install}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-swiftclient
 %license LICENSE
 %doc ChangeLog README.rst
-%{python_sitelib}/swiftclient
-%{python_sitelib}/*.egg-info
-%python_alternative %{_bindir}/swift
-%python_alternative %{_mandir}/man1/swift.1
+%{python3_sitelib}/swiftclient
+%{python3_sitelib}/*.egg-info
+%{_bindir}/swift
+%{_mandir}/man1/swift.1*
 
 %files -n python-swiftclient-doc
 %license LICENSE




commit python-pyghmi for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pyghmi for openSUSE:Factory 
checked in at 2020-03-24 22:32:54

Comparing /work/SRC/openSUSE:Factory/python-pyghmi (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyghmi.new.3160 (New)


Package is "python-pyghmi"

Tue Mar 24 22:32:54 2020 rev:14 rq:787447 version:1.3.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pyghmi/python-pyghmi.changes  
2019-12-04 14:18:40.186360847 +0100
+++ /work/SRC/openSUSE:Factory/.python-pyghmi.new.3160/python-pyghmi.changes
2020-03-24 22:32:55.849106569 +0100
@@ -1,0 +2,15 @@
+Mon Mar 23 12:20:53 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Tue Mar 17 19:21:34 UTC 2020 - Dirk Mueller 
+
+- fix requirements
+
+---
+Thu Mar 12 16:40:16 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only client
+
+---



Other differences:
--
++ python-pyghmi.spec ++
--- /var/tmp/diff_new_pack.EMXY5h/_old  2020-03-24 22:32:56.601106935 +0100
+++ /var/tmp/diff_new_pack.EMXY5h/_new  2020-03-24 22:32:56.605106937 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pyghmi
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,38 +25,41 @@
 URL:https://launchpad.net/pyghmi
 Source0:
https://files.pythonhosted.org/packages/source/p/pyghmi/pyghmi-1.3.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-cryptography >= 2.1
-BuildRequires:  python2-openstackdocstheme
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-stestr
 BuildRequires:  python3-cryptography >= 2.1
 BuildRequires:  python3-devel
 BuildRequires:  python3-openstackdocstheme
 BuildRequires:  python3-oslotest
 BuildRequires:  python3-stestr
-Requires:   python-cryptography >= 2.1
 BuildArch:  noarch
+
+%description
+This is a pure python implementation of IPMI protocol.
+
+pyghmicons and pyghmiutil are example scripts to show how one may incorporate
+this library into python code
+
+%package -n python3-pyghmi
+Summary:General Hardware Management Initiative (IPMI and others)
+Group:  Development/Languages/Python
+Requires:   python3-cryptography >= 2.1
+Requires:   python3-python-dateutil >= 2.8.1
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-pyghmi < 1.6.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-pyghmi
 This is a pure python implementation of IPMI protocol.
 
 pyghmicons and pyghmiutil are example scripts to show how one may incorporate
 this library into python code
 
+This package contains the Python 3.x module.
+
 %package -n python-pyghmi-doc
 Summary:General Hardware Management Initiative (IPMI and others) -- 
Documentation
 Group:  Documentation/HTML
-BuildRequires:  python-Sphinx
+BuildRequires:  python3-Sphinx
 
 %description -n python-pyghmi-doc
 This is a pure python implementation of IPMI protocol.
@@ -69,42 +72,25 @@
 %py_req_cleanup
 
 %build
-%{python_build}
-
-%{__python2} setup.py build_sphinx --builder=html
-rm -rf html/.{doctrees,buildinfo}
+%{py3_build}
+PYTHONPATH=. PBR_VERSION=1.3.0 %sphinx_build -b html doc/source doc/build/html
+rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/pyghmicons
-%python_clone -a %{buildroot}%{_bindir}/pyghmiutil
-%python_clone -a %{buildroot}%{_bindir}/virshbmc
-%python_clone -a %{buildroot}%{_bindir}/fakebmc
-
-%post
-%python_install_alternative pyghmicons
-%python_install_alternative pyghmiutil
-%python_install_alternative virshbmc
-%python_install_alternative fakebmc
-
-%postun
-%python_uninstall_alternative pyghmicons
-%python_uninstall_alternative pyghmiutil
-%python_uninstall_alternative virshbmc
-%python_uninstall_alternative fakebmc
+%{py3_install}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-pyghmi
 %doc README.md ChangeLog
 %license LICENSE
-%python_alternative %{_bindir}/pyghmicons
-%python_alternative %{_bindir}/pyghmiutil
-%python_alternative %{_bindir}/virshbmc
-%python_alternative %{_bindir}/fakebmc
-%{python_sitelib}/pyghmi*

commit python-heatclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-heatclient for 
openSUSE:Factory checked in at 2020-03-24 22:33:04

Comparing /work/SRC/openSUSE:Factory/python-heatclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-heatclient.new.3160 (New)


Package is "python-heatclient"

Tue Mar 24 22:33:04 2020 rev:31 rq:787453 version:1.18.0

Changes:

--- /work/SRC/openSUSE:Factory/python-heatclient/python-heatclient.changes  
2019-12-04 14:18:50.114362112 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-heatclient.new.3160/python-heatclient.changes
2020-03-24 22:33:06.409111701 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:25:57 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Wed Mar 11 17:05:20 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-heatclient.spec ++
--- /var/tmp/diff_new_pack.OkoKsE/_old  2020-03-24 22:33:07.513112238 +0100
+++ /var/tmp/diff_new_pack.OkoKsE/_new  2020-03-24 22:33:07.517112240 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-heatclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,20 +25,6 @@
 URL:https://launchpad.net/python-heatclient
 Source0:
https://files.pythonhosted.org/packages/source/p/python-heatclient/python-heatclient-1.18.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-PyYAML >= 3.12
-BuildRequires:  python2-cliff >= 2.8.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-mock
-BuildRequires:  python2-mox3
-BuildRequires:  python2-osc-lib >= 1.8.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-stestr
-BuildRequires:  python2-swiftclient >= 3.2.0
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PyYAML >= 3.12
 BuildRequires:  python3-cliff >= 2.8.0
 BuildRequires:  python3-devel
@@ -53,31 +39,47 @@
 BuildRequires:  python3-swiftclient >= 3.2.0
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.2
-Requires:   python-PyYAML >= 3.12
-Requires:   python-cliff >= 2.8.0
-Requires:   python-iso8601 >= 0.1.11
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-osc-lib >= 1.8.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
-Requires:   python-swiftclient >= 3.2.0
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-PyYAML >= 3.12
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-iso8601 >= 0.1.11
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-osc-lib >= 1.8.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-swiftclient >= 3.2.0
 BuildArch:  noarch
+
+%description
+This is a client for the OpenStack Heat API. There's a Python API (the
+heatclient module), and a command-line script (heat). Each implements 100% of
+the OpenStack Heat API.
+
+%package -n python3-heatclient
+Summary:Python API and CLI for OpenStack Heat
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-PyYAML >= 3.12
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-iso8601 >= 0.1.11
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-osc-lib >= 1.8.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-swiftclient >= 3.2.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-heatclient < 2.0.0

commit python-oslo.serialization for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.serialization for 
openSUSE:Factory checked in at 2020-03-24 22:32:31

Comparing /work/SRC/openSUSE:Factory/python-oslo.serialization (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.serialization.new.3160 (New)


Package is "python-oslo.serialization"

Tue Mar 24 22:32:31 2020 rev:14 rq:786265 version:2.29.2

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.serialization/python-oslo.serialization.changes
  2020-02-18 10:41:53.325126096 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.serialization.new.3160/python-oslo.serialization.changes
2020-03-24 22:32:33.765095837 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 11:49:19 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.serialization.spec ++
--- /var/tmp/diff_new_pack.j7bGmW/_old  2020-03-24 22:32:34.713096297 +0100
+++ /var/tmp/diff_new_pack.j7bGmW/_new  2020-03-24 22:32:34.713096297 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.serialization
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,15 +25,6 @@
 URL:https://launchpad.net/oslo.serialization
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.serialization/oslo.serialization-2.29.2.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-ipaddress
-BuildRequires:  python2-mock
-BuildRequires:  python2-msgpack >= 0.5.2
-BuildRequires:  python2-netaddr
-BuildRequires:  python2-oslo.i18n
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-stestr
 BuildRequires:  python3-mock
 BuildRequires:  python3-msgpack >= 0.5.2
 BuildRequires:  python3-netaddr
@@ -42,17 +33,26 @@
 BuildRequires:  python3-oslotest
 BuildRequires:  python3-pbr >= 2.0.0
 BuildRequires:  python3-stestr
-Requires:   python-msgpack >= 0.5.2
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pytz >= 2013.6
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 The oslo.serialization library provides support for representing objects
 in transmittable and storable formats, such as Base64, JSON and MessagePack.
 
+%package -n python3-oslo.serialization
+Summary:OpenStack serialization library
+Group:  Development/Languages/Python
+Requires:   python3-msgpack >= 0.5.2
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pytz >= 2013.6
+Requires:   python3-six >= 1.10.0
+
+%description -n python3-oslo.serialization
+The oslo.serialization library provides support for representing objects
+in transmittable and storable formats, such as Base64, JSON and MessagePack.
+
+This package contains the Python 3.x module.
+
 %package -n python-oslo.serialization-doc
 Summary:Documentation for OpenStack serialization library
 Group:  Development/Languages/Python
@@ -70,7 +70,7 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # generate html docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
@@ -78,16 +78,16 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
+%{py3_install}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-oslo.serialization
 %license LICENSE
 %doc README.rst ChangeLog
-%{python_sitelib}/oslo_serialization
-%{python_sitelib}/*.egg-info
+%{python3_sitelib}/oslo_serialization
+%{python3_sitelib}/*.egg-info
 
 %files -n python-oslo.serialization-doc
 %license LICENSE




commit python-pycadf for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-pycadf for openSUSE:Factory 
checked in at 2020-03-24 22:32:26

Comparing /work/SRC/openSUSE:Factory/python-pycadf (Old)
 and  /work/SRC/openSUSE:Factory/.python-pycadf.new.3160 (New)


Package is "python-pycadf"

Tue Mar 24 22:32:26 2020 rev:15 rq:785059 version:2.10.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pycadf/python-pycadf.changes  
2019-12-04 14:18:39.422360750 +0100
+++ /work/SRC/openSUSE:Factory/.python-pycadf.new.3160/python-pycadf.changes
2020-03-24 22:32:27.525092803 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 15:36:36 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-pycadf.spec ++
--- /var/tmp/diff_new_pack.fTiBXH/_old  2020-03-24 22:32:28.965093504 +0100
+++ /var/tmp/diff_new_pack.fTiBXH/_new  2020-03-24 22:32:28.969093506 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pycadf
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,7 +16,6 @@
 #
 
 
-%global oldpython python
 Name:   python-pycadf
 Version:2.10.0
 Release:0
@@ -26,15 +25,6 @@
 URL:https://launchpad.net/pycadf
 Source0:
https://files.pythonhosted.org/packages/source/p/pycadf/pycadf-2.10.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-fixtures
 BuildRequires:  python3-oslo.config >= 5.2.0
 BuildRequires:  python3-oslo.serialization >= 2.18.0
@@ -44,23 +34,31 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   %{oldpython}-pycadf-common
-Requires:   python-debtcollector >= 1.2.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-pytz >= 2013.6
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 DMTF Cloud Audit (CADF) data model
 
+%package -n python3-pycadf
+Summary:DMTF Cloud Audit (CADF) data model
+Group:  Development/Languages/Python
+Requires:   python-pycadf-common
+Requires:   python3-debtcollector >= 1.2.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-pytz >= 2013.6
+Requires:   python3-six >= 1.10.0
+
+%description -n python3-pycadf
+DMTF Cloud Audit (CADF) data model
+
+This package contains the Python 3.x module.
+
 %package -n python-pycadf-doc
 Summary:Documentation for the DMTF Cloud Audit (CADF) data model
 Group:  Development/Languages/Python
-BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme
+BuildRequires:  python3-Sphinx
+BuildRequires:  python3-openstackdocstheme
 
 %description -n python-pycadf-doc
 Documentation for the DMTF Cloud Audit (CADF) data model.
@@ -74,31 +72,30 @@
 
 %prep
 %autosetup -n pycadf-2.10.0
-sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # generate html docs
-%{__python2} setup.py build_sphinx
+PBR_VERSION=2.10.0 %sphinx_build -b html doc/source doc/build/html
 # remove the sphinx-build leftovers
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
+%{py3_install}
 # FIXME: pbr/wheel bug installing onfiguration files in /usr/etc
 mkdir -p %{buildroot}/%{_sysconfdir}
 mv %{buildroot}%{_prefix}%{_sysconfdir}/pycadf %{buildroot}/%{_sysconfdir}/
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-pycadf
 %doc README.rst
 %license LICENSE
-%{python_sitelib}/pycadf
-%{python_sitelib}/pycadf-*-py?.?.egg-info
+%{python3_sitelib}/pycadf
+%{python3_sitelib}/pycadf-*-py?.?.egg-info
 
 %files -n python-pycadf-common
 %license LICENSE




commit python-oslo.concurrency for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.concurrency for 
openSUSE:Factory checked in at 2020-03-24 22:32:45

Comparing /work/SRC/openSUSE:Factory/python-oslo.concurrency (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.concurrency.new.3160 (New)


Package is "python-oslo.concurrency"

Tue Mar 24 22:32:45 2020 rev:15 rq:787443 version:3.30.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.concurrency/python-oslo.concurrency.changes
  2020-02-18 10:41:25.745069823 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.concurrency.new.3160/python-oslo.concurrency.changes
2020-03-24 22:32:46.517102034 +0100
@@ -1,0 +2,10 @@
+Mon Mar 23 12:17:14 UTC 2020 - Dirk Mueller 
+
+- add obsoletes
+
+---
+Sat Mar 14 12:04:28 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.concurrency.spec ++
--- /var/tmp/diff_new_pack.ubn6Cv/_old  2020-03-24 22:32:47.061102298 +0100
+++ /var/tmp/diff_new_pack.ubn6Cv/_new  2020-03-24 22:32:47.065102300 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.concurrency
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,21 +25,6 @@
 URL:https://launchpad.net/oslo.concurrency
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.concurrency/oslo.concurrency-3.30.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-enum34 >= 1.0.4
-BuildRequires:  python2-eventlet
-BuildRequires:  python2-fasteners >= 0.7.0
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-futures
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-eventlet
 BuildRequires:  python3-fasteners >= 0.7.0
 BuildRequires:  python3-fixtures
@@ -52,30 +37,32 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-fasteners >= 0.7.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%ifpython2
-Requires:   python-enum34 >= 1.0.4
-%endif
+
+%description
+The oslo.concurrency library has utilities for safely running multi-thread,
+multi-process applications using locking mechanisms and for running
+external processes.
+
+%package -n python3-oslo.concurrency
+Summary:OpenStack oslo.concurrency library
+Group:  Development/Languages/Python
+Requires:   python3-fasteners >= 0.7.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-six >= 1.10.0
 %if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
+Obsoletes:  python2-oslo.concurrency < 4.0.0
 %endif
-%python_subpackages
 
-%description
+%description -n python3-oslo.concurrency
 The oslo.concurrency library has utilities for safely running multi-thread,
 multi-process applications using locking mechanisms and for running
 external processes.
 
+This package contains the Python 3.x module.
+
 %package -n python-oslo.concurrency-doc
 Summary:Documentation for OpenStack concurrency library
 Group:  Development/Languages/Python
@@ -94,7 +81,7 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # generate html docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
@@ -102,26 +89,17 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/lockutils-wrapper
-
-%post
-%python_install_alternative lockutils-wrapper
-
-%postun
-%python_uninstall_alternative lockutils-wrapper
+%{py3_install}
 
 %check
-if [ "%_lib" = "lib64" ]; then
-%python_exec -m stestr.cli run
-fi
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-oslo.concurrency
 %license LICENSE
 %doc README.rst ChangeLog

commit python-keystoneclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-keystoneclient for 
openSUSE:Factory checked in at 2020-03-24 22:32:38

Comparing /work/SRC/openSUSE:Factory/python-keystoneclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-keystoneclient.new.3160 (New)


Package is "python-keystoneclient"

Tue Mar 24 22:32:38 2020 rev:32 rq:786383 version:3.21.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-keystoneclient/python-keystoneclient.changes  
2019-12-04 14:18:52.586362426 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-keystoneclient.new.3160/python-keystoneclient.changes
2020-03-24 22:32:38.705098237 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 12:02:11 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-keystoneclient.spec ++
--- /var/tmp/diff_new_pack.Qvf66X/_old  2020-03-24 22:32:40.945099326 +0100
+++ /var/tmp/diff_new_pack.Qvf66X/_new  2020-03-24 22:32:40.945099326 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-keystoneclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,21 +26,6 @@
 Source0:
https://files.pythonhosted.org/packages/source/p/python-keystoneclient/python-keystoneclient-3.21.0.tar.gz
 BuildRequires:  openssl
 BuildRequires:  openstack-macros
-BuildRequires:  python2-debtcollector >= 1.2.0
-BuildRequires:  python2-keystoneauth1 >= 3.4.0
-BuildRequires:  python2-lxml
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testresources
-BuildRequires:  python2-testscenarios
 BuildRequires:  python3-debtcollector >= 1.2.0
 BuildRequires:  python3-keystoneauth1 >= 3.4.0
 BuildRequires:  python3-lxml
@@ -56,21 +41,27 @@
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testresources
 BuildRequires:  python3-testscenarios
-Requires:   python-debtcollector >= 1.2.0
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 Client library for interacting with Openstack Identity API.
 
+%package -n python3-keystoneclient
+Summary:Client library for OpenStack Identity API
+Group:  Development/Languages/Python
+Requires:   python3-debtcollector >= 1.2.0
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-stevedore >= 1.20.0
+
+%description -n python3-keystoneclient
+Client library for interacting with Openstack Identity API.
+
 %package -n python-keystoneclient-doc
 Summary:Documentation for OpenStack Identity API Client
 Group:  Documentation/HTML
@@ -88,28 +79,25 @@
 echo "intersphinx_mapping = {}" >> doc/source/conf.py
 
 %build
-%{python_build}
+%{py3_build}
 
 # Build HTML docs and man page
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
 
 %install
-%{python_install}
-
-# Delete tests
-rm -fr %{buildroot}%{python2_sitelib}/tests
+%{py3_install}
 
 # Fix hidden-file-or-dir warnings
 rm -fr html/.doctrees html/.buildinfo
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-keystoneclient
 %doc README.rst
 %license LICENSE
-%{python_sitelib}/keystoneclient
-%{python_sitelib}/*.egg-info
+%{python3_sitelib}/keystoneclient
+%{python3_sitelib}/*.egg-info
 
 %files -n python-keystoneclient-doc
 %doc doc/build/html




commit python-automaton for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-automaton for 
openSUSE:Factory checked in at 2020-03-24 22:32:15

Comparing /work/SRC/openSUSE:Factory/python-automaton (Old)
 and  /work/SRC/openSUSE:Factory/.python-automaton.new.3160 (New)


Package is "python-automaton"

Tue Mar 24 22:32:15 2020 rev:15 rq:784077 version:1.17.0

Changes:

--- /work/SRC/openSUSE:Factory/python-automaton/python-automaton.changes
2019-12-04 14:18:44.734361426 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-automaton.new.3160/python-automaton.changes  
2020-03-24 22:32:16.717087373 +0100
@@ -1,0 +2,5 @@
+Wed Mar 11 21:12:01 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-automaton.spec ++
--- /var/tmp/diff_new_pack.m8WYfi/_old  2020-03-24 22:32:17.321087677 +0100
+++ /var/tmp/diff_new_pack.m8WYfi/_new  2020-03-24 22:32:17.325087678 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-automaton
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,27 +25,29 @@
 URL:https://launchpad.net/automaton
 Source0:
https://files.pythonhosted.org/packages/source/a/automaton/automaton-1.17.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-devel
-BuildRequires:  python2-PrettyTable >= 0.7.2
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PrettyTable >= 0.7.2
 BuildRequires:  python3-devel
 BuildRequires:  python3-oslotest
 BuildRequires:  python3-pbr >= 2.0.0
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testtools
-Requires:   python-PrettyTable >= 0.7.2
-Requires:   python-pbr >= 2.0.0
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 Friendly state machines for python.
 
+%package -n python3-automaton
+Summary:Friendly state machines for python
+Group:  Development/Languages/Python
+Requires:   python3-PrettyTable >= 0.7.2
+Requires:   python3-pbr >= 2.0.0
+Requires:   python3-six >= 1.10.0
+
+%description -n python3-automaton
+Friendly state machines for python.
+
+This package contains the Python 3.x module.
+
 %package -n python-automaton-doc
 Summary:Documentation for the Automaton Library
 Group:  Development/Languages/Python
@@ -60,7 +62,7 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # generate html docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
@@ -68,16 +70,16 @@
 rm -rf html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
+%{py3_install}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-automaton
 %doc README.rst
 %license LICENSE
-%{python_sitelib}/automaton
-%{python_sitelib}/*.egg-info
+%{python3_sitelib}/automaton
+%{python3_sitelib}/*.egg-info
 
 %files -n python-automaton-doc
 %license LICENSE




commit python-oslo.vmware for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.vmware for 
openSUSE:Factory checked in at 2020-03-24 22:32:25

Comparing /work/SRC/openSUSE:Factory/python-oslo.vmware (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.vmware.new.3160 (New)


Package is "python-oslo.vmware"

Tue Mar 24 22:32:25 2020 rev:16 rq:784952 version:2.34.1

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.vmware/python-oslo.vmware.changes
2020-02-18 10:42:08.305156660 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.vmware.new.3160/python-oslo.vmware.changes
  2020-03-24 22:32:25.661091866 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 12:06:39 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.vmware.spec ++
--- /var/tmp/diff_new_pack.gd7SLK/_old  2020-03-24 22:32:26.657092367 +0100
+++ /var/tmp/diff_new_pack.gd7SLK/_new  2020-03-24 22:32:26.661092369 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.vmware
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,26 +25,6 @@
 URL:https://launchpad.net/oslo.vmware
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.vmware/oslo.vmware-2.34.1.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-Babel
-BuildRequires:  python2-ddt
-BuildRequires:  python2-eventlet >= 0.18.2
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-lxml >= 3.4.1
-BuildRequires:  python2-mock
-BuildRequires:  python2-mox3
-BuildRequires:  python2-netaddr >= 0.7.18
-BuildRequires:  python2-oslo.concurrency >= 3.26.0
-BuildRequires:  python2-oslo.context >= 2.19.2
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-python-subunit
-BuildRequires:  python2-requests >= 2.14.2
-BuildRequires:  python2-stestr
-BuildRequires:  python2-suds-jurko >= 0.6
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
-BuildRequires:  python2-urllib3 >= 1.21.1
 BuildRequires:  python3-Babel
 BuildRequires:  python3-ddt
 BuildRequires:  python3-eventlet >= 0.18.2
@@ -65,24 +45,7 @@
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
 BuildRequires:  python3-urllib3 >= 1.21.1
-Requires:   python-PyYAML >= 3.12
-Requires:   python-eventlet >= 0.18.2
-Requires:   python-lxml >= 3.4.1
-Requires:   python-netaddr >= 0.7.18
-Requires:   python-oslo.concurrency >= 3.26.0
-Requires:   python-oslo.context >= 2.19.2
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
-Requires:   python-suds-jurko >= 0.6
-Requires:   python-urllib3 >= 1.21.1
 BuildArch:  noarch
-%ifpython3
-BuildRequires:  python3-dbm
-%endif
-%python_subpackages
 
 %description
 The Oslo project intends to produce a python library containing infrastructure
@@ -92,6 +55,33 @@
 The Oslo VMware library offers session and API call management for VMware 
ESX/VC
 server.
 
+%package -n python3-oslo.vmware
+Summary:Oslo VMware library for OpenStack projects
+Group:  Development/Languages/Python
+Requires:   python3-PyYAML >= 3.12
+Requires:   python3-eventlet >= 0.18.2
+Requires:   python3-lxml >= 3.4.1
+Requires:   python3-netaddr >= 0.7.18
+Requires:   python3-oslo.concurrency >= 3.26.0
+Requires:   python3-oslo.context >= 2.19.2
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-stevedore >= 1.20.0
+Requires:   python3-suds-jurko >= 0.6
+Requires:   python3-urllib3 >= 1.21.1
+
+%description -n python3-oslo.vmware
+The Oslo project intends to produce a python library containing infrastructure
+code shared by OpenStack projects. The APIs provided by the project should be
+high quality, stable, consistent and generally useful.
+
+The Oslo VMware library offers session and API call management for VMware 
ESX/VC
+server.
+
+This package contains the Python 3.x module.
+
 %package-n python-oslo.vmware-doc
 Summary:Documentation for OpenStack common VMware library
 Group:  Development/Languages/Python
@@ -107,7 +97,7 @@
 %py_req_cleanup
 
 %build
-%python_build
+%py3_build
 
 # generate 

commit python-oslo.i18n for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.i18n for 
openSUSE:Factory checked in at 2020-03-24 22:32:23

Comparing /work/SRC/openSUSE:Factory/python-oslo.i18n (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.i18n.new.3160 (New)


Package is "python-oslo.i18n"

Tue Mar 24 22:32:23 2020 rev:15 rq:784948 version:3.24.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.i18n/python-oslo.i18n.changes
2020-02-18 10:41:36.793092365 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.i18n.new.3160/python-oslo.i18n.changes  
2020-03-24 22:32:24.553091310 +0100
@@ -1,0 +2,5 @@
+Sat Mar 14 12:03:25 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-oslo.i18n.spec ++
--- /var/tmp/diff_new_pack.DU6NPv/_old  2020-03-24 22:32:25.393091732 +0100
+++ /var/tmp/diff_new_pack.DU6NPv/_new  2020-03-24 22:32:25.393091732 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.i18n
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,28 +25,32 @@
 URL:https://launchpad.net/oslo.i18n
 Source0:
https://files.pythonhosted.org/packages/source/o/oslo.i18n/oslo.i18n-3.24.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-Babel >= 2.3.4
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testscenarios
 BuildRequires:  python3-Babel >= 2.3.4
 BuildRequires:  python3-mock
 BuildRequires:  python3-oslotest
 BuildRequires:  python3-pbr >= 2.0.0
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testscenarios
-Requires:   python-Babel >= 2.3.4
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application
 or library.
 
+%package -n python3-oslo.i18n
+Summary:OpenStack i18n library
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-six >= 1.10.0
+
+%description -n python3-oslo.i18n
+The oslo.i18n library contain utilities for working with internationalization
+(i18n) features, especially translation for text strings in an application
+or library.
+
+This package contains the Python 3.x module.
+
 %package -n python-oslo.i18n-doc
 Summary:Documentation for OpenStack i18n library
 Group:  Development/Languages/Python
@@ -61,10 +65,10 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 %install
-%{python_install}
+%{py3_install}
 
 # generate html docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
@@ -72,12 +76,12 @@
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %check
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-oslo.i18n
 %license LICENSE
-%{python_sitelib}/oslo_i18n
-%{python_sitelib}/*egg-info
+%{python3_sitelib}/oslo_i18n
+%{python3_sitelib}/*egg-info
 
 %files -n python-oslo.i18n-doc
 %doc doc/build/html ChangeLog CONTRIBUTING.rst README.rst




commit python-saharaclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-saharaclient for 
openSUSE:Factory checked in at 2020-03-24 22:31:44

Comparing /work/SRC/openSUSE:Factory/python-saharaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-saharaclient.new.3160 (New)


Package is "python-saharaclient"

Tue Mar 24 22:31:44 2020 rev:13 rq:783808 version:2.3.0

Changes:

--- /work/SRC/openSUSE:Factory/python-saharaclient/python-saharaclient.changes  
2019-12-04 14:18:59.730368105 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-saharaclient.new.3160/python-saharaclient.changes
2020-03-24 22:31:47.789072839 +0100
@@ -1,0 +2,5 @@
+Wed Mar 11 12:41:59 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only
+
+---



Other differences:
--
++ python-saharaclient.spec ++
--- /var/tmp/diff_new_pack.ToN6Wd/_old  2020-03-24 22:31:48.909073402 +0100
+++ /var/tmp/diff_new_pack.ToN6Wd/_new  2020-03-24 22:31:48.913073404 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-saharaclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,19 +25,6 @@
 URL:https://launchpad.net/%{name}
 Source0:
https://files.pythonhosted.org/packages/source/p/python-saharaclient/python-saharaclient-2.3.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-mock
-BuildRequires:  python2-osc-lib >= 1.11.0
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.log >= 3.36.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests >= 2.14.2
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-setuptools
-BuildRequires:  python2-stestr
-BuildRequires:  python2-testrepository
 BuildRequires:  python3-mock
 BuildRequires:  python3-osc-lib >= 1.11.0
 BuildRequires:  python3-oslo.i18n >= 3.15.3
@@ -51,22 +38,30 @@
 BuildRequires:  python3-setuptools
 BuildRequires:  python3-stestr
 BuildRequires:  python3-testrepository
-Requires:   python-Babel >= 2.3.4
-Requires:   python-keystoneauth1 >= 3.4.0
-Requires:   python-openstackclient >= 3.12.0
-Requires:   python-osc-lib >= 1.11.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 Python client library for interacting with OpenStack Sahara API.
 
+%package -n python3-saharaclient
+Summary:Client library for OpenStack Sahara API
+Group:  Development/Languages/Python
+Requires:   python3-Babel >= 2.3.4
+Requires:   python3-keystoneauth1 >= 3.4.0
+Requires:   python3-openstackclient >= 3.12.0
+Requires:   python3-osc-lib >= 1.11.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.log >= 3.36.0
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+
+%description -n python3-saharaclient
+Python client library for interacting with OpenStack Sahara API.
+
+This package contains the Python 3.x module.
+
 %package -n python-saharaclient-doc
 Summary:Documentation for Client library for OpenStack Sahara API
 Group:  Documentation/HTML
@@ -81,10 +76,10 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 %install
-%{python_install}
+%{py3_install}
 
 # Build HTML docs and man page
 PYTHONPATH=. PBR_VERSION=2.3.0 %sphinx_build -b html -d doc/build/doctrees 
doc/source doc/build/html
@@ -94,13 +89,13 @@
 %check
 # we don't want to depend on hacking/flake8/pep8
 rm -v saharaclient/tests/unit/test_hacking.py
-%python_exec -m stestr.cli run
+python3 -m stestr.cli run
 
-%files %{python_files}
+%files -n python3-saharaclient
 %license LICENSE
 %doc ChangeLog README.rst
-%{python_sitelib}/saharaclient
-%{python_sitelib}/*.egg-info
+%{python3_sitelib}/saharaclient
+%{python3_sitelib}/*.egg-info
 
 %files -n python-saharaclient-doc
 %doc doc/build/html




commit python-keystonemiddleware for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-keystonemiddleware for 
openSUSE:Factory checked in at 2020-03-24 22:32:19

Comparing /work/SRC/openSUSE:Factory/python-keystonemiddleware (Old)
 and  /work/SRC/openSUSE:Factory/.python-keystonemiddleware.new.3160 (New)


Package is "python-keystonemiddleware"

Tue Mar 24 22:32:19 2020 rev:10 rq:784577 version:7.0.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python-keystonemiddleware/python-keystonemiddleware.changes
  2020-02-18 10:41:17.305052603 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-keystonemiddleware.new.3160/python-keystonemiddleware.changes
2020-03-24 22:32:20.153089099 +0100
@@ -1,0 +2,5 @@
+Fri Mar 13 07:57:31 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only build
+
+---



Other differences:
--
++ python-keystonemiddleware.spec ++
--- /var/tmp/diff_new_pack.NoIKoI/_old  2020-03-24 22:32:21.113089581 +0100
+++ /var/tmp/diff_new_pack.NoIKoI/_new  2020-03-24 22:32:21.113089581 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-keystonemiddleware
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,30 +25,6 @@
 URL:https://launchpad.net/keystonemiddleware
 Source0:
https://files.pythonhosted.org/packages/source/k/keystonemiddleware/keystonemiddleware-7.0.1.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-WebOb >= 1.7.1
-BuildRequires:  python2-WebTest
-BuildRequires:  python2-cryptography
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-keystoneauth1 >= 3.12.0
-BuildRequires:  python2-keystoneclient >= 3.20.0
-BuildRequires:  python2-mock
-BuildRequires:  python2-oslo.cache >= 1.26.0
-BuildRequires:  python2-oslo.config >= 5.2.0
-BuildRequires:  python2-oslo.context >= 2.19.2
-BuildRequires:  python2-oslo.i18n >= 3.15.3
-BuildRequires:  python2-oslo.messaging
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils >= 3.33.0
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-pycadf >= 1.1.0
-BuildRequires:  python2-python-memcached
-BuildRequires:  python2-requests >= 2.14.2
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-six >= 1.10.0
-BuildRequires:  python2-stestr
-BuildRequires:  python2-stevedore
-BuildRequires:  python2-testresources
-BuildRequires:  python2-testtools
 BuildRequires:  python3-WebOb >= 1.7.1
 BuildRequires:  python3-WebTest
 BuildRequires:  python3-cryptography
@@ -73,23 +49,7 @@
 BuildRequires:  python3-stevedore
 BuildRequires:  python3-testresources
 BuildRequires:  python3-testtools
-Requires:   python-WebOb >= 1.7.1
-Requires:   python-keystoneauth1 >= 3.12.0
-Requires:   python-keystoneclient >= 3.20.0
-Requires:   python-oslo.cache >= 1.26.0
-Requires:   python-oslo.config >= 5.2.0
-Requires:   python-oslo.context >= 2.19.2
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.log >= 3.36.0
-Requires:   python-oslo.messaging
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-pycadf >= 1.1.0
-Requires:   python-python-memcached
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
 BuildArch:  noarch
-%python_subpackages
 
 %description
 This package contains middleware modules designed to provide authentication
@@ -97,6 +57,33 @@
 The most prominent module is keystonemiddleware.auth_token. This package
 does not expose any CLI or Python API features.
 
+%package -n python3-keystonemiddleware
+Summary:Middleware for OpenStack Identity
+Group:  Development/Languages/Python
+Requires:   python3-WebOb >= 1.7.1
+Requires:   python3-keystoneauth1 >= 3.12.0
+Requires:   python3-keystoneclient >= 3.20.0
+Requires:   python3-oslo.cache >= 1.26.0
+Requires:   python3-oslo.config >= 5.2.0
+Requires:   python3-oslo.context >= 2.19.2
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.log >= 3.36.0
+Requires:   python3-oslo.messaging
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-pycadf >= 1.1.0
+Requires:   python3-python-memcached
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+
+%description -n python3-keystonemiddleware
+This package contains middleware modules designed to provide authentication
+and authorization features to web services other 

commit python-masakariclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-masakariclient for 
openSUSE:Factory checked in at 2020-03-24 22:31:53

Comparing /work/SRC/openSUSE:Factory/python-masakariclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-masakariclient.new.3160 (New)


Package is "python-masakariclient"

Tue Mar 24 22:31:53 2020 rev:7 rq:783823 version:5.5.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-masakariclient/python-masakariclient.changes  
2019-12-04 14:19:04.162371841 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-masakariclient.new.3160/python-masakariclient.changes
2020-03-24 22:31:58.433078187 +0100
@@ -1,0 +2,5 @@
+Wed Mar 11 12:59:20 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only
+
+---



Other differences:
--
++ python-masakariclient.spec ++
--- /var/tmp/diff_new_pack.T0UXK9/_old  2020-03-24 22:31:59.205078575 +0100
+++ /var/tmp/diff_new_pack.T0UXK9/_new  2020-03-24 22:31:59.213078578 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-masakariclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,19 +26,6 @@
 URL:https://launchpad.net/%{name}
 Source0:
https://files.pythonhosted.org/packages/source/p/python-masakariclient/python-masakariclient-5.5.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PrettyTable
-BuildRequires:  python2-ddt
-BuildRequires:  python2-nose
-BuildRequires:  python2-openstacksdk >= 0.13.0
-BuildRequires:  python2-osc-lib >= 1.8.0
-BuildRequires:  python2-oslo.serialization >= 2.18.0
-BuildRequires:  python2-oslo.utils
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-python-subunit
-BuildRequires:  python2-requests-mock
-BuildRequires:  python2-testrepository
-BuildRequires:  python2-testscenarios
-BuildRequires:  python2-testtools
 BuildRequires:  python3-PrettyTable
 BuildRequires:  python3-ddt
 BuildRequires:  python3-nose
@@ -52,27 +39,28 @@
 BuildRequires:  python3-testrepository
 BuildRequires:  python3-testscenarios
 BuildRequires:  python3-testtools
-Requires:   python-openstacksdk >= 0.13.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.serialization >= 2.18.0
-Requires:   python-oslo.utils
-Requires:   python-pbr >= 2.0.0
-Conflicts:  %oldpython-masakariclient < %version
 BuildArch:  noarch
-%if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
-%endif
-%python_subpackages
 
 %description
 Client library for Masakari built on the Masakari API. It provides a Python API
 (the masakariclient module) and a command-line tool (masakari).
 
+%package -n python3-masakariclient
+Summary:Python API and CLI for OpenStack Masakari
+Group:  Development/Languages/Python
+Requires:   python3-openstacksdk >= 0.13.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.serialization >= 2.18.0
+Requires:   python3-oslo.utils
+Requires:   python3-pbr >= 2.0.0
+Conflicts:  %oldpython-masakariclient < %version
+
+%description -n python3-masakariclient
+Client library for Masakari built on the Masakari API. It provides a Python API
+(the masakariclient module) and a command-line tool (masakari).
+
+This package contains the Python 3.x module.
+
 %package -n python-masakariclient-doc
 Summary:Documentation for OpenStack Masakari API client libary
 Group:  Documentation/HTML
@@ -92,7 +80,7 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # Build HTML docs and man page
 PBR_VERSION=5.5.0 %sphinx_build -b html doc/source doc/build/html
@@ -100,26 +88,23 @@
 rm -r doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/masakari
+%{py3_install}
 # man pages
 install -p -D -m 644 doc/build/man/python-masakariclient.1 
%{buildroot}%{_mandir}/man1/python-masakariclient.1
 
 %check
 find . -type f -name *.pyc -delete
-%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} 
nosetests-%{$python_version} masakariclient/tests/unit
-
-%post
-%python_install_alternative masakari
-
-%postun
-%python_uninstall_alternative masakari
+%if 0%{?suse_version}
+PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests masakariclient/tests/unit
+%else
+PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-3 masakariclient/tests/unit
+%endif
 
-%files %python_files
+%files -n 

commit python-mistralclient for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package python-mistralclient for 
openSUSE:Factory checked in at 2020-03-24 22:32:12

Comparing /work/SRC/openSUSE:Factory/python-mistralclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-mistralclient.new.3160 (New)


Package is "python-mistralclient"

Tue Mar 24 22:32:12 2020 rev:11 rq:784068 version:3.10.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-mistralclient/python-mistralclient.changes
2019-12-04 14:19:03.466371254 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-mistralclient.new.3160/python-mistralclient.changes
  2020-03-24 22:32:14.665086342 +0100
@@ -1,0 +2,5 @@
+Wed Mar 11 21:00:43 UTC 2020 - Dirk Mueller 
+
+- switch to python 3.x only builds
+
+---



Other differences:
--
++ python-mistralclient.spec ++
--- /var/tmp/diff_new_pack.1446Kp/_old  2020-03-24 22:32:15.397086709 +0100
+++ /var/tmp/diff_new_pack.1446Kp/_new  2020-03-24 22:32:15.401086712 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-mistralclient
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,15 +26,6 @@
 URL:https://launchpad.net/%{name}
 Source0:
https://files.pythonhosted.org/packages/source/p/python-mistralclient/python-mistralclient-3.10.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python2-PyYAML >= 3.12
-BuildRequires:  python2-fixtures
-BuildRequires:  python2-mock
-BuildRequires:  python2-nose
-BuildRequires:  python2-openstackclient
-BuildRequires:  python2-oslotest
-BuildRequires:  python2-osprofiler
-BuildRequires:  python2-pbr >= 2.0.0
-BuildRequires:  python2-requests-mock
 BuildRequires:  python3-PyYAML >= 3.12
 BuildRequires:  python3-fixtures
 BuildRequires:  python3-mock
@@ -44,33 +35,34 @@
 BuildRequires:  python3-osprofiler
 BuildRequires:  python3-pbr >= 2.0.0
 BuildRequires:  python3-requests-mock
-Requires:   python-PyYAML >= 3.12
-Requires:   python-cliff >= 2.8.0
-Requires:   python-keystoneclient
-Requires:   python-os-client-config
-Requires:   python-osc-lib >= 1.8.0
-Requires:   python-oslo.i18n >= 3.15.3
-Requires:   python-oslo.utils >= 3.33.0
-Requires:   python-osprofiler
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.10.0
-Requires:   python-stevedore >= 1.20.0
-Conflicts:  %{oldpython}-mistralclient < %version
 BuildArch:  noarch
-%if 0%{?suse_version}
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
-%else
-# on RDO, update-alternatives is in chkconfig
-Requires(post): chkconfig
-Requires(postun): chkconfig
-%endif
-%python_subpackages
 
 %description
 Client library for Mistral built on the Mistral API. It provides a Python API
 (the mistralclient module) and a command-line tool (mistral).
 
+%package -n python3-mistralclient
+Summary:Python API and CLI for OpenStack Mistral
+Group:  Development/Languages/Python
+Requires:   python3-PyYAML >= 3.12
+Requires:   python3-cliff >= 2.8.0
+Requires:   python3-keystoneclient
+Requires:   python3-os-client-config
+Requires:   python3-osc-lib >= 1.8.0
+Requires:   python3-oslo.i18n >= 3.15.3
+Requires:   python3-oslo.utils >= 3.33.0
+Requires:   python3-osprofiler
+Requires:   python3-requests >= 2.14.2
+Requires:   python3-six >= 1.10.0
+Requires:   python3-stevedore >= 1.20.0
+Conflicts:  %{oldpython}-mistralclient < %version
+
+%description -n python3-mistralclient
+Client library for Mistral built on the Mistral API. It provides a Python API
+(the mistralclient module) and a command-line tool (mistral).
+
+This package contains the Python 3.x module.
+
 %package -n python-mistralclient-doc
 Summary:Documentation for OpenStack Mistral API client libary
 Group:  Documentation/HTML
@@ -88,31 +80,28 @@
 %py_req_cleanup
 
 %build
-%{python_build}
+%{py3_build}
 
 # Build HTML docs
 PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
 rm -r doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{python_install}
-%python_clone -a %{buildroot}%{_bindir}/mistral
-
-%post
-%python_install_alternative mistral
-
-%postun
-%python_uninstall_alternative mistral
+%{py3_install}
 
 %check
 find . -type f -name *.pyc -delete
-%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} 
nosetests-%{$python_version} mistralclient/tests/unit
+%if 0%{?suse_version}
+PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests mistralclient/tests/unit
+%else

commit ocaml-rpm-macros for openSUSE:Factory

2020-03-24 Thread root
Hello community,

here is the log from the commit of package ocaml-rpm-macros for 
openSUSE:Factory checked in at 2020-03-24 22:31:33

Comparing /work/SRC/openSUSE:Factory/ocaml-rpm-macros (Old)
 and  /work/SRC/openSUSE:Factory/.ocaml-rpm-macros.new.3160 (New)


Package is "ocaml-rpm-macros"

Tue Mar 24 22:31:33 2020 rev:6 rq:787222 version:20200321

Changes:

--- /work/SRC/openSUSE:Factory/ocaml-rpm-macros/ocaml-rpm-macros.changes
2020-02-26 15:01:44.784796126 +0100
+++ 
/work/SRC/openSUSE:Factory/.ocaml-rpm-macros.new.3160/ocaml-rpm-macros.changes  
2020-03-24 22:31:42.721070293 +0100
@@ -1,0 +2,6 @@
+Sat Mar 21 12:34:56 UTC 2020 - oher...@suse.de
+
+- Disable parallel build for OCaml 4.08, 4.09 and 4.10
+  to get reproducible cma archives (issue#9307)
+
+---



Other differences:
--
++ ocaml-rpm-macros.spec ++
--- /var/tmp/diff_new_pack.hrpZgq/_old  2020-03-24 22:31:44.557071215 +0100
+++ /var/tmp/diff_new_pack.hrpZgq/_new  2020-03-24 22:31:44.565071220 +0100
@@ -16,7 +16,7 @@
 #
 
 Name:   ocaml-rpm-macros
-Version:20200220
+Version:20200321
 Release:0
 Summary:RPM macros for building OCaml source packages
 License:GPL-2.0-only
@@ -413,16 +413,34 @@
| awk '/^-[[:blank:]]/{ printf "BuildRequires:  
ocamlfind(%%s)\\n", $2}' | sort -u ; \
%%{nil}
 %%ocaml_dune_build \
+   if test -z "${_smp_mflags}" ;\
+   then \
+   _smp_mflags='%%{?_smp_mflags}' ;\
+   case "$(ocamlc --version)" in \\\
+   4.08*) _smp_mflags='-j1' ;;\\\
+   4.09*) _smp_mflags='-j1' ;;\\\
+   4.10*) _smp_mflags='-j1' ;;\\\
+   esac ;\
+   fi ;\
dune build \\\
--verbose \\\
${dune_for_release} \\\
-   %%{?_smp_mflags} \\\
+   ${_smp_mflags} \\\
'@install' \\\
$OCAML_DUNE_BUILD_INSTALL_ARGS
 %%ocaml_dune_install \
 %ifarch ppc64 ppc64le
ulimit -s $((1024 * 64)) ; \
 %endif
+   if test -z "${_smp_mflags}" ;\
+   then \
+   _smp_mflags='%%{?_smp_mflags}' ;\
+   case "$(ocamlc --version)" in \\\
+   4.08*) _smp_mflags='-j1' ;;\\\
+   4.09*) _smp_mflags='-j1' ;;\\\
+   4.10*) _smp_mflags='-j1' ;;\\\
+   esac ;\
+   fi ;\
dune_for_release= ;\
if test -f dune_release_pkgs-%%{name}-%%{version}-%%{release} ; \
then \
@@ -432,7 +450,7 @@
dune install \\\
--verbose \\\
${dune_for_release} \\\
-   %%{?_smp_mflags} \\\
+   ${_smp_mflags} \\\
--prefix=%%{_prefix} \\\
--libdir=%%{ocaml_standard_library} \\\
--destdir=%%{buildroot} \\\




  1   2   >